Tue Jan 13 20:29:08 2004  Bala  <bala@dre>

        * TAO version 1.3.7 released.

Mon Jan 12 13:05:54 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

	* tao/OctetSeqA.cpp:
	* tao/OctetSeqA.h:
	* tao/OctetSeqC.cpp:
	* tao/OctetSeqC.h:
	* tao/OctetSeqC.i:

	  Regenerated the files since the last checkin was not addressing
	  things in a right manner.
	
	* tao/diffs/OctetSeq.diff:

	  Updated the diffs.

Mon Jan 12 15:59:11 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

	* tao/OctetSeqA.h:
	  Added missing pre/post includes and TAO_Export macro to export the
	  methods. Thanks to Heiko Bachmann <h.bachmann@unicontrol.de> for
	  reporting this.

Mon Jan 12 01:20:33 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

	* orbsvcs/tests/FaultTolerance/GroupRef_Manipulation/Server_Request_Interceptor.cpp:

	  Fixed a simple problem with the way we used extraction operators
	  that caused link errors on VC71.

Sun Jan 11 08:43:09 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

 	* orbsvcs/FTRT_Event_Service/Gateway_Service/FTRTEC_Gateway_Service.mpc:
	  The extra file added was not required for GNU Makefiles.

Sat Jan 10 23:17:55 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

 	* tests/MT_Client/client.global.conf.xml:
	* tests/MT_Client/client.tss.conf.xml:

	  These need to go too.

Sat Jan 10 23:09:14 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

	* tests/MT_Client/client.global.conf:
	* tests/MT_Client/client.tss.conf:

	  These configuration files are old and the options aren't
	  supported any more. Nor are they used any more.

Sat Jan 10 22:56:57 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

 	* performance-tests/Latency/Thread_Per_Connection/Roundtrip.cpp:
	* tests/MT_Client/test_i.cpp:

	  The best fix for the problem outlined is "Sat Jan 10 21:17:10
	  2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>" to
	  wait for all threads exit () before finishing shutting down the
	  ORB_Core. I was trying to avoid this with earlier checkins.

	  The cost of avoiding this can be catostrophical though it doesn't
	  show up for us. We now explicitly call shutdown with a boolean
	  flag to prevent the crash. We have now moved the configuration
	  details to the application, but looks like it is hard to avoid.

Sat Jan 10 22:17:59 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

	* tao/Connection_Handler.cpp:

	  Reverted this change "Sat Jan 10 21:17:10 2004  Balachandran
	  Natarajan  <bala@dre.vanderbilt.edu>" since it doesn't look
	  like a right fix. This can cause other problems like silent
	  crashes when threads exits.

Sat Jan 10 21:42:47 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

	* orbsvcs/orbsvcs/FtRtEvent.mpc:

	  Added a missing file, which gave rise to link errors with VC71
	  builds.

Sat Jan 10 21:17:10 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

	* tao/Connection_Handler.cpp:

	  Increase the refcount of the ORB_Core in the constructor aand
	  decrement the  refcount in the destructor. This may not be
	  required at all. This is required only for the
	  thread-per-connection model. A shutdown () call from a remote
	  host could potentially cleanup the whole ORB and call ORB::fini
	  () before the thread in svc_i () can try calling has_shutdown ()
	  to exit out of the svc_i () loop. This could cause a crash. To
	  prevent that from happening we will increment the refcount. With
	  reactive model this is not be needed at all, since all the
	  threads are  kicked out of the reactor before the ORB is
	  shutdown by the closing thread.

	  Thanks to valgrind for helping me catch this. This should have
	  slipped through for a very long time, if my guess is right.

Sat Jan 10 17:47:00 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

 	* orbsvcs/performance-tests/RTEvent/lib/Send_Task.h:

	  Fixed another warning with Forte 8 compilers, which complained
	  about the ACE_Task_Base::init () being hidden.

Sat Jan 10 17:25:23 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

	* orbsvcs/FTRT_Event_Service/Gateway_Service/FTRTEC_Gateway_Service.mpc:

	  Added a missing file to the project. This was creating link
	  error in VC71 builds.

Sat Jan 10 12:27:59 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

 	* orbsvcs/tests/FT_App/FT_App.mpc:

	  Used the wrong library name as a dependency which broke the
	  SunOS MPC builds from remedy.

Fri Jan  9 23:50:21 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

 	* orbsvcs/tests/Miop/McastHello/McastHello.cpp:

	  Fixed a warning in BCB6 in builds.

Fri Jan  9 18:02:18 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

	* tests/IDL_Test/enum_in_struct.idl:

	  Fixed a duplicate enum declaration. This showed up only in the
	  TRU64 builds. Thanks to Johnny for arranging an access to a TRU
	  64 box to find this problem out.

Fri Jan  9 13:31:09 2004  Chad Elliott  <elliott_c@ociweb.com>

        * TAO_IDL/Makefile.BE:
        * TAO_IDL/Makefile.FE:
        * TAO_IDL/TAO_IDL_BE_LIB.dsp:
        * TAO_IDL/TAO_IDL_FE_LIB.dsp:
        * TAO_IDL/be_include/TAO_IDL_BE_Export.h:
        * TAO_IDL/include/TAO_IDL_FE_Export.h:
        * TAO_IDL/tao_idl.mpc:
        * TAO_IDL/tao_idl_static.dsp:

          Converted these to key the exporting of symbols based on
          ACE_AS_STATIC_LIBS instead of TAO_AS_STATIC_LIBS, since it has
          nothing to do with whether TAO is built statically.

Fri Jan  9 11:51:00 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * orbsvcs/tests/Miop/McastHello/McastHello.h:

          Fixed compile errors with g++ caused due to improper overriding
          of virtual functions.

Fri Jan  9 11:59:11 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Transport.cpp:
        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Message_Block_Data_Iterator.h:
          Added missing includes

Fri Jan  9 11:33:27 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/tests/FT_App/FT_App.mpc:
          Added missing after so that the consumer is build after the
          TAO_ReplicationManagerLib.

Fri Jan  9 11:01:11 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/FT_ReplicationManager/FT_ReplicationManager.cpp:
          Fixed compile problem in BCB build

Thu Jan  8 22:30:13 2004  Frank Hunleth  <frank@hunleth.com>

        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Transport.cpp:

          Changed references to ACE_MAX_DGRAM_SIZE to MIOP_MAX_DGRAM_SIZE.
          Thanks to Proum Chauk-Mean <Chauk-Mean.Proum@fr.thalesgroup.com>
          for pointing this inconsistency out.

          Also, moved a MIOP packet segmentation helper class into its own
          file.

        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Message_Block_Data_Iterator.cpp:
        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Message_Block_Data_Iterator.h:

          Segmentation code from UIPMC_Transport.cpp.

        * orbsvcs/orbsvcs/Makefile.PortableGroup:
        * orbsvcs/orbsvcs/PortableGroup.bor:
        * orbsvcs/orbsvcs/PortableGroup.dsp:
        * orbsvcs/orbsvcs/PortableGroup_Static.dsp:

          Added UIPMC_Message_Block_Data_Iterator to the build lists.

        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Connection_Handler.cpp:

          Added more information to the log messages and removed use of
          deprecated multicast socket API.

        * orbsvcs/tests/Miop/McastHello/McastHello.cpp:
        * orbsvcs/tests/Miop/McastHello/McastHello.h:
        * orbsvcs/tests/Miop/McastHello/Test.idl:
        * orbsvcs/tests/Miop/McastHello/client.cpp:
        * orbsvcs/tests/Miop/McastHello/server.cpp:

          Added code to verify that the largest allowable MIOP packets can
          also be sent and received.

Thu Jan  8 20:45:01 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/Advanced/ch_8_and_10/icp.cpp:
          With BCB use rand else use lrand48 like it was.

Thu Jan  8 20:30:33 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/Advanced/ch_8_and_10/icp.cpp:
          Fixed compile error in BCB build.

Thu Jan  8 20:09:16 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/FTEC_Event_Channel_Impl.cpp:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/Request_Context_Repository.cpp:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/Set_Update_Interceptor.cpp:
          Made these files compiling with BCB, thanks to Bala for helping with
          this. Let us just see what other compilers find of the solution.

Thu Jan  8 19:06:33 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/FT_ReplicationManager/FT_ReplicationManagerLib_export.h:
          Added check for TAO_AS_STATIC_LIBS for setting the export flags for
          proper building of static libraries.

Thu Jan  8 19:03:16 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/FaultTolerance/FT_ORB_Utils_export.h:
          Added check for TAO_AS_STATIC_LIBS for setting the export flags for
          proper building of static libraries.

Thu Jan  8 19:00:49 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/Dynamic_Bitset.{h,cpp,inl}:
          Moved the inline files from the header to a new .inl file and include
          that file in the header and implementation file. Also use ACE_INLINE
          instead of the c++ inline. Reordered the methods to solve Tru64
          warnings.

Thu Jan  8 18:37:56 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/Simple/time-date/Alt_Resource_Factory.h:
          Added check for TAO_AS_STATIC_LIBS for setting the export flags for
          proper building of static and dynamic libraries.

        * examples/Simple/time-date/Simple_time_date.mpc:
          Pass idl flags for generating the export stuff

Thu Jan  8 17:52:38 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/FtRtEvent/Utils/ftrtevent_export.h:
        * orbsvcs/orbsvcs/RTCosScheduling/RTCosScheduling_export.h:
          Added check for TAO_AS_STATIC_LIBS for setting the export flags for
          proper building of static libraries.

Thu Jan  8 11:11:48 2004  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_visitor_array/any_op_cs.cpp:

          Removed an unnecessary 'const' qualifier in the body of the
          Any inserting operator for arrays that was causing a warning
          with Tru64. Thanks to Johnny Willemsen <jwillemsen@remedy.nl>
          for reporting the problem.

Thu Jan  8 17:11:33 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/FtRtEvent/ClientORB/ftrt_clientorb_export.h:
          Added check for TAO_AS_STATIC_LIBS for setting the export flags for
          proper building of static libraries.

Thu Jan  8 11:03:13 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * orbsvcs/Fault_Notifier/FT_Notifier_i.cpp:

          Fixed a warning due to wrong macro usage.

Thu Jan  8 16:46:11 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO_IDL/tao_idl.mpc:
          Added staticflags += TAO_AS_STATIC_LIBS to the TAO_IDL_EXE project
          to fix link errors in the MSVC6 Static build

Thu Jan  8 07:44:14 2004  Chad Elliott  <elliott_c@ociweb.com>

        * orbsvcs/orbsvcs/RT_Notification.mpc:
        * tao/BiDir_GIOP/BiDir_GIOP.mpc:
        * tao/Domain/Domain.mpc:
        * tao/DynamicAny/DynamicAny.mpc:
        * tao/DynamicInterface/DynamicInterface.mpc:
        * tao/IFR_Client/IFR_Client.mpc:
        * tao/IORInterceptor/IORInterceptor.mpc:
        * tao/IORManipulation/IORManipulation.mpc:
        * tao/IORTable/IORTable.mpc:
        * tao/Messaging/Messaging.mpc:
        * tao/ObjRefTemplate/ObjRefTemplate.mpc:
        * tao/PortableServer/PortableServer.mpc:
        * tao/RTCORBA/RTCORBA.mpc:
        * tao/RTPortableServer/RTPortableServer.mpc:
        * tao/RTScheduling/RTScheduler.mpc:
        * tao/SmartProxies/SmartProxies.mpc:
        * tao/Strategies/Strategies.mpc:
        * tao/TypeCodeFactory/TypeCodeFactory.mpc:
        * tao/Utils/Utils.mpc:
        * tao/Valuetype/Valuetype.mpc:
        * tao/tao.mpc:

          Removed the include_dir setting.  This is determined automatically
          in the Borland template.

Wed Jan  7 17:17:21 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * TAO_IDL/util/utl_global.cpp:

          Fixed a const cast conversion warning.

Wed Jan  7 13:52:13 2004  Boris Kolpackov  <boris@dre.vanderbilt.edu>

        * orbsvcs/orbsvcs/CosLifeCycle.idl:
        * orbsvcs/orbsvcs/RtecEventChannelAdmin.idl:

          Fixed name redefinition bugs and recoded usage of deprecated
          anonymous sequences.

Wed Jan  7 13:30:28 2004  Chad Elliott  <elliott_c@ociweb.com>

        * utils/wxNamingViewer/wxNamingViewer.mpc:

          Added an exename to ensure that an executable is built and changed
          the inheritance list to correctly use namingexe instead of taoexe
          and naming.

Wed Jan  7 19:02:11 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/FaultTolerance/FT_ClientORB_export.h
        * orbsvcs/orbsvcs/FaultTolerance/FT_ServerORB_export.h
          Added check for TAO_AS_STATIC_LIBS for setting the export flags for
          proper building of static libraries.

Wed Jan  7 18:57:54 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/ftrtec_export.h:
          Added check for TAO_AS_STATIC_LIBS for setting the export flags for
          proper building of static libraries.

Wed Jan  7 18:55:11 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/IFRService/ifr_service_export.h
          Added check for TAO_AS_STATIC_LIBS for setting the export flags for
          proper building of static libraries.

Wed Jan  7 18:53:32 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/RTScheduling/rtscheduler_export.h:
          Added check for TAO_AS_STATIC_LIBS for setting the export flags for
          proper building of static libraries.

Wed Jan  7 18:48:13 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Utils/utils_export.h:
          Added check for TAO_AS_STATIC_LIBS for setting the export flags for
          proper building of static libraries.

Wed Jan  7 12:38:42 2004  Brian Mendel  <brian.r.mendel@boeing.com>

        * orbsvcs/orbsvcs/Event/rtkokyu_event_export.h:

          Added check for TAO_AS_STATIC_LIBS for setting the export flags for
          proper building of static libraries.

Wed Jan  7 12:16:15 2004  Chad Elliott  <elliott_c@ociweb.com>

        * tao/tao.mpc:

          Added taodefaults to the inheritance list to get the default
          values that used to be coming from the tao_output base project.

Wed Jan  7 11:43:14 2004  Jeff Parsons <j.parsons@vanderbilt.edu>

        * tao/tao.mpc:

          Added Arg_Traits_T.h so it will get included in MSVC project
          files, even though it has no corresponding .cpp file.

Wed Jan  7 10:50:22 2004  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/ast/ast_decl.cpp:
        * TAO_IDL/ast/ast_interface.cpp:

          Fixed internal handling of an AST node's version string, to avoid
          string compare errors with a null string, and to correctly
          diagnose errors resulting from an attempt to reset the version
          after it has been set by '#pragma version' or by 'typeid'.

Wed Jan  7 15:35:43 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Smart_Proxies/Policy/Smart_Proxies_Policy.mpc:
          Client needs portableserver

Wed Jan  7 13:00:11 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * performance-tests/Cubit/TAO/MT_Cubit/MT_Cubit.mpc:
          When usign gnuace generate LDLIBS += $(MATHLIB) at the place of
          the local marker. This test uses sqrt and some Unix versions
          then need to link their mathlib.

        * tests/Smart_Proxies/Policy/Smart_Proxies_Policy.mpc:
          Use taoserver and taoclient as base project so that exenames are
          set to the names the run_test.pl expects

Tue Jan  6 20:43:53 2004  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/ast/ast_decl.cpp:
        * TAO_IDL/ast/ast_interface.cpp:
        * TAO_IDL/fe/idl.ll:
        * TAO_IDL/fe/lex.yy.cpp:
        * TAO_IDL/include/idl_global.h:
        * TAO_IDL/util/utl_global.cpp:

          Added hash table to match #pragma prefix directives with
          file names. This table is used to manage the prefix associated
          with the root scope. Using preprocessor file directives, as
          was done previously, is not sufficient. This change enables
          the calculation of the repository id, which contains the prefix,
          to be done sooner, at AST node creation time, since the root
          prefix is updated with each file change and with each prefix
          directive. This fix closes [BUGID:1687]. Thanks to Terry Ware
          <terry.ware@dc.alphatech.com> for reporting it.

Tue Jan  6 16:36:27 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tests/Two_Objects/run_test.pl:

          Reduced the timeout and the number of iterations.

Tue Jan  6 15:03:13 2004  Boris Kolpackov  <boris@dre.vanderbilt.edu>

        * tao/CONV_FRAME.pidl:
        * tao/Policy.pidl:
        * tao/UShortSeq.pidl:
        * tao/orb.idl:
        * tao/Messaging/Messaging_No_Impl.pidl:
        * tao/RTPortableServer/RTPortableServer.pidl:

          Fixed name redefinition bugs and recoded usage of deprecated
          anonymous sequences.

Tue Jan  6 12:04:18 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tao/Strategies/SCIOP_Factory.cpp:

          SCIOP requires explicit endpoint specification. It shouldn't get
          loaded automatically as it is getting done now.

        * tao/Object.pidl:

          Another legacy file that is getting removed.

Tue Jan  6 11:14:57 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tao/IFR_Client/Interface.pidl:

          Removed this file form the repo since it is not used and
          woefully out of date.

Tue Jan  6 11:13:00 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tao/Messaging/Messaging.pidl:

          Removed the #ifdef of NO_VALUE, since that condition is totally
          unnecessary now.

Mon Jan  5 19:09:41 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tao/default_resource.cpp:

          Used a different constructor which has an option for restarting
          the reactor event loop when EINTR occurs. In TAO, we pass a
          non-0 value to restart the reactor event loop if EINTR
          occurs. Thanks to Markus Stenberg
          <markus.stenberg@conformiq.com> for motivating this. This fixes
          [BUGID 1649].

Mon Jan  5 18:37:22 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * orbsvcs/tests/FT_App/FT_App.mpc:

          Cosmetic fix.

Mon Jan  5 15:33:33 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tests/Smart_Proxies/Policy/Makefile:

          Added another library for linking.

Mon Jan  5 14:14:25 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * orbsvcs/orbsvcs/PortableGroup/PG_FactoryRegistry.cpp:

          Applied patches from Dale Wilson for warnings in  g++ builds.

Mon Jan  5 13:54:09 2004  Chad Elliott  <elliott_c@ociweb.com>

        * orbsvcs/examples/Notify/ThreadPool/Notify_ThreadPool.mpc:

          Set the executable name for each project and added naming and
          rtportableserver to the Supplier inheritance list.

        * tests/Servant_To_Reference_Test/Servant_to_Reference.mpc:

          Fixed a typo that caused link errors on Windows.

Mon Jan  5 10:21:07 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tests/Smart_Proxies/On_Demand/Makefile:

          Fixed the dependencies in the above Makefile.

Mon Jan 05 00:52:23 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * orbsvcs/tests/FaultTolerance/GroupRef_Manipulation/server.dsp:

          Fixed the release configurations by adding messaging
          library. Looks like they have been busted recently.

Mon Jan 05 00:24:17 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * orbsvcs/tests/FaultTolerance/IOGR/Manager.dsp:
        * orbsvcs/tests/FaultTolerance/IOGRManipulation/IOGRTest.dsp:

          Fixed the release configurations by adding messaging
          library. Looks like they have been busted recently.

Sun Jan  4 23:08:45 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tests/Bug_1568_Regression/server.dsp:
        * tests/Bug_1568_Regression/client.dsp:
        * tests/Bug_1670_Regression/server.dsp:
        * tests/Bug_1670_Regression/client.dsp:

          Fixed the release configurations to compile and link cleanly.

Sun Jan  4 22:56:45 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * TAOACE.dsw:

          Added a dependency for AV.

        * orbsvcs/orbsvcs/FTClientORB.dsp:
        * orbsvcs/orbsvcs/FTServerORB.dsp:

          Added Messaging library to be linked in for release builds. This
          is crazy, but that is what the daily builds want. Grrr..

Sun Jan  4 20:17:07 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tests/Smart_Proxies/Collocation/Makefile.main:

          Added the smart proxy library to the link line.

Sun Jan 4 16:04:03 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tao/Utils/Server_Main.cpp:

          Another wrong macros usage problem.

Sun Jan 4 16:01:03 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * orbsvcs/tests/FT_App/FT_App.mpc:

          Prevented a bunch of compilations by making exceptions=1 a
          requirement. There is no scope or hope for this to be fixed in
          the next day or two. Things are too borken in the CPP files,
          esepcially there are some macros that have been used that are
          broken for exceptions=0. x.4 will have this example only
          compilable with exceptions=1.

        * orbsvcs/tests/FT_App/FT_TestReplica_i.cpp:
        * orbsvcs/tests/FT_App/StubBatchConsumer.cpp:
        * orbsvcs/tests/FT_App/StubFaultAnalyzer.cpp:
        * orbsvcs/tests/FT_App/StubFaultAnalyzer.h:
        * orbsvcs/tests/FT_App/StubFaultConsumer.cpp:

          Attempt to fix some of the macro usage problems. Please see
          above.

Sun Jan  4 09:55:43 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/Notify/ThreadPool_Task.h:
          Added missing type of inheritence from base class. Fixes Tru64
          warning.

Sun Jan  4 09:23:56 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/examples/Notify/Lanes/Notify_Lanes.mpc:
          Supplier needs naming

Sun Jan  4 08:24:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/tests/FaultTolerance/GroupRef_Manipulation/client.bor:
          Fixed this borland makefile for static build

Sat Jan  3 23:56:03 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/FTEC_Event_Channel_Impl.cpp:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/Request_Context_Repository.cpp:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/Set_Update_Interceptor.cpp:

          The last checkin actually broke g++ builds. Slightly corrected
          the fix by calling the cast operator so that it works in both
          the compilers.

Sat Jan  3 11:23:51 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tests/Smart_Proxies/Collocation/Collocation.dsp:

          Fixed the dsp file for the debug configuration.

Sat Jan  3 11:00:27 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/FTEC_Event_Channel_Impl.cpp:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/FT_ProxyAdmin_T.cpp:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/Request_Context_Repository.cpp:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/Set_Update_Interceptor.cpp:

          Fixed compile errors with Borland. Thanks to Johnny for
          reporting them.

Sat Jan  3 11:55:32 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Smart_Proxies/Collocation/Coll_Test_Stubs.bor:
        * tests/Smart_Proxies/Collocation/Diamond.bor:
          Fixed these BCB makefiles.

Fri Jan  2 23:22:14 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        This fix should have gone in long time back. Since this is
        non-intrusive and needed by a sponsor it was decided to checkin.

        * tao/ORB_Core.cpp:

          Added a command line option -ORBDisableRTCollocation. This is
          useful for applications that would like to disable RT
          collocation with RTORB and use the default collocation features
          instead. Most notably this is being added for Boeing.

        * tao/params.cpp:
        * tao/params.h:
        * tao/params.i:

          Added a new boolean variable to the class, together with
          accessors and mutators. The new boolean caches the value of the
          above option passed to the ORB by the application.

        * tao/RTPortableServer/RT_Object_Adapter_Factory.cpp:

          Do a check before setting the collocation resolver name and
          intializing the service configurator with the new directive.

Fri Jan  2 14:50:38 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tests/Smart_Proxies/Collocation/Coll_Tester.cpp:
        * tests/Smart_Proxies/Collocation/Smart_Proxy_Impl.h:

          Cosmetic fixes!

        * tests/Smart_Proxies/Collocation/Makefile.Coll_Test_Stubs:
        * tests/Smart_Proxies/Collocation/Makefile.Diamond:
        * tests/Smart_Proxies/Collocation/Makefile.main:

          Fixed the makefiles so that they can build properly in our daily
          builds.

Fri Jan  2 14:14:03 2004  Chad Elliott  <elliott_c@ociweb.com>

        * orbsvcs/orbsvcs/PortableGroup/PG_Default_Property_Validator.h:
        * orbsvcs/orbsvcs/PortableGroup/PG_GenericFactory.h:
        * orbsvcs/orbsvcs/PortableGroup/PG_Group_Factory.h:
        * orbsvcs/orbsvcs/PortableGroup/PG_Location_Equal_To.h:
        * orbsvcs/orbsvcs/PortableGroup/PG_Null_Property_Validator.h:
        * orbsvcs/orbsvcs/PortableGroup/PG_ObjectGroupManager.h:
        * orbsvcs/orbsvcs/PortableGroup/PG_Object_Group.h:
        * orbsvcs/orbsvcs/PortableGroup/PG_Object_Group_Manipulator.h:
        * orbsvcs/orbsvcs/PortableGroup/PG_Properties_Support.h:
        * orbsvcs/orbsvcs/PortableGroup/PG_PropertyManager.h:
        * orbsvcs/orbsvcs/PortableGroup/PG_Property_Utils.h:
        * orbsvcs/orbsvcs/PortableGroup/PG_Utils.h:
        * orbsvcs/orbsvcs/PortableGroup/Portable_Group_Map.h:

          Added #include for portablegroup_export.h.  Since one of the
          CosLoadBalancing idl files includes PortableGroup.idl, the
          generated PortableGroupC.h and PortableGroupS.h may or may not
          have #include "portablegroup_export.h" in them or not.  So, we
          don't rely on that and explicitly include it in these header
          files.

Fri Jan  2 14:07:21 2004  Chad Elliott  <elliott_c@ociweb.com>

        * orbsvcs/orbsvcs/AV.dsp:
        * orbsvcs/orbsvcs/AV_Static.dsp:

          Changed the md5c.c to md5c.cpp.

Fri Jan 02 13:09:19 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tests/Smart_Proxies/Collocation/Collocation.dsp:
        * tests/Smart_Proxies/Collocation/Smart_Proxies.dsp:

          Fixed the release and debug build configurations.

Fri Jan  2 12:39:15 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * orbsvcs/orbsvcs/Makefile.av:

          Updated dependancies. Moved a 'C' source to the CPP source list
          since it was decided to rname a C file as a CPP file.

Fri Jan  2 11:56:04 2004  Jaiganesh B  <jai@dre.vanderbilt.edu>

        * orbsvcs/tests/LoadBalancing/GenericFactory/Makefile:
        * orbsvcs/tests/LoadBalancing/GenericFactory/Makefile.bor:

          Added a new sub-directory Manage_Object_Group to be compiled.

Fri Jan  2 11:37:09 2004  Jaiganesh B  <jai@dre.vanderbilt.edu>

        * orbsvcs/tests/LoadBalancing/GenericFactory/Application_Controlled/LB_server.cpp:

          Made changes to fix the CannotMeetCriteria exception being
          thrown in some builds.

Fri Jan  2 10:00:48 2004  Chad Elliott  <elliott_c@ociweb.com>

        * orbsvcs/orbsvcs/AV.mpc:

          Changed md5c.c to md5c.cpp and removed a duplicate md5c.h entry in
          the Header_Files section.

        * orbsvcs/orbsvcs/AV/md5c.c:

          Renamed this file to md5c.cpp to avoid build problems for some
          64-bit UNIX platforms.

Fri Jan  2 00:59:33 2004  Ossama Othman  <ossama@dre.vanderbilt.edu>

        The following changes work around a problem introduced by "magic"
        static constructors in the TAO PortableServer headers where
        dynamic loading/unloading of the ORB failed.  TAO's singleton
        manager must be explicitly initialized to avoid registering itself
        with the ACE_Object_Manager in the DLL ORB case.  The static
        constructors in the PortableServer library were causing the
        TAO_Singleton_Manager to be implicitly initialized.  In that case,
        the TAO_Singleton_Manager will register itself with the
        ACE_Object_Manager, thus preventing DLL ORB loading/unloading from
        from functioning properly.

        * examples/Simple/time-date/Time_Date.h:
        * examples/Simple/time-date/Time_Date.cpp:

          Removed all dependencies on the TAO_ORB_Manager.  It implicitly
          introduces the static "magic" constructors that prevent DLL ORB
          loading/unloading from functioning properly.

        * examples/Simple/time-date/Time_Date_Client_i.h:
        * examples/Simple/time-date/client.cpp:

          Nuked trailing whitespace.

        * examples/Simple/time-date/Time_Date_i.h (Time_Date_i):

          Reference count the servant to improve memory management.

        * examples/Simple/time-date/Time_Date_i.cpp:

          Removed no-op constructor and destructor.  The compiler
          generated versions satisfy our needs.

        * examples/Simple/time-date/Makefile (server):

          No need to link "../Simple_util.o" object file in the server
          binary.

          (LDLIBS, ACE_SHLIBS, client):

          Explicitly link CosNaming related libraries only to client
          binary.  The server and libTime_Date binaries do not depend on
          the CosNaming related libraries.

        * examples/Simple/time-date/Simple_time_date.mpc:
        * examples/Simple/time-date/client.bor:
        * examples/Simple/time-date/server.bor:
        * examples/Simple/time-date/time_date.bor:

          Likewise.

Fri Jan  2 08:38:19 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Smart_Proxies/Collocation/Coll_Test_Stubs.bor:
        * tests/Smart_Proxies/Collocation/Collocation.bor:
        * tests/Smart_Proxies/Collocation/Diamond.bor:
          Updated these BCB makefiles

Fri Jan  2 08:30:13 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Utils/Server_Main.cpp:
          Fixed emulated exception usage. This is one of the problems I see
          in the FT_App orbsvcs tests, but there are several more

Fri Jan  2 08:20:11 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/examples/RtEC/IIOPGateway/Supplier.cpp:
          Added include of ace/OS_NS_unistd.h to get ACE_OS::sleep

Fri Jan  2 08:17:33 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/Simple/time-date/Time_Date.cpp:
          Only set defines when they are not set yet.

Fri Jan  2 08:04:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Smart_Proxies/Collocation/Coll_Tester.cpp:
          Fixed warnings in gnu builds.

Thu Jan  1 21:28:35 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * TAO-INSTALL.html:

          Added notes and observations about VC++ 7.1 in the install
          file. Thanks to Valery Salamakha <ccapstan@bigpond.net.au>.

Thu Jan 01 20:10:47 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * orbsvcs/orbsvcs/FTORB_Utils.dsp:
        * orbsvcs/orbsvcs/PortableGroup.dsp:

          Fixed the release version of the project files.

Thu Jan  1 17:07:09 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * orbsvcs/tests/Security/Secure_Inovcation/Foo_i.h:
        * orbsvcs/tests/Security/Secure_Inovcation/server.cpp:

          Fixed a memory managemnt problem with servants.

Thu Jan  1 16:42:12 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * orbsvcs/tests/EC_MT_MCast/MCast.cpp:

          Tested and applied a patch from Johnny Willemsen for the crash
          of this test in the daily builds.

Thu Jan  1 22:32:14 UTC 2004  Don Hinton  <dhinton@dresystems.com>

        * rules.tao.GNU:
          Changed default for security to =1 so that libTAO_Security will
          be built by default.

Thu Jan  1 20:07:13 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Smart_Proxies/Collocation/Smart_Proxies_Collocation.mpc:
          The Test project needs strategies

        * tests/Smart_Proxies/Collocation/Collocation.bor:
          Added strategies library

Thu Jan  1 13:58:35 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * TAO_IDL/be/be_visitor_valuetype/valuetype_obv_cs.cpp:

          Fixed a problem with scoping the DefaultValueRefcountBase. This
          showed up as a problem with Borland. Thanks to Johnny for
          reporting the problem.

Thu Jan  1 13:39:42 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tests/Smart_Proxies/Collocation/Makefile.Coll_Test_Stubs:
        * tests/Smart_Proxies/Collocation/Makefile.Diamond:
        * tests/Smart_Proxies/Collocation/Makefile.main:

          Fixed some of the nagging problems.

        * tests/Smart_Proxies/Collocation/Smart_Proxy_Impl.cpp:

          Fixed a compile error in Borland builds. Thanks to Johnny for
          reporting the problem.

Thu Jan  1 19:07:41 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Makefile.bor:
          Added Abstract_Interface

Thu Jan  1 18:50:45 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Smart_Proxies/Makefile.bor:
          Added collocation directory

Thu Jan  1 17:52:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * performance-tests/Sequence_Latency/DII/DII.mpc:
          Added new MPC file for this performance test

Thu Jan  1 17:23:44 UTC 2004  Don Hinton  <dhinton@dresystems.com>

        * Makefile:
          Added CIAO directory to list of directories to be built.

        * rules.tao.GNU:
        * orbsvcs/orbsvcs/Makefile:
          Added new variable, security, that defaults =0, and can be set
          =1 to build libTAO_Security.  This allows you to build projects
          that depend on libTAO_Security, but don't depend on
          libTAO_SSLIOP or ssl.

        * tests/Smart_Proxies/Collocation/Makefile.main:
          Changed -lDiamond to -lCollocation_Diamond in LDLIBS.

Thu Jan  1 17:25:11 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/FTORB_Utils.bor:
          No need to link with portablegroup

        * orbsvcs/orbsvcs/Makefile.bor:
          Moved portablegroup before the ft projects.

Thu Jan  1 16:35:43 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Bug_1670_Regression/Bug_1670_Regression.mpc:
          Set the exename for the client to client, so that it matches the
          perl script to run this test.

Thu Jan  1 16:33:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Bug_1568_Regression/Bug_1568_Regression.mpc:
          Set the exename for the client to client, so that it matches the
          perl script to run this test.

Thu Jan  1 15:56:09 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/RTScheduling/FP_SchedulingC.{h,cpp}:
        * examples/RTScheduling/MIF_SchedulingC.{h,cpp}:
          Removed not needed ; after c++ namespace closure.

Thu Jan  1 15:51:43 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/tests/Bug_1334_Regression/test.mpc:
        * tests/Portable_Interceptors/Bug_1559/Bug_1559.mpc:
        * tests/OBV/Collocated/Forward/OBV_Forward.mpc:
          Removed not needed libpaths

        * tests/Bug_1330_Regression/Bug_1330_Regression.mpc:
          Base the server on iortable instead of adding this lib by hand

        * tests/Bug_1627_Regression/test.mpc:
          Base the server on iortable instead of adding this lib by hand and
          removed not needed libpaths

        * tests/OBV/Supports/Supports_Test.mpc:
          Base the server on strategies instead of adding this lib by hand and
          removed not needed libpaths

Thu Jan  1 09:40:04 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tests/Smart_Proxies/Makefile:

          Added new directories into theMakefile.

        * tests/Smart_Proxies/Collocation/Coll_Tester.h:
        * tests/Smart_Proxies/Collocation/Diamond_i.h:

          Fixed warnings with g++. This is an indication these files have
          never been compiled with g++.

        * tests/Smart_Proxies/Collocation/Makefile:
        * tests/Smart_Proxies/Collocation/Makefile.Coll_Test_Stubs:
        * tests/Smart_Proxies/Collocation/Makefile.Diamond:
        * tests/Smart_Proxies/Collocation/Makefile.main:

          New makefiles for building these directories.

        * tests/Smart_Proxies/Collocation/main.cpp:
        * tests/Smart_Proxies/Collocation/svc.conf:

          Cosmetic fixes.

Thu Jan  1 15:40:04 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/DynamicInterface/DII_ClientRequestInfo.{h,cpp}:
          Removed these files, not needed anymore

        * tao/DynamicInterface/TAO_DynamicInterface_Static.dsp:
          Removed DII_ClientRequestInfo files

Thu Jan  1 15:30:43 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Domain/TAO_Domain_Static.dsp:
        * tao/DynamicInterface/TAO_DynamicInterface_Static.dsp:
        * tao/IFR_Client/TAO_IFR_Client_Static.dsp:
        * tao/IORInterceptor/TAO_IORInterceptor_Static.dsp:
        * tao/ObjRefTemplate/TAO_ObjRefTemplate_Static.dsp:
        * tao/RTPortableServer/TAO_RTPortableServer_Static.dsp:
        * tao/SmartProxies/SmartProxies_Static.dsp:
        * tao/Valuetype/TAO_Valuetype_Static.dsp:
        * orbsvcs/orbsvcs/AV_Static.dsp:
        * orbsvcs/orbsvcs/CosConcurrency_Static.dsp:
        * orbsvcs/orbsvcs/CosEvent_Static.dsp:
        * orbsvcs/orbsvcs/CosLifeCycle_Static.dsp:
        * orbsvcs/orbsvcs/CosLoadBalancing_Static.dsp:
        * orbsvcs/orbsvcs/CosNaming_Static.dsp:
        * orbsvcs/orbsvcs/CosProperty_Static.dsp:
        * orbsvcs/orbsvcs/CosTime_Static.dsp:
        * orbsvcs/orbsvcs/CosTrading_Static.dsp:
        * orbsvcs/orbsvcs/DsLogAdmin_Static.dsp:
        * orbsvcs/orbsvcs/PortableGroup_Static.dsp:
        * orbsvcs/orbsvcs/RTCORBAEvent_Static.dsp:
        * orbsvcs/orbsvcs/RTEvent_Static.dsp:
        * orbsvcs/orbsvcs/RTKokyuEvent_Static.dsp:
        * orbsvcs/orbsvcs/RTOLDEvent_Static.dsp:
        * orbsvcs/orbsvcs/RTSched_Static.dsp:
        * orbsvcs/orbsvcs/RTSchedEvent_Static.dsp:
        * orbsvcs/orbsvcs/Security_Static.dsp:
        * orbsvcs/orbsvcs/SSLIOP_Static.dsp:
        * orbsvcs/orbsvcs/Svc_Utils_Static.dsp:
          Enabled rtti

Thu Jan  1 15:04:12 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/Simple/time-date/Simple_time_date.mpc:
          Removed idl_flags, they are not set in the original project files and
          cause problems in the VC71 build

Thu Jan  1 08:49:18 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * TAO_IDL/be/be_visitor_interface/interface_cs.cpp:

          Use flat_name () instead of local_name () while generating code
          for create_proxy. Thanks to Christoph for reminding me to do
          this.

Thu Jan  1 14:47:32 UTC 2004  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/AV/Endpoint_Strategy_T.h:
        * orbsvcs/orbsvcs/AV/Flows_T.h:

Thu Jan  1 00:26:12 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * orbsvcs/orbsvcs/Sched/DynSched.cpp:

          #included ace/Null_Mutex.h to fix a compile error on Solaris.

Thu Jan  1 00:10:35 2004  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tao/PortableInterceptorC.h:

          Some handcrafting to prevent VC++ from crying hoarse. Thanks to
          Johnny for pointing it out.

        * tao/diffs/PortableInterceptor.diff:

          Updated dthe diffs.

Wed Dec 31 23:48:35 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * TAO_IDL/be/be_visitor_interface/interface_cs.cpp:

          Fixed code generation for smart proxies. We never invoked the
          smart proxy during a _narrow () or _unchecked_narrow (). Our
          great tests are simply of no use to detect such important
          problems.  This should fix [BUGID 1697]. Thanks to Chris Liebig
          for reporting this problem.

        * orbsvcs/tests/Notify/lib/Command_Factory_T.h:

          Fixed a warning with g++.

        * tests/Smart_Proxies/Policy/Makefile:

          Fixed dependancies.

Wed Dec 31 15:46:38 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tests/Bug_1361_Regression/Server_Thread_Pool.cpp:
        * tests/Collocation_Tests/Collocated_Test.cpp:
        * tests/Connection_Failure/client.cpp:

          Fixed more CXX warnings.

Wed Dec 31 15:26:41 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * TAO_IDL/be/be_visitor_argument/marshal_ss.cpp:
        * TAO_IDL/be/be_visitor_operation/rettype_marshal_ss.cpp:

          Reverted part of the changes made in "Wed Dec 31 13:44:20 2003
          Jeff Parsons <j.parsons@vanderbilt.edu>" since they don't
          compile with g++.

        * TAO_IDL/be/be_visitor_union_branch/public_ci.cpp:

          Fixed warnings on TRU 64.

Wed Dec 31 14:24:52 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>


        * TAO_IDL/be/be_visitor_root/root.cpp:
        * TAO_IDL/be/be_visitor_sequence/sequence_ch.cpp:
        * tao/Object.cpp:
        * tests/Portable_Interceptors/Collocated/Dynamic/Client_Task.cpp:
        * tests/RTScheduling/Thread_Cancel/Thread_Task.cpp:

          Fixed unused variable warnings from CXX.

Wed Dec 31 13:44:20 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_visitor_argument/marshal_ss.cpp:
        * TAO_IDL/be/be_visitor_operation/rettype_marshal_ss.cpp:

          Added check in generated code for a null value when marshaling an
          out or return sequence argument into a reply. If such a
          case is detected, the generated check will marshal an empty
          sequence. This fix addresses one of the issues in [BUGID:1677].

        * TAO_IDL/ast/ast_interface.cpp:
        * TAO_IDL/be/be_interface.cpp:
        * TAO_IDL/be/be_visitor_interface/amh_ss.cpp:
        * TAO_IDL/include/ast_interface.h:

          Fixed bug that caused the generation of base class constructor
          calls in AMH interface class copy constructors to get skipped.
          The queue of parent interfaces that the IDL compiler uses
          internally to facilitate the traversal of the inheritance
          graph of a derived interface was not getting seeded with the
          derived interface itself, preventing the further population
          of the queue.

Wed Dec 31 10:13:48 2003  Boris Kolpackov  <boris@dre.vanderbilt.edu>

        * tao/IFR_Client/IFR_Base.pidl:

          Removed defenitions of CORBA::Identifier and
          CORBA::RepositoryId since they are already defined in orb.idl.

Wed Dec 31 09:54:05 2003  Chad Elliott  <elliott_c@ociweb.com>

        * orbsvcs/orbsvcs/PortableGroup/PG_FactoryRegistry.h:

          Added #include of portablegroup_export.h.

        * orbsvcs/orbsvcs.mwc:

          Removed this file.  It is no longer necessary since the
          introduction of the -hierarchy option.

Wed Dec 31 15:12:42 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/tests/Notify/lib/Supplier_T.h:
        * orbsvcs/tests/Notify/lib/Peer_T.h:
        * orbsvcs/tests/Notify/lib/Consumer_T.h:
        * orbsvcs/tests/Notify/lib/Command_Factory_T.h:
          Don't use export macros with templates.

Wed Dec 31 12:50:13 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Strategies/TAO_Strategies_Static.dsp:
        * tao/Messaging/TAO_Messaging_Static.dsp:
        * tao/IORManipulation/TAO_IORManip_Static.dsp:
          Fixed these projects

Wed Dec 31 09:58:14 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/tests/Notify/RT_lib/RT_Factories_Define.cpp:
        * orbsvcs/tests/Notify/lib/Factories_Define.cpp:
        * orbsvcs/tests/Notify/lib/Name.cpp:
          Removed not needed ; to fix Tru64 warning

Tue Dec 30 20:32:12 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * orbsvcs/orbsvcs/Security.idl:

          Fixed a path to the IDL file. This should fix the compile errors
          in the daily builds.

Tue Dec 30 19:09:46 2003  Dale Wilson  <wilson_d@ociweb.com>

        * orbsvcs/FT_ReplicationManager/FT_DefaultFaultAnalyzer.cpp:
        * orbsvcs/tests/FT_App/TAO_Object_Group_Creator.cpp:
          Build errors when Exceptions=0

Tue Dec 30 17:46:45 2003  Dale Wilson  <wilson_d@ociweb.com>

        * orbsvcs/FT_ReplicationManager/FT_FaultConsumer.cpp:
        * orbsvcs/FT_ReplicationManager/FT_ReplicationManager.h:
        * orbsvcs/FT_ReplicationManager/FT_ReplicationManager.cpp:
        * orbsvcs/FT_ReplicationManager/FT_ReplicationManagerFaultAnalyzer.cpp:
        * orbsvcs/Fault_Detector/FT_FaultDetectorFactory_i.h:
        * orbsvcs/Fault_Detector/FT_FaultDetectorFactory_i.cpp:
        * orbsvcs/Fault_Notifier/FT_Notifier_i.cpp:
        * tao/Utils/Server_Main.cpp:
          Build errors when Exceptions=0

Tue Dec 30 17:43:30 2003  Boris Kolpackov  <boris@dre.vanderbilt.edu>

        * tao/IOP_IOR.pidl:
        * tao/Policy.pidl:
        * tao/Services.pidl:
        * orbsvcs/orbsvcs/Security.idl:

          Got rid of deprecated anonymous sequence declarations.

Tue Dec 30 13:20:12 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * orbsvcs/orbsvcs/Makefile.PortableGroup:

          Need to link in IOManip library. If not done, dynamic loading
          of this library starts failing which is bad. I almost had a
          scare now and I thought that our service configurator was
          broken.

        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Connection_Handler.cpp:
        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Transport.cpp:

          Added back changes that were lost during the merge on "Sun Dec
          21 19:35:44 2003  Dale Wilson  <wilson_d@ociweb.com>"

        * orbsvcs/tests/Miop/McastHello/Makefile:

          No need to link in the libraries as done here. The test works
          with dynamic libraries and should work as such. Linking in
          libraries only tries to mask teh errors.

Tue Dec 30 10:21:16 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * orbsvcs/tests/ImplRepo/locked/run_test.pl:

          Fixed typos in the script that prevented them from running to
          completion cleanly in the daily builds.

Tue Dec 30 10:11:56 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * orbsvcs/tests/Event/Mcast/Simple/supplier.cpp:
        * orbsvcs/tests/Event/Mcast/Complex/supplier.cpp:

          #included ace/Log_Msg.h

Tue Dec 30 10:00:54 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * examples/POA/Reference_Counted_Servant/Reference_Counted_Servant.mpc:

          Fixed typos in the mpc files.

Tue Dec 30 09:57:57 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tests/Bug_1568_Regression/Bug_1568_Regression.mpc:
        * tests/Bug_1670_Regression/Bug_1670_Regression.mpc:

          Fixed the idlflags in the mpc files.

Tue Dec 30 15:16:02 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * *.mpb:
          Added $ID tag to quash fuzz errors.

Tue Dec 30 08:15:23 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * orbsvcs/performance-tests/LoadBalancing/Makefile:

          Fixed a link error. Thanks to Don for letting me know.

Tue Dec 30 14:09:54 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Portable_Interceptors/Collocated/Service_Context_Manipulation/Portable_Interceptors_Service_Context_Manipulation.mpc:
          Removed not needed libpaths

Tue Dec 30 14:04:16 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Messaging/AMI_ClientRequestInfo_i.{h,cpp}:
          Removed these files from the repo, they are not needed anymore.

Tue Dec 30 13:43:09 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/ICMG_Any_Bug/client.cpp:
          Removed not needed ; after ACE_RCSID to fix Tru64 warning

Tue Dec 30 13:41:12 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/BD_String_Argument_T.h:
        * tao/Fixed_Array_Argument_T.h:
        * tao/Var_Array_Argument_T.h:
          Removed not needed ; after c++ namespace closure.

Tue Dec 30 13:36:54 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/tests/FT_App/FT_TestReplica_i.h:
        * orbsvcs/tests/FT_App/StubFaultConsumer.cpp:
          Fixed compile errors in Tru64 build.

Tue Dec 30 13:32:13 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/tests/Notify/lib/LookupManager.h:
          Removed not needed ; to fix Tru64 warning

Tue Dec 30 13:30:01 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/RTCosScheduling/RTCosScheduling_ServerScheduler_i.h:
          Removed not needed forward declaration

        * orbsvcs/tests/RTCosScheduling/Object1_i.h:
          Added missing type of inheritence from base class. Fixes Tru64
          warning.

Tue Dec 30 13:22:56 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/tests/LoadBalancing/GenericFactory/Manage_Object_Group/server.cpp:
        * orbsvcs/tests/LoadBalancing/GenericFactory/Manage_Object_Group/simple.cpp:
          Removed not needed ; after ACE_RCSID to fix Tru64 warning

Tue Dec 30 13:09:43 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/IFRService/IFR_BaseS.cpp:
        * orbsvcs/orbsvcs/IFRService/IFR_BasicS.cpp:
        * orbsvcs/orbsvcs/IFRService/IFR_ComponentsS.cpp:
        * orbsvcs/orbsvcs/IFRService/IFR_ExtendedS.cpp:
          Removed not needed ; after c++ namespace closure.

        * orbsvcs/orbsvcs/Log/EventLogNotification.h:
          Added missing type of inheritence from base class. Fixes Tru64
          warning.

Tue Dec 30 12:46:11 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/FTEC_ConsumerAdmin.h:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/FTEC_SupplierAdmin.h:
        * orbsvcs/FTRT_Event_Service/Event_Service/FT_EventService.h:
        * orbsvcs/orbsvcs/FtRtEvent/ClientORB/FTRT_ClientORB_Interceptor.cpp:
          Removed not needed ; after c++ namespace closure.

        * orbsvcs/orbsvcs/Notify/RT_Properties.h:
          Removed not needed ; to fix Tru64 warning

Tue Dec 30 12:38:56 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/Notify/Properties.h:
          Removed not needed ; to fix Tru64 warning

Tue Dec 30 11:25:43 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/RTCORBA/RTCORBA_includeC.h:
        * tao/RTScheduling/RTScheduler_includeC.h:
          Removed not needed ; after c++ namespace closure.

Tue Dec 30 08:34:11 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/FtRtEvent.mpc:
          Made this mpc a lot simpler so that the generated borland projects also
          work. Thanks to Chad Elliot for explaining a much simpler way to
          pass an extra IDL compiler option for just 2 of the 4 IDL files and
          Huang-Ming Huang for testing that this works.

Tue Dec 30 05:23:13 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * orbsvcs/performance-tests/RTEvent/Colocated_Roundtrip/driver.cpp:
        * orbsvcs/performance-tests/RTEvent/RTCORBA_Callback/client.cpp
        * orbsvcs/performance-tests/RTEvent/TCP_Baseline/client.cpp
          Added #include Barrier.h needed due to Synch[_T].h removal
          below.

        * orbsvcs/performance-tests/RTEvent/RTCORBA_Callback/Callback.cpp:
          Added #include OS_NS_time.h needed due to Synch[_T].h removal
          below.

        * orbsvcs/performance_tests/*Makefile*:
          Updated dependencies.

Tue Dec 30 04:59:53 UTC 2003  Don Hinton <dhinton@dresystems.com>

        * orbsvcs/orbsvcs/Event/GPlot_File.cpp:
        * orbsvcs/orbsvcs/RTCosScheduling/RTCosScheduling_PCP_Manager.cpp:
          Added #include OS_NS_stdio.h needed due to Synch[_T].h removal
          below.

        * orbsvcs/performance-tests/RTEvent/Federated_Roundtrip/client.cpp:
        * orbsvcs/performance-tests/RTEvent/Roundtrip/client.cpp:
          Added #include Barrier.h needed due to Synch[_T].h removal below.

        * orbsvcs/performance-tests/RTEvent/lib/Consumer.cpp:
          Added #include OS_NS_unistd.h needed due to Synch[_T].h removal
          below.

Tue Dec 30 00:09:07 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * orbsvcs/orbsvcs/LoadBalancing/LB_LoadManager.cpp:
          Added #include OS_NS_stdio.h needed due to Synch[_T].h removal
          below.

Mon Dec 29 14:43:46 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * performance-tests/Latency/Single_Threaded/Single_Threaded.mpc:
        * performance-tests/Sequence_Latency/Single_Threaded/Single_Threaded.mpc:
          I cannot fathom why the following tests were prevented from
          compiling in minimum_corba builds. Fixed the MPC files to get
          them compiling.

Mon Dec 29 14:36:42 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tests/POA/Excessive_Object_Deactivations/Excessive_Object_Deactivations.mpc:
        * tests/POA/Identity/Identity.mpc:

          For some reason these tests were prevented from compiling if
          minimum_corba was enabled. The constraint has been
          removed. There is no reason why these tests cannot compile or
          work with minimum_corba enabled.

Mon Dec 29 13:57:18 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * orbsvcs/orbsvcs/PortableGroup/PG_Properties_Support.h:

          Fixed a warning with gcc 3.1.

Mon Dec 29 13:21:15 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * orbsvcs/tests/InterfaceRepo/IDL3_Test/idl3_client.cpp:

          #included a files that is needed for one of our builds.

        * orbsvcs/tests/InterfaceRepo/IDL3_Test/idl3_client.h:

          Cosmetic fixes.

Mon Dec 29 13:12:53 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * docs/tutorials/Quoter/RT_Event_Service/Quoter_RT_Event_Service.mpc:

          Another one that shouldn't be built when minimum_corba is
          enabled.

Mon Dec 29 13:00:28 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tests/Bug_1568_Regression/client.dsp:
        * tests/Bug_1568_Regression/server.dsp:
        * tests/Bug_1568_Regression/Bug_1568_Regression.dsw:

          New project and workspace files.

Mon Dec 29 12:55:13 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tests/Bug_1670_Regression/server.dsp (BuildCmds):
        * tests/Bug_1670_Regression/client.dsp:
        * tests/Bug_1670_Regression/Bug_1670_Regression.dsw:

          New project and workspace files.

Mon Dec 29 12:46:32 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * performance-tests/Latency/Single_Threaded/run_test.pl:
        * performance-tests/Latency/Thread_Per_Connection/run_test.pl:
        * performance-tests/Latency/Thread_Pool/run_test.pl:

          Some builds freaked out due to the number of iterations that these
          tests run. Added hooks in the perl script through which we can
          control the number of iterations in the daily builds.

Mon Dec 29 12:06:11 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tao/RTPortableServer/RTPortableServerA.{h,cpp}:

          Somehow missed this in my last checkin.

Mon Dec 29 17:50:43 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Messaging/Twoway_Asynch_Invocation.{h,cpp,i}:

          Removed these files from the repo, they are not needed.

Mon Dec 29 11:44:03 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tao/RTPortableServer/diffs/RTPortableServer.diff:
        * tao/RTScheduling/diffs/RTScheduler.diff:

          New diffs into the repository.

        * tao/RTPortableServer/diffs/RTPortableServerC.h.diff:
        * tao/RTPortableServer/diffs/RTPortableServerC.cpp.diff:
        * tao/RTPortableServer/diffs/RTPortableServerC.i.diff:

          Consolidated all the diffs into a single file.

Mon Dec 29 11:35:08 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tao/RTPortableServer/RTPortableServer.pidl:
        * tao/RTPortableServer/RTPortableServerC.cpp:
        * tao/RTPortableServer/RTPortableServerC.h:
        * tao/RTPortableServer/RTPortableServerC.i:

          Regenerated the code and improved comments in the pidl file.

        * tao/RTPortableServer/RTPortableServerA.cpp:
        * tao/RTPortableServer/RTPortableServerA.h:

          Moved the Any's to a new file.

        * tao/RTPortableServer/Makefile.bor:
        * tao/RTPortableServer/Makefile:

          Added the new file generated for Any's into the Makefiles for
          our daily builds.

        * tao/RTScheduling/RTSchedulerC.cpp:
        * tao/RTScheduling/RTSchedulerC.h:
        * tao/RTScheduling/RTSchedulerC.i:

          Code regeneration here again.

Mon Dec 29 11:15:39 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tests/Bug_1670_Regression/Makefile:
        * tests/Bug_1670_Regression/Makefile.bor:
        * tests/Bug_1670_Regression/Test.idl:
        * tests/Bug_1670_Regression/client.bor:
        * tests/Bug_1670_Regression/client.cpp:
        * tests/Bug_1670_Regression/run_test.pl:
        * tests/Bug_1670_Regression/server.bor:
        * tests/Bug_1670_Regression/server.cpp:

          Regression test for Bug 1670 which  was also fixed long
          back. Thanks to Carlos O'Ryan for providing this test.

        * tests/Makefile:
        * tests/Makefile.bor:

          Updates for the daily builds.

Mon Dec 29 11:02:16 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tests/Bug_1568_Regression/Makefile.bor:
        * tests/Bug_1568_Regression/client.bor:
        * tests/Bug_1568_Regression/server.bor:
        * tests/Makefile.bor:

          Updated borland files.

Mon Dec 29 10:52:04 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tests/Bug_1568_Regression/Bug_1568_Regression.mpc:
        * tests/Bug_1568_Regression/Makefile:
        * tests/Bug_1568_Regression/Test.idl:
        * tests/Bug_1568_Regression/client.cpp:
        * tests/Bug_1568_Regression/run_test.pl:
        * tests/Bug_1568_Regression/server.cpp:

          New regression test to the daily builds. The bug was fixed long
          back but the regression attached to the builds were not checked
          in. Thanks to Carlos O'Ryan for the test.

Mon Dec 29 09:45:07 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tests/Makefile:

          Added 1693_Test to the build.

Mon Dec 29 15:10:40 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * orbsvcs/orbsvcs/Event_Service_Constants.h:
        * orbsvcs/orbsvcs/Makefile.RTCosScheduling:
        * orbsvcs/orbsvcs/Concurrency/CC_Lock.h:
        * orbsvcs/orbsvcs/Concurrency/CC_LockSet.h:
        * orbsvcs/orbsvcs/ETCL/ETCL_Interpreter.h:
        * orbsvcs/orbsvcs/Event/EC_ObserverStrategy.cpp:
        * orbsvcs/orbsvcs/Event/GPlot_File.h:
        * orbsvcs/orbsvcs/Event/Memory_Pools.h:
        * orbsvcs/orbsvcs/LoadBalancing/LB_LeastLoaded.h:
        * orbsvcs/orbsvcs/LoadBalancing/LB_LoadManager.cpp:
        * orbsvcs/orbsvcs/Naming/Entries.h:
        * orbsvcs/orbsvcs/Notify/Refcountable.{h,cpp}:
        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Profile.h:
        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Transport.h:
        * orbsvcs/orbsvcs/RTCosScheduling/RTCosScheduling_PCP_Manager.h:
        * orbsvcs/orbsvcs/Sched/DynSched.h:
        * orbsvcs/orbsvcs/Sched/Scheduler.{h,cpp}:
        * orbsvcs/tests/Property/client.h:
        * performance-tests/Cubit/TAO/MT_Cubit/Task_Client.h:
          Fixed Synch[_T].h fuzz errors by removing #include Synch[_T].h
          and refactoring includes.

        * tao/Messaging/Asynch_Invocation.cpp:
          Fixed explicit template instatiation to use
          TAO::Utils::Auto_Functor<> instead of auto_ptr<>.

Mon Dec 29 13:32:12 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Fixed_Size_Argument_T.h:
        * tao/Any_Array_Impl_T.h:
          Removed not needed ; after c++ namespace closure.

Sun Dec 28 23:24:34 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tao/Any_Basic_Impl.cpp:
        * tao/Any_Basic_Impl.h:

          Fix for [BUGID 1693]. Thanks to Christoph Liebig
          <xfrog2000@yahoo.com> for reporting the problem.

          Please see

          http://deuce.doc.wustl.edu/bugzilla/show_bug.cgi?id=1693

          for an outline of the problem. The problem showed up because the
          Any_Basic_Impl::extract () didn't handle alias TCKind's
          right. Previously we used to do everything using the type
          information by which the class was parametrized. Once we opened
          things up, we started seeing problems with irrgular handling of
          TCKinds. Two overloaded methods assign_value () and
          demarshal_value () which take in TCKinds have been. We now use
          the TCKind's that were passed in while the call to extract ()
          was made. Since the equivalency of the typecodes have been
          checked already using the original value of TCKind should not be
          an issue.

Sun Dec 28 22:24:02 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tests/Bug_1693_Test:

          A test case for BUG ID 1693. This is a much simpler test to
          reproduce the problem.

Sun Dec 28 19:02:46 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * orbsvcs/tests/LoadBalancing/GenericFactory/Manage_Object_Group/server.dsp:

          Fixed the dsp file. It was horribly broken.

Sun Dec 28 17:30:40 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * orbsvcs/orbsvcs/PortableGroup/PG_FactoryRegistry.cpp:
        * orbsvcs/orbsvcs/PortableGroup/PG_Object_Group.cpp:

          Used .in () for String_var's.

Sun Dec 28 17:09:04 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * docs/tutorials/Quoter/Event_Service/Quoter_Event_Service.mpc:

          This should not be built if minimum_corba=1. Looks like I have
          fixed this before!

Sun Dec 28 11:39:58 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tao/TypeCodeFactory/TypeCodeFactoryC.cpp:
        * tao/TypeCodeFactory/TypeCodeFactoryC.h:
        * tao/TypeCodeFactory/TypeCodeFactoryC.inl:

          More regeneration.

Sun Dec 28 11:04:25 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tao/IFR_Client/IFR_BaseC.cpp:
        * tao/IFR_Client/IFR_BaseC.h:
        * tao/IFR_Client/IFR_BaseC.i:
        * tao/IFR_Client/IFR_BasicC.cpp:
        * tao/IFR_Client/IFR_BasicC.h:
        * tao/IFR_Client/IFR_BasicC.i:
        * tao/IFR_Client/IFR_ComponentsC.cpp:
        * tao/IFR_Client/IFR_ComponentsC.h:
        * tao/IFR_Client/IFR_ComponentsC.i:
        * tao/IFR_Client/IFR_ExtendedC.cpp:
        * tao/IFR_Client/IFR_ExtendedC.h:
        * tao/IFR_Client/IFR_ExtendedC.i:

          Regenerated code.

        * tao/IFR_Client/diffs/IFR_Base.pidl.diff:
        * tao/IFR_Client/diffs/IFR_BaseC.cpp.diff:
        * tao/IFR_Client/diffs/IFR_BaseC.h.diff:
        * tao/IFR_Client/diffs/IFR_BaseC.i.diff:
        * tao/IFR_Client/diffs/IFR_Basic.pidl.diff:
        * tao/IFR_Client/diffs/IFR_BasicC.cpp.diff:
        * tao/IFR_Client/diffs/IFR_BasicC.h.diff:
        * tao/IFR_Client/diffs/IFR_BasicC.i.diff:
        * tao/IFR_Client/diffs/IFR_Components.pidl.diff:
        * tao/IFR_Client/diffs/IFR_ComponentsC.cpp.diff:
        * tao/IFR_Client/diffs/IFR_ComponentsC.h.diff:
        * tao/IFR_Client/diffs/IFR_ComponentsC.i.diff:
        * tao/IFR_Client/diffs/IFR_Extended.pidl.diff:
        * tao/IFR_Client/diffs/IFR_ExtendedC.cpp.diff:
        * tao/IFR_Client/diffs/IFR_ExtendedC.h.diff:
        * tao/IFR_Client/diffs/IFR_ExtendedC.i.diff:

          Removed all these diffs. They don't make "any" sense for the
          present source base.

Sun Dec 28 10:31:31 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tao/Valuetype/ValueBase.cpp:
        * tao/Valuetype/Valuetype_Adapter_Impl.cpp:

          Fixed a memory leak that was associated with typecode pointer
          initializations.  Thanks to Roland Meub <roland.meub@gmx.de> for
          reporting and motivating to fix this problem.

Sun Dec 28 16:19:51 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Any_Basic_Impl_T.h:
        * tao/Basic_Arguments.h:
        * tao/Object_Proxy_Impl.h:
        * tao/UB_String_Arguments.h:
        * tao/BiDir_GIOP/BiDirPolicyC.{h,cpp}:
        * tao/Domain/DomainS.cpp:
        * tao/DynamicAny/DynamicAnyC.{h,cpp}:
        * tao/IFR_Client/IFR_BaseC.{h,cpp}:
        * tao/IFR_Client/IFR_BasicC.{h,cpp}:
        * tao/IFR_Client/IFR_ComponentsC.{h,cpp}:
        * tao/IFR_Client/IFR_ExtendedC.{h,cpp}:
        * tao/IORManipulation/IORC.{h,cpp}:
        * tao/IORTable/IORTableC.{h,cpp}:
        * tao/Messaging/MessagingS.cpp:
        * tao/PortableServer/Default_ORTC.cpp:
        * tao/PortableServer/ImplRepoC.cpp:
        * tao/PortableServer/ImplRepoS.cpp:
        * tao/PortableServer/ImR_LocatorC.cpp:
        * tao/PortableServer/ImR_LocatorS.cpp:
        * tao/RTCORBA/RTCORBAC.{h,cpp}:
        * tao/RTPortableServer/RTPortableServerC.{h,cpp}:
        * tao/RTScheduling/RTSchedulerC.{h,cpp}:
        * tao/TypeCodeFactory/TypeCodeFactoryC.{h,cpp}:
          Removed not needed ; after c++ namespace closure.

        * Strategized_Object_Proxy_Broker.{h,cpp}:
          Removed these files from the repo, they are not used anymore.

Sun Dec 28 09:55:44 2003  Dale Wilson  <wilson_d@ociweb.com>

        * TAO_IDL/be/be_visitor_operation/operation_ss.cpp:
          Fix Bugzilla 1667: LOCATION_FORWARD from Portable Interceptor
          results in SEGV if method has complex out parameters or return.

        * orbsvcs/orbsvcs/PortableGroup/PG_Object_Group.cpp:
        * orbsvcs/orbsvcs/PortableGroup/PG_Properties_Support.h:
        * orbsvcs/orbsvcs/PortableGroup/PG_Properties_Support.cpp:
        * orbsvcs/orbsvcs/PortableGroup/PG_Property_Set.h:
        * orbsvcs/orbsvcs/PortableGroup/PG_Property_Set.cpp:
          First pass at fixing build problems with Exceptions=0.

Sun Dec 28 11:35:11 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/PortableServer/TAO_PortableServer_Static.dsp:
          Fixed this msvc6 project

Sun Dec 28 11:27:43 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/tests/Notify/notify_tests.GNU:
          Added missing Id tag.

Sun Dec 28 11:18:23 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/FT_ClientORB.bor:
        * orbsvcs/orbsvcs/FT_ServerORB.bor:
        * orbsvcs/orbsvcs/PortableGroup.bor:
          Fixed these BCB makefiles.

Sun Dec 28 11:01:11 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Messaging/Messaging_No_ImplC.{h,cpp}:
        * tao/Messaging/Messaging_RT_PolicyC.{h,cpp}:
        * tao/Messaging/Messaging_SyncScope_PolicyC.{h,cpp}:
        * tao/Messaging/MessagingC.{h,cpp}:
        * tao/Messaging/TAO_ExtC.{h,cpp}:
          Removed not needed ; after c++ namespace closure.

Sun Dec 28 10:49:13 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/PortableGroup.bor:
          Add PortableGroup_Simple_DSC to the list of object files so that
          the corresponding idl file is compiled. Make sure this file is
          build first, because other files use the generated files.

Sat Dec 27 23:40:41 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * orbsvcs/orbsvcs/FT_ClientORB.bor:
        * orbsvcs/orbsvcs/FT_ServerORB.bor:
        * orbsvcs/orbsvcs/Makefile.bor:
        * orbsvcs/orbsvcs/PortableGroup.bor:

          Blind folded effort to fix some of the problems in the daily
          builds with borland.

Sat Dec 27 16:15:57 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_codegen.cpp:

          Added generation of orbconf.h include and redefintion of the
          export macro to the anyop header file (when using the -GA
          option).

        * tao/Typecode.cpp:
        * tao/Typecode.h:

          Added spec-defined fixed_digits() and fixed_scale() methods,
          which just throw CORBA::NO_IMPLEMENT, since TAO doesn't support
          IDL fixed types. Thanks to Irfan Pyarali <irfan@oomworks.com>
          for reporting the missing methods. This closes [BUGID:1643].

Sat Dec 27 12:43:21 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * TAOACE.dsw:
        * orbsvcs/orbsvcs/FaultTolerance.dsp:

          Fixed some of the link errors that show up in the daily
          builds. It doesn't make me too proud on how this is
          structured. We need to rip this apart after x.4.

Sat Dec 27 12:03:23 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * orbsvcs/orbsvcs/PortableGroup/PG_ObjectGroupManager.cpp:

          Fixed a compilation error with g++.

Sat Dec 27 10:14:00 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * orbsvcs/orbsvcs/PortableGroup/PG_ObjectGroupManager.cpp:

          Dealt with VC6 idiosyncracies. VC6 never scopes variables inside
          for loops.

Sat Dec 27 10:08:42 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * orbsvcs/orbsvcs/PortableGroup/PG_FactoryRegistry.cpp:

          Cosmetic fixes to align with coding standards. I have not done
          the entire file. I am gettingtired of doing this.

Sat Dec 27 09:59:34 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tao/CONV_FRAMEA.h:
        * tao/CurrentA.h:
        * tao/IIOPA.h:
        * tao/IIOP_EndpointsA.h:
        * tao/IOP_IORA.h:

          Some pieces that should have been generated that were missing.

Sat Dec 27 09:17:37 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * orbsvcs/tests/LoadBalancing/GenericFactory/Manage_Object_Group/LB_server.cpp:

          Fixed warnings with g++.

        * orbsvcs/tests/LoadBalancing/GenericFactory/Manage_Object_Group/Makefile:

          Needed IORManip library.

        * orbsvcs/tests/LoadBalancing/GenericFactory/Manage_Object_Group/Manage_Object_Group.mpc:
          Fixed  a typo in the MPC file.

Sat Dec 27 09:13:14 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * orbsvcs/tests/LoadBalancing/GenericFactory/Application_Controlled/Makefile:
        * orbsvcs/tests/LoadBalancing/GenericFactory/Application_Controlled/server.bor:
        * orbsvcs/tests/LoadBalancing/GenericFactory/Infrastructure_Controlled/Makefile:
        * orbsvcs/tests/LoadBalancing/GenericFactory/Infrastructure_Controlled/server.bor:
        * orbsvcs/tests/LoadBalancing/LoadMonitor/CPU/Makefile:
        * orbsvcs/tests/LoadBalancing/LoadMonitor/CPU/Makefile.bor:
        * orbsvcs/tests/Miop/McastHello/Makefile:
        * orbsvcs/tests/Miop/McastHello/server.bor:

          They need the IORManipulation library to be linked in.

Sat Dec 27 09:05:09 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * orbsvcs/LoadBalancer/LoadManager.bor:
        * orbsvcs/LoadBalancer/LoadMonitor.bor:
        * orbsvcs/LoadBalancer/Makefile.LoadManager:
        * orbsvcs/LoadBalancer/Makefile.LoadMonitor:

          They need the IORManipulation library to be linked in.

Sat Dec 27 08:51:39 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tests/IDL_Test/Makefile:

          Libraries on the link line were not ordered properly which
          vasued problems for static builds.

Sat Dec 27 13:21:13 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/Borland/build_idl.bat:
        * examples/Borland/ChatClient.bpr:
        * examples/Borland/pch.h:
          Updated this example:
          - use BCB5 instead of BCB4
          - use debug version of ace/tao instead of release
          - don't include vcl.h but set ACE_HAS_VCL=1 in the project
            settings so that ACE includes this header file.

Fri Dec 26 22:39:16 2003  Jaiganesh B  <jai@dre.vanderbilt.edu>

        * orbsvcs/orbsvcs/PortableGroup/PG_ObjectGroupManager.h:
        * orbsvcs/orbsvcs/PortableGroup/PG_ObjectGroupManager.h:

          Made changes to the remove_member () methods to delete the object
          group entry from the location_map When a member of the object
          group is removed.

          Thanks to Stephen Procter <stephen.procter@rd.bbc.co.uk> for
          letting us know about the problem through the PRF.

Fri Dec 26 22:32:25 2003  Jaiganesh B  <jai@dre.vanderbilt.edu>

        * orbsvcs/tests/LoadBalancing/GenericFactory/Manage_Object_Group/server.cpp:
        * orbsvcs/tests/LoadBalancing/GenericFactory/Manage_Object_Group/server.dsp:
        * orbsvcs/tests/LoadBalancing/GenericFactory/Manage_Object_Group/server.dsp:
        * orbsvcs/tests/LoadBalancing/GenericFactory/Manage_Object_Group/Basic.cpp:
        * orbsvcs/tests/LoadBalancing/GenericFactory/Manage_Object_Group/Basic.h:
        * orbsvcs/tests/LoadBalancing/GenericFactory/Manage_Object_Group/Simple.h:
        * orbsvcs/tests/LoadBalancing/GenericFactory/Manage_Object_Group/Simple.cpp:
        * orbsvcs/tests/LoadBalancing/GenericFactory/Manage_Object_Group/LB_server.cpp:
        * orbsvcs/tests/LoadBalancing/GenericFactory/Manage_Object_Group/LB_server.cpp:
        * orbsvcs/tests/LoadBalancing/GenericFactory/Manage_Object_Group/Manage_Object_Group.dsw:
        * orbsvcs/tests/LoadBalancing/GenericFactory/Manage_Object_Group/Manage_Object_Group.mpc:
        * orbsvcs/tests/LoadBalancing/GenericFactory/Manage_Object_Group/Makefile:
        * orbsvcs/tests/LoadBalancing/GenericFactory/Manage_Object_Group/Makefile.bor:
        * orbsvcs/tests/LoadBalancing/GenericFactory/Manage_Object_Group/Test.idl:
        * orbsvcs/tests/LoadBalancing/GenericFactory/Manage_Object_Group/run_test.pl:

          Added a new test to check the add_member () and remove_member ()
          functionality on the object group manager.

Fri Dec 26 17:35:56 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * orbsvcs/orbsvcs/PortableGroup/PG_Object_Group.cpp:
        * orbsvcs/orbsvcs/PortableGroup/PG_Property_Set.cpp:
        * orbsvcs/orbsvcs/PortableGroup/PG_Property_Set.h:

          Some fixes that were obvious when exceptions were turned
          off. But there are *lots* more that need attention. Dale is
          being sent an email.

Fri Dec 26 16:46:56 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * orbsvcs/orbsvcs/Makefile.PortableGroup:

          New files that never founds its way into the Makefile.

        * orbsvcs/orbsvcs/PortableGroup/PG_Object_Group.h:
        * orbsvcs/orbsvcs/PortableGroup/PG_Object_Group_Manipulator.h:

          Fixed some obvious abuse of ACE_ENV macros.

Fri Dec 26 14:29:01 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * TAO_IDL/be/be_interface.cpp:

          When using dynamic_hash or other techniques the generated code
          was not initilaizing the hash_map with the right members. This
          lead to operation name registration failures. This fix corrects
          that problem. Atleast a couple of simple tests pass with this
          fix. Time for a new build with this option.

Fri Dec 26 13:16:26 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * orbsvcs/orbsvcs/PortableGroup.dsp:

          Fixed the command line option to compile
          PortableGroup_Simple_DS.idl.

Fri Dec 26 12:52:32 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/Request_Context_Repository.cpp:
          #included tao/IOP_IORC.h.

Fri Dec 26 12:47:53 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tests/IDL_Test/Makefile:

          Cosmetic fix to get it working in builds where Messaging is
          turned off.

Fri Dec 26 00:43:00 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tao/GIOP.pidl:

          The pragms prefix in this file was throwing up strange errors
          under stramge circumstances. Jeff needs to look into this. Till
          then we will keep things moving along.

Fri Dec 26 00:15:20 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * orbsvcs/tests/FT_App/FT_App.mpc:

          Do not build if minimum_corba is enabled.

Thu Dec 25 23:55:47 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * orbsvcs/orbsvcs/FTORB_Utils.bor:
        * orbsvcs/orbsvcs/FT_ClientORB.bor:
        * orbsvcs/orbsvcs/FT_ServerORB.bor:

          Fixed the borland files after the last change. I am sure they
          are not perfect. Need to wait for the builds to make the next
          round of fixes.

Thu Dec 25 23:41:49 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * orbsvcs/orbsvcs/FTORB.mpc:

          Fixed a small error in the MPC file.

Thu Dec 25 23:20:36 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * orbsvcs/tests/FaultTolerance/GroupRef_Manipulation/server.dsp:

          Fixed the dependeancies.

Thu Dec 25 23:06:57 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * TAOACE.dsw:
        * orbsvcs/orbsvcs/FTORB_Utils.dsp:
        * orbsvcs/orbsvcs/FT_ClientORB.dsp:
        * orbsvcs/orbsvcs/FT_ServerORB.dsp:
        * orbsvcs/orbsvcs/PortableGroup.dsp:

          Changes that needed to be done from the change "Thu Dec 25
          17:41:44 2003 Balachandran Natarajan
          <bala@dre.vanderbilt.edu>". Removed unnecessray dependancies
          that were added. We now include the stub from
          PortableGroup_Simple_DS.idl in every project with any export
          definitions. This was easier and far better than having multiple
          libraries.

Thu Dec 25 18:56:58 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * orbsvcs/orbsvcs/FTORB.mpc:
        * orbsvcs/orbsvcs/PortableGroup.mpc:

          Set right the dependancies in the MPC files.

        The remainder of this checkin is for an optimization. The point is
        to cache the hash value of the endpoints. I am sure there are
        people who believe that with latest versions of the kernels,
        stacks and quantum computing these optimizations are a
        waste. Whatever it is, my profiler showed a bit of time spent
        trying to calculate hash values in every call path. Hence the
        decision to cache the value.

        * tao/Endpoint.h:
        * tao/Endpoint.i:

          Added a varaible to hold the cached hash value.

        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Endpoint.cpp:
        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Endpoint.cpp:

        * tao/IIOP_Endpoint.cpp:
        * tao/IIOP_Endpoint.h:
        * tao/Strategies/DIOP_Endpoint.cpp:
        * tao/Strategies/SCIOP_Endpoint.cpp:
        * tao/Strategies/SCIOP_Endpoint.h:
        * tao/Strategies/SHMIOP_Endpoint.cpp:
        * tao/Strategies/UIOP_Endpoint.cpp:

          Double checked locking optimizations to cache the hash value.

        * tests/MT_Client/client.global.conf:

          Removed a svc.conf option that has long been retired.

Thu Dec 25 17:41:44 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * orbsvcs/orbsvcs/PortableGroup_Simple_DS.idl:

          Moved some of the typedefs and data structures that are used by
          other services into this file. For example FT_CORBA_ORB.idl just
          includes 3 typedefs and a struct in PortableGroup.idl which it
          was doing by including PortableGroup.idl. This lead to
          dependancy between FT_CORBA_ORB and PortableGroup. This also
          dependancy also lead to teh dependancies of PortableGroup being
          imposed on FT_CORBA_ORB, which were all nasty in the first
          place. This seperate IDL file will clean a bunch of things up.

        * orbsvcs/orbsvcs/PortableGroup.idl:
        * orbsvcs/orbsvcs/FT_CORBA_ORB.idl:

          These IDL files include only the above IDL file.

        * orbsvcs/orbsvcs/Makefile:

          Removed the dependancy of PortableGroup on FTORB. There is no
          need for this. Further cleaned up the dependancy on
          Notification and Naming. The whole idea of splitting the
          FT_CORBA IDL into two pieces months before was to avoid this
          dependancy. Adding this dependancy defeats the purpose. A
          dependancy has been setup between PortableGroup and FTORB. This
          is just for the generated code and not a library dependancy.

        * orbsvcs/orbsvcs/Makefile.FTORB:

          Added the PortableGroup_Simple_DS.idl for compilation.

        * orbsvcs/orbsvcs/Makefile.PortableGroup:

          Added the generated code from PortableGroup_Simple_DS.idl for
          cmpilation and linking.

        * orbsvcs/examples/FaultTolerance/RolyPoly/Makefile:
        * orbsvcs/tests/FaultTolerance/GroupRef_Manipulation/Makefile:
        * orbsvcs/tests/FaultTolerance/IOGR/Makefile:

          Does not link in Messaging library.

Thu Dec 25 11:09:50 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * orbsvcs/orbsvcs/FTORB_Utils.dsp:
        * orbsvcs/orbsvcs/FT_ClientORB.dsp:
        * orbsvcs/orbsvcs/FT_ServerORB.dsp:

          They needed more massaging. They now depend on portable group
          and CosNaming. This is not fun. If I were doing things, I would
          have split the required definitions into a seperate IDL file and
          include the generated code in both the projects. This is simply
          not right!

Wed Dec 24 20:06:01 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * orbsvcs/orbsvcs/FTORB_Utils.dsp:
        * orbsvcs/orbsvcs/FT_ClientORB.dsp:
        * orbsvcs/orbsvcs/FT_ServerORB.dsp:

          All of them needed Messaging libraries in both debug and release
          builds.

Wed Dec 24 19:41:43 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * orbsvcs/tests/FaultTolerance/GroupRef_Manipulation/Makefile:

          Needed extra libraries to link fine on static builds.

Wed Dec 24 14:29:20 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tao/IOP_Codec.pidl:
        * tao/IOP_CodecA.cpp:
        * tao/IOP_CodecA.h:
        * tao/IOP_CodecC.cpp:
        * tao/IOP_CodecC.h:
        * tao/diffs/IOP_Codec.diff:

          Reverting the change "Wed Dec 24 14:15:24 2003  Balachandran
          Natarajan  <bala@dre.vanderbilt.edu>", since it had the reverse
          effect. The executable started linking in *A.* files since the
          typecodes for exceptions were placed in these files.

Wed Dec 24 14:15:24 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tao/IOP_Codec.pidl:
        * tao/IOP_CodecA.cpp:
        * tao/IOP_CodecA.h:
        * tao/IOP_CodecC.cpp:
        * tao/IOP_CodecC.h:
        * tao/diffs/IOP_Codec.diff:

          Updates for the above file, which primarily consists of moving
          the typecodes from *C.* files to *A.* files.

Wed Dec 24 13:33:10 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>


        * tao/IIOP_EndpointsA.cpp:
        * tao/IIOP_EndpointsA.h:
        * tao/IIOP_EndpointsC.cpp:
        * tao/IIOP_EndpointsC.h:
        * tao/IOP_IORA.cpp:
        * tao/IOP_IORA.h:
        * tao/IOP_IORC.cpp:
        * tao/IOP_IORC.h:

          More painful code hacking. Maintenance is harder, but we don't
          have a choice right away. Moved all the typecodes from *C.* to
          *A.* files.

        * tao/IIOP_Endpoints.pidl:
        * tao/IOP_IOR.pidl:
        * tao/Policy.pidl:

          Updated documentation.

        * tao/diffs/IIOP_Endpoints.diff:
        * tao/diffs/IOP_IOR.diff:

          Updated diff files.

Wed Dec 24 12:54:21 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tao/CONV_FRAME.pidl:
        * tao/IIOP.pidl:
        * tao/Current.pidl:

          Improved  documentation

        * tao/CONV_FRAMEA.cpp:
        * tao/CONV_FRAMEA.h:
        * tao/CONV_FRAMEC.cpp:
        * tao/CONV_FRAMEC.h:
        * tao/CurrentA.cpp:
        * tao/CurrentA.h:
        * tao/CurrentC.cpp:
        * tao/CurrentC.h:
        * tao/IIOPA.cpp:
        * tao/IIOPA.h:
        * tao/IIOPC.cpp:
        * tao/IIOPC.h:

          Painful code movements. Moved all the typecode declarations
          from *C.* files to *A.* files. This is maintenance hard, but no
          gains without pains. Sorry we have to do this to get the
          footprint reductions.

        * tao/diffs/Current.diff:
        * tao/diffs/CONV_FRAME.diff:
        * tao/diffs/IIOP.diff:

          Regenerated diffs with the above changes.

Wed Dec 24 11:58:35 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * examples/Buffered_AMI/client.cpp:
        * examples/Buffered_Oneways/client.cpp:
        * performance-tests/RTCorba/Oneways/Reliable/client.cpp:
        * tests/AMI_Buffering/client.cpp:
        * tests/Oneway_Buffering/client.cpp:
        * tests/Policies/Manipulation.cpp:

          All of the above needed a #include of TAOA.h.

Wed Dec 24 17:10:45 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * TAO/orbsvcs/IFR_Service/Makefile.dependencies:
        * TAO/orbsvcs/LoadBalancer/Makefile.LoadManager:
        * TAO/orbsvcs/LoadBalancer/Makefile.LoadMonitor:
        * TAO/orbsvcs/tests/Bug_1334_Regression/Makefile.Bug_1334_client:
        * TAO/orbsvcs/tests/Bug_1630_Regression/Makefile.Bug_1630_testclient:
        * TAO/tests/Bug_1330_Regression/Makefile.Bug_1330_Client:
        * TAO/tests/Bug_1330_Regression/Makefile.Bug_1330_Server:
        * TAO/tests/Bug_1627_Regression/Makefile.Bug_1627_Client:
        * TAO/tests/Bug_1627_Regression/Makefile.Bug_1627_Server:
        * TAO/tests/Bug_1635_Regression/Makefile.Bug_1635_Client:
        * TAO/tests/Bug_1636_Regression/Makefile.bug_1636_testclient:
        * TAO/tests/Bug_1639_Regression/Makefile.Bug_1639_testclient:
          Fixed Fuzz errors.

Wed Dec 24 08:29:56 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tao/Valuetype/AbstractBase_T.cpp:

          Fixed a compilation errors in builds where exceptions are turned
          off.

Wed Dec 24 08:24:44 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tao/PortableInterceptor.pidl:

          Added an extra include IOP_IOR.pidl

        * tests/Timed_Buffered_Oneways/client.pp:

          #included tao/TAOA.h.

          They should fix compile errors in a number of g++ builds.

Wed Dec 24 13:44:56 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/IORInterceptor/IORInterceptorC.{h,cpp}:
        * tao/ObjRefTemplate/ObjectReferenceTemplateC.{h,cpp}:
        * tao/PortableServer/Default_ORTC.h:
        * tao/PortableServer/ImplRepoC.h:
        * tao/PortableServer/ImR_LocatorC.h:
        * tao/PortableServer/PolicyS.cpp:
        * tao/PortableServer/PortableServerC.cpp:
        * tao/PortableServer/PortableServerC.h:
        * tao/Valuetype/AbstractBase.h:
          Removed not needed ; after c++ namespace closure.

Wed Dec 24 13:28:43 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Any_Dual_Impl_T.h:
        * tao/Any_Impl_T.h:
        * tao/Any_Special_Impl_T.h:
        * tao/Basic_Argument_T.h:
        * tao/IFR_Client_Adapter.h:
        * tao/Special_Basic_Argument_T.h:
        * tao/UB_String_Argument_T.h:
        * tao/TypeCodeFactory_Adapter.h:
          Removed not needed ; after c++ namespace closure.

Wed Dec 24 12:41:05 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * docs/tutorials/Quoter/On_Demand_Activation/Quoter_On_Demand_Activation.mpc:
          Fixed incorrect filename

        * docs/tutorials/Quoter/Naming_Service/Quoter_Naming_Service.mpc:
          Build after and link with the Quoter_Idl_Lib

Wed Dec 24 11:52:43 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/tests/FaultTolerance/GroupRef_Manipulation/server.bor:
        * orbsvcs/tests/FaultTolerance/IOGRManipulation/Makefile.bor:
          Added missing libraries

Wed Dec 24 11:42:16 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/FaultTolerance.bor:
        * orbsvcs/orbsvcs/FT_ClientORB.bor:
        * orbsvcs/orbsvcs/FT_ServerORB.bor:
        * orbsvcs/orbsvcs/FTORB_Utils.bor:
          Added missing libraries

Wed Dec 24 11:18:01 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/examples/ORT/ORT.mpc:
          Moved the sumserver.idl file to the server project, this needs to
          compile this idl file.

Wed Dec 24 11:01:56 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * docs/tutorials/Quoter/Naming_Service/Quoter_Naming_Service.mpc:
          Added ../idl to includes

Wed Dec 24 08:55:13 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/FtRtEvent.mpc:
          Added setting of source_outputext to get also build rules for the
          to generate cpp files.

Tue Dec 23 22:39:21 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tao/PortableInterceptorC.h:

          Fixed some more warnings.

        * tao/TimeBaseC.h:

          Added the Any operator descaration so that the generated code in
          $TAO_ROOT/orbsvcs/orbsvcs can use this declaration.

Tue Dec 23 22:31:19 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tao/PortableInterce

Tue Dec 23 22:02:10 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tao/PortableInterceptorC.h:

          Fixed unused variable warnings.

Tue Dec 23 21:35:08 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tao/diffs/PortableInterceptor.diff;
        * tao/diffs/Policy.diff:

          Updated diffs.

Tue Dec 23 21:24:56 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tao/IOP_Codec.pidl:
        * tao/IOP_CodecA.cpp:
        * tao/IOP_CodecA.h:
        * tao/IOP_CodecC.cpp:
        * tao/IOP_CodecC.h:
        * tao/IOP_CodecC.i:
        * tao/PolicyA.cpp:
        * tao/PolicyA.h:
        * tao/PolicyC.cpp:
        * tao/PolicyC.h:
        * tao/PolicyC.i:
        * tao/Pollable.pidl:
        * tao/PollableC.cpp:
        * tao/PollableC.h:
        * tao/PollableC.i:
        * tao/PortableInterceptor.pidl:
        * tao/PortableInterceptorA.cpp:
        * tao/PortableInterceptorA.h:
        * tao/PortableInterceptorC.cpp:
        * tao/PortableInterceptorC.h:
        * tao/PortableInterceptorC.i:

          Regenerated these files. By this we have completed almost all
          the files that *need* regeneration in $TAO_ROOT/tao. We go to
          the next from here.

        * tao/TimeBase.pidl:
        * tao/TimeBaseC.cpp:
        * tao/TimeBaseC.h:
        * tao/TimeBaseC.i:

          Regenerated the files with the documentation.

        * tao/TimeBaseA.cpp:
        * tao/TimeBaseA.h:

          New files added with Any operators in it.

        * tao/tao.mpc:
        * tao/Makefile.bor:
        * tao/Makefile.tao:
        * tao/TAO.dsp:

          Added the new files into the various projects.

Tue Dec 23 20:44:08 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tao/TAO.dsp:

          New files from the last change.

Tue Dec 23 20:35:00 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tao/Buffering_Constraint_Policy.cpp:

          Added a new header.

        * tao/Messaging_PolicyValue.pidl:
        * tao/Messaging_PolicyValueA.cpp:
        * tao/Messaging_PolicyValueA.h:
        * tao/Messaging_PolicyValueC.cpp:
        * tao/Messaging_PolicyValueC.h:
        * tao/Messaging_PolicyValueC.i:
        * tao/TAOA.cpp:
        * tao/TAOA.h:
        * tao/TAOC.cpp:
        * tao/TAOC.h:
        * tao/TAOC.i:
        * tao/WrongTransaction.pidl:
        * tao/WrongTransactionA.cpp:
        * tao/WrongTransactionA.h:
        * tao/WrongTransactionC.cpp:
        * tao/WrongTransactionC.h:
        * tao/WrongTransactionC.i:

          Regenerated all these files and added TAOA* and
          WrongTransactionA*.

        * tao/Makefile.tao:
        * tao/Makefile.bor:
        * tao/tao.mpc: Added new files.


Tue Dec 23 20:11:23 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tao/Bounds.pidl:
        * tao/CONV_FRAME.pidl:
        * tao/Current.pidl:
        * tao/Domain.pidl:
        * tao/Dynamic_Parameter.pidl:

          Updated the documentaion.

        * tao/DomainC.cpp:

          Regenerated the file again.

Tue Dec 23 19:56:10 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tao/TAO.dsp:

          Updated the dsp files with the new *A.* files.

Tue Dec 23 19:35:21 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tao/Makefile.bor:

          Updated with new files.

Tue Dec 23 19:19:44 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tao/BoundsA.cpp:
        * tao/BoundsA.h:
        * tao/CONV_FRAMEA.cpp:
        * tao/CONV_FRAMEA.h:
        * tao/CurrentA.cpp:
        * tao/CurrentA.h:
        * tao/DomainA.cpp:
        * tao/DomainA.h:
        * tao/Dynamic_ParameterA.cpp:
        * tao/Dynamic_ParameterA.h:
        * tao/GIOPA.cpp:
        * tao/GIOPA.h:
        * tao/IIOPA.h:
        * tao/IIOPA.cpp:
        * tao/IIOP_EndpointsA.cpp:
        * tao/IIOP_EndpointsA.h:

          Added the generated Any files into the repository. These were
          not in the repository before. This was due to a bug in the IDL
          compiler which was fixed in "Thu Nov 20 20:12:37 2003  Jeff
          Parsons <j.parsons@vanderbilt.edu>". We never updated the
          repository after this change.

        * tao/DynamicA.cpp:
        * tao/DynamicA.h:

        * tao/tao.mpc:
        * tao/Makefile.tao:

          Updated the files with the new files that were missing in the
          first place.

Tue Dec 23 19:04:06 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tao/BoundsC.cpp:
        * tao/BoundsC.h:
        * tao/BoundsC.i:
        * tao/CONV_FRAMEC.cpp:
        * tao/CONV_FRAMEC.h:
        * tao/CONV_FRAMEC.i:
        * tao/CurrentC.cpp:
        * tao/CurrentC.h:
        * tao/CurrentC.i:
        * tao/DomainC.cpp:
        * tao/DomainC.h:
        * tao/DomainC.i:
        * tao/DynamicC.cpp:
        * tao/DynamicC.h:
        * tao/DynamicC.i:
        * tao/Dynamic_ParameterC.cpp:
        * tao/Dynamic_ParameterC.h:
        * tao/GIOPC.cpp:
        * tao/GIOPC.h:
        * tao/GIOPC.i:
        * tao/IIOPC.cpp:
        * tao/IIOPC.h:
        * tao/IIOPC.i:
        * tao/IIOP_EndpointsC.cpp:
        * tao/IIOP_EndpointsC.h:

          First set of regenerated code. They had to be regenerated since
          the interfaces needed to have a _unchecked_narrow ().

Dec 23 18:17:54 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tao/Object_T.cpp:

          Fixed a compilation error in builds where exceptions have been
          turned off.

Tue Dec 23 17:47:41 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * TAO_IDL/be/be_visitor_interface/interface_ch.cpp:
        * TAO_IDL/be/be_visitor_interface/interface_cs.cpp:
        * TAO_IDL/be/be_visitor_operation/ami_handler_reply_stub_operation_cs.cpp:
        * TAO_IDL/be_include/be_visitor_interface/interface_ch.h:
        * TAO_IDL/be_include/be_visitor_interface/interface_cs.h:

          Added code generation for _unchecked_narrow (). Thanks to Jon
          Biggar and Milan Cvetkovic for motivating this.

        * tao/Object_T.cpp:
        * tao/Object_T.h:
        * tao/Valuetype/AbstractBase_T.cpp:
        * tao/Valuetype/AbstractBase_T.h:

          Provided interfaces that can be called by the generated
          code. The implementation of _unchecked_narrow () for interfaces
          and abstract interfaces stay within the ORB.

Tue Dec 23 21:18:22 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * *.bor:
          Added $Id to fix fuzz errors.

Tue Dec 23 21:01:52 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * *.{mpc,mwc}:
          Added $Id to MPC files to fix fuzz errors.

Tue Dec 23 14:51:09 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * orbsvcs/examples/FaultTolerance/RolyPoly/Makefile:
        * orbsvcs/examples/FaultTolerance/RolyPoly/ReplicaController.cpp:
        * orbsvcs/examples/FaultTolerance/RolyPoly/ReplicaController.h:
        * orbsvcs/examples/FaultTolerance/RolyPoly/server.cpp:

          Fixed compile errors and that were showing up in my workspace with
          g++.

Tue Dec 23 20:14:45 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * orbsvcs/orbsvcs/Makefile:
          Reformatted the inter-library dependencies to make them more
          human readable, and fit on an 80 character line.

Tue Dec 23 11:52:37 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * TAO_IDL/be/be_codegen.cpp:
        * TAO_IDL/be/be_visitor_arg_traits.cpp:

          Changes to get the generated code to compile if gperf is not
          available. There have been questiosn from users in the past
          whether they can avoid using gperf genereated code. To prevent
          suprises for those users we have to get the generated code
          compiling for every strategy that we support or remove those
          strategies which we can't maintain ;).

Tue Dec 23 11:04:06 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tao/PortableInterceptorC.h:
        * tao/PortableServer/Object_Adapter.cpp:
        * tao/PortableServer/ServerInterceptorAdapter.cpp:
        * tao/PortableServer/ServerInterceptorAdapter.h:

          Added an #define TAO_HAS_EXTENDED_FT_INTERCEPTORS, to protect
          the extended interceptor call. The extended call is only for our
          FT capabilities and is proprietary. A compliant implementation
          of an application level PortableInterceptor will start running
          into trouble without this #define. This change is to protect
          compliant implementations of application intereceptors from
          having any surprises.

Tue Dec 23 09:48:52 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tests/IDL_Test/Makefile:
        * tests/IDL_Test/keywords.idl:

          Added a test case for the bug report from Cyrille. The fix went
          in this change "Tue Dec 23 09:47:27 2003  Jeff Parsons
          <j.parsons@vanderbilt.edu>". The IDL file has the exact
          construction that Cyrille reported. We now by default generate
          AMI code if ami==1 in the IDL_Test. Therefore we link in the
          Messaging library too.

Tue Dec 23 09:47:27 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/ast/ast_decl.cpp:
        * TAO_IDL/be/be_visitor_ami_pre_proc.cpp:

          Fixed incorrect dropping of _cxx_ prefix in parameter name (if
          it clashes with a C++ keyword) of AMI sendc_* operation. Thanks
          to  Cyrille Chépélov <cyrille@softek.fr> for reporting the bug.

Tue Dec 23 12:53:59 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * docs/tutorials/Quoter/RT_Event_Service/Quoter_RT_Event_Service.mpc:
        * docs/tutorials/Quoter/Naming_Service/Quoter_Naming_Service.mpc:
        * docs/tutorials/Quoter/Event_Service/Quoter_Event_Service.mpc:

          Because these tutorials using orbsvcs, base the projects on
          orbsvcsexe instead of taoexe because with taoexe we lack the
          $(TAO_ROOT)/orbsvcs include path

Tue Dec 23 12:42:45 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * docs/tutorials/Quoter/Simple/Impl-Repo/Quoter_Simple_Impl_Repo.mpc:
          Removed not existing cpp file in the client part of this MPC file.

Tue Dec 23 11:29:33 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * Makefile.bor:
          When everything is build, also build Kokyu

Tue Dec 23 10:22:13 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Smart_Proxies/Collocation/Coll_Tester.cpp:
          Added ACE_UNUSED_ARG to silence Borland warnings

Mon Dec 22 21:40:02 2003  Dale Wilson  <wilson_d@ociweb.com>

        * orbsvcs/orbsvcs/Makefile:
          Still trying to sweet talk make into building PortableGroup
          before it tries to build Fault Tolerant libraries.

Mon Dec 22 14:55:59 2003  Dale Wilson  <wilson_d@ociweb.com>

        * orbsvcs/FT_ReplicationManager/FT_ReplicationManager.cpp:
        * orbsvcs/Fault_Detector/Fault_Detector_i.h:
        * orbsvcs/Fault_Detector/Fault_Detector_i.cpp:
        * orbsvcs/orbsvcs/FaultTolerance/FT_ClientPolicy_i.h:
        * orbsvcs/orbsvcs/PortableGroup/PG_FactoryRegistry.h:
        * orbsvcs/orbsvcs/PortableGroup/PG_FactoryRegistry.cpp:
        * orbsvcs/orbsvcs/PortableGroup/PG_Group_Factory.h:
        * orbsvcs/orbsvcs/PortableGroup/PG_Object_Group.cpp:
        * orbsvcs/orbsvcs/PortableGroup/PG_Object_Group_Manipulator.cpp:
        * orbsvcs/orbsvcs/PortableGroup/PG_Property_Set.cpp:
        * orbsvcs/tests/FT_App/FT_Creator.cpp:
        * orbsvcs/tests/FT_App/FT_TestReplica_i.cpp:
        * orbsvcs/tests/FT_App/StubFaultNotifier.cpp:
        * orbsvcs/tests/FT_App/TAO_Object_Group_Creator.cpp:
        * tao/Utils/Server_Main.cpp:

          Resolve warnings/errors in MPC-based build.

Mon Dec 22 20:31:55 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * orbsvcs/orbsvcs/Makefile.av:
          Modified this makefile to explicitly include wrapper_macros.GNU,
          etc., so it can test for rapi and sctp and include additional
          files in LSRC if either is defined.  Thanks to Craig Rodrigues
          <crodrigu@bbn.com> for finding the problem and supplying the
          patch.

Mon Dec 22 14:07:35 2003  Chad Elliott  <elliott_c@ociweb.com>

        * TAO-INSTALL.html:

          Updated building information for the TAOACE workspace with VC6.

Mon Dec 22 12:05:26 2003  Dale Wilson  <wilson_d@ociweb.com>

        * orbsvcs/FT_ReplicationManager/FT_Property_Validator.h:
        * orbsvcs/FT_ReplicationManager/FT_ReplicationManager.mpc:
        * orbsvcs/Fault_Detector/Fault_Detector.mpc:
        * orbsvcs/Fault_Detector/Fault_Detector_Main.cpp:
        * orbsvcs/Fault_Notifier/FT_Notifier_i.h:
        * orbsvcs/Fault_Notifier/FT_Notifier_i.cpp:
        * orbsvcs/Fault_Notifier/Fault_Notifier.mpc:
        * orbsvcs/Fault_Notifier/Fault_Notifier_Main.cpp:
        * orbsvcs/orbsvcs/PortableGroup/PG_Property_Set.h:
        * orbsvcs/orbsvcs/PortableGroup/PG_Property_Set_Find.h:
        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Transport.h:
        * orbsvcs/tests/FT_App/FTAPP_FaultConsumer_Main.cpp:
        * orbsvcs/tests/FT_App/FT_App.mpc:
        * orbsvcs/tests/FT_App/FT_Creator.h:
        * orbsvcs/tests/FT_App/FT_Creator.cpp:
          Fix cosmetic problems reported by fuzz build.

Mon Dec 22 17:43:12 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * tao/Any_Dual_Impl_T.{h,cpp}:
          Added new protected method, value(const T &), and moved the
          ACE_NEW for value from the ctor to this method.  The ctor now
          calls this method instead of doing the ACE_NEW itself which
          allows us the ability to specialize a regular method instead of
          a ctor since some compilers have trouble specializing ctor's that
          initialize base classes.

        * tao/Exception.cpp:
          Removed the ctor specialization for Any_Dual_Impl_T and replaces
          it with a specialization of value() since some compilers could
          grok the former.

Mon Dec 22 11:29:39 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * TAO_IDL/be/be_visitor_arg_traits.cpp:

          Fixed another instance where ; was generated.

Mon Dec 22 17:09:13 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/*.bor:
          Added missing Id tag to several Borland makefiles to fix fuzz errors.

Mon Dec 22 16:55:53 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/BiDir_GIOP/TAO_BiDir_GIOP_Static.dsp:
        * tao/TypeCodeFactory/TypeCodeFactory_Static.dsp:
        * tao/IORTable/TAO_IORTable_Static.dsp:
        * tao/DynamicAny/TAO_DynamicAny_Static.dsp:
          Enabled rtti in these projects.

Mon Dec 22 10:38:55 2003  Chad Elliott  <elliott_c@ociweb.com>

        * orbsvcs/vc7_orbsvcs.mwc:

          Removed this file.  It was obsolete.

Mon Dec 22 16:37:43 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/*C.{h,cpp}:
          Removed not needed ; after c++ namespace closure.

Mon Dec 22 16:12:13 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/TAO_Static.dsp:
          Removed files that are removed earlier from the repo.

Mon Dec 22 09:54:15 2003  Dale Wilson  <wilson_d@ociweb.com>

        * orbsvcs/orbsvcs/Makefile.bor:
          Build PortableGroup before FaultTolerant projects.

Mon Dec 22 09:20:50 2003  Dale Wilson  <wilson_d@ociweb.com>

        * orbsvcs/orbsvcs/Makefile:
          Add dependancy of FTORB on PortableGroup.

Mon Dec 22 04:58:28 2003  Dale Wilson  <wilson_d@ociweb.com>

        * orbsvcs/orbsvcs/LoadBalancing/LB_LoadManager.cpp:
          Fix "one last bug" in previous check-in.

Sun Dec 21 23:07:49 2003  Dale Wilson  <wilson_d@ociweb.com>

        * orbsvcs/orbsvcs/LoadBalancing/LB_LoadManager.h:
        * orbsvcs/orbsvcs/LoadBalancing/LB_LoadManager.cpp:
          Missed this change on the merge.
          Add implementation of TAO specific method on
          PortableGroup::ObjectManager.

Sun Dec 21 19:35:44 2003  Dale Wilson  <wilson_d@ociweb.com>

        * ChangeLogs/ChangeLog-oci_haft:
          This file contains the change log entries made during the HAFT project.
          The files below were added or changed during the project and are being
          merged into the main trunk with this ChangeLog entry.

        * orbsvcs/FTRT_Event_Service/Factory_Service/EventChannelFactory_i.h:
        * orbsvcs/FTRT_Event_Service/Factory_Service/EventChannelFactory_i.cpp:
        * orbsvcs/FT_ReplicationManager/FT_DefaultFaultAnalyzer.h:
        * orbsvcs/FT_ReplicationManager/FT_DefaultFaultAnalyzer.cpp:
        * orbsvcs/FT_ReplicationManager/FT_FaultAnalyzer.h:
        * orbsvcs/FT_ReplicationManager/FT_FaultAnalyzer.cpp:
        * orbsvcs/FT_ReplicationManager/FT_FaultConsumer.h:
        * orbsvcs/FT_ReplicationManager/FT_FaultConsumer.cpp:
        * orbsvcs/FT_ReplicationManager/FT_FaultEventDescriptor.h:
        * orbsvcs/FT_ReplicationManager/FT_FaultEventDescriptor.cpp:
        * orbsvcs/FT_ReplicationManager/FT_Property_Validator.h:
        * orbsvcs/FT_ReplicationManager/FT_Property_Validator.cpp:
        * orbsvcs/FT_ReplicationManager/FT_ReplicationManager.h:
        * orbsvcs/FT_ReplicationManager/FT_ReplicationManager.mpc:
        * orbsvcs/FT_ReplicationManager/FT_ReplicationManager.cpp:
        * orbsvcs/FT_ReplicationManager/FT_ReplicationManagerFaultAnalyzer.h:
        * orbsvcs/FT_ReplicationManager/FT_ReplicationManagerFaultAnalyzer.cpp:
        * orbsvcs/FT_ReplicationManager/FT_ReplicationManagerLib_export.h:
        * orbsvcs/FT_ReplicationManager/FT_ReplicationManager_Main.cpp:
        * orbsvcs/FT_ReplicationManager/README:
        * orbsvcs/Fault_Detector/FT_FaultDetectorFactory_i.h:
        * orbsvcs/Fault_Detector/FT_FaultDetectorFactory_i.cpp:
        * orbsvcs/Fault_Detector/Fault_Detector.mpc:
        * orbsvcs/Fault_Detector/Fault_Detector_Main.cpp:
        * orbsvcs/Fault_Detector/Fault_Detector_i.h:
        * orbsvcs/Fault_Detector/Fault_Detector_i.cpp:
        * orbsvcs/Fault_Notifier/.cvsignore:
        * orbsvcs/Fault_Notifier/FT_Notifier_i.h:
        * orbsvcs/Fault_Notifier/FT_Notifier_i.cpp:
        * orbsvcs/Fault_Notifier/Fault_Notifier.mpc:
        * orbsvcs/Fault_Notifier/Fault_Notifier_Main.cpp:
        * orbsvcs/LoadBalancer/LoadBalancer.mpc:
        * orbsvcs/examples/FaultTolerance/Makefile:
        * orbsvcs/examples/FaultTolerance/RolyPoly/CrashPoint.h:
        * orbsvcs/examples/FaultTolerance/RolyPoly/CrashPoint.cpp:
        * orbsvcs/examples/FaultTolerance/RolyPoly/Log.h:
        * orbsvcs/examples/FaultTolerance/RolyPoly/LogACE_RB_Tree.h:
        * orbsvcs/examples/FaultTolerance/RolyPoly/LogStdMap.h:
        * orbsvcs/examples/FaultTolerance/RolyPoly/Makefile:
        * orbsvcs/examples/FaultTolerance/RolyPoly/ORB_Initializer.h:
        * orbsvcs/examples/FaultTolerance/RolyPoly/ORB_Initializer.cpp:
        * orbsvcs/examples/FaultTolerance/RolyPoly/README:
        * orbsvcs/examples/FaultTolerance/RolyPoly/ReplicaController.h:
        * orbsvcs/examples/FaultTolerance/RolyPoly/ReplicaController.cpp:
        * orbsvcs/examples/FaultTolerance/RolyPoly/RolyPoly.idl:
        * orbsvcs/examples/FaultTolerance/RolyPoly/RolyPoly_i.h:
        * orbsvcs/examples/FaultTolerance/RolyPoly/RolyPoly_i.cpp:
        * orbsvcs/examples/FaultTolerance/RolyPoly/StateUpdate.h:
        * orbsvcs/examples/FaultTolerance/RolyPoly/client.cpp:
        * orbsvcs/examples/FaultTolerance/RolyPoly/server.cpp:
        * orbsvcs/orbsvcs/CosEvent/CEC_TypedConsumerAdmin.cpp:
        * orbsvcs/orbsvcs/CosLoadBalancing.mpc:
        * orbsvcs/orbsvcs/FTORB.mpc:
        * orbsvcs/orbsvcs/FT_CORBA.idl:
        * orbsvcs/orbsvcs/FT_CORBA_ORB.idl:
        * orbsvcs/orbsvcs/FT_FaultDetectorFactory.idl:
        * orbsvcs/orbsvcs/FT_Notifier.idl:
        * orbsvcs/orbsvcs/FT_Replica.idl:
        * orbsvcs/orbsvcs/FT_ReplicationManager.idl:
        * orbsvcs/orbsvcs/FaultTolerance.mpc:
        * orbsvcs/orbsvcs/FaultTolerance/FT_ClientORBInitializer.cpp:
        * orbsvcs/orbsvcs/FaultTolerance/FT_ClientPolicy_i.h:
        * orbsvcs/orbsvcs/FaultTolerance/FT_ClientRequest_Interceptor.cpp:
        * orbsvcs/orbsvcs/FaultTolerance/FT_IOGR_Property.h:
        * orbsvcs/orbsvcs/FaultTolerance/FT_IOGR_Property.i:
        * orbsvcs/orbsvcs/FaultTolerance/FT_IOGR_Property.cpp:
        * orbsvcs/orbsvcs/FaultTolerance/FT_ORBInitializer.h:
        * orbsvcs/orbsvcs/FaultTolerance/FT_ORBInitializer.cpp:
        * orbsvcs/orbsvcs/FaultTolerance/FT_PolicyFactory.h:
        * orbsvcs/orbsvcs/FaultTolerance/FT_PolicyFactory.cpp:
        * orbsvcs/orbsvcs/FaultTolerance/FT_Policy_i.h:
        * orbsvcs/orbsvcs/FaultTolerance/FT_Policy_i.i:
        * orbsvcs/orbsvcs/FaultTolerance/FT_Policy_i.inl:
        * orbsvcs/orbsvcs/FaultTolerance/FT_Policy_i.cpp:
        * orbsvcs/orbsvcs/FaultTolerance/FT_ServerORBInitializer.cpp:
        * orbsvcs/orbsvcs/FaultTolerance/FT_Service_Activate.cpp:
        * orbsvcs/orbsvcs/FaultTolerance/FT_Service_Callbacks.i:
        * orbsvcs/orbsvcs/FaultTolerance/FT_Service_Callbacks.cpp:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/IOGR_Maker.cpp:
        * orbsvcs/orbsvcs/PortableGroup.idl:
        * orbsvcs/orbsvcs/PortableGroup.mpc:
        * orbsvcs/orbsvcs/PortableGroup/PG_Default_Property_Validator.h:
        * orbsvcs/orbsvcs/PortableGroup/PG_Default_Property_Validator.cpp:
        * orbsvcs/orbsvcs/PortableGroup/PG_FactoryRegistry.h:
        * orbsvcs/orbsvcs/PortableGroup/PG_FactoryRegistry.cpp:
        * orbsvcs/orbsvcs/PortableGroup/PG_Factory_Map.h:
        * orbsvcs/orbsvcs/PortableGroup/PG_Factory_Map.cpp:
        * orbsvcs/orbsvcs/PortableGroup/PG_Factory_Set.h:
        * orbsvcs/orbsvcs/PortableGroup/PG_GenericFactory.h:
        * orbsvcs/orbsvcs/PortableGroup/PG_GenericFactory.cpp:
        * orbsvcs/orbsvcs/PortableGroup/PG_Group_Factory.h:
        * orbsvcs/orbsvcs/PortableGroup/PG_Group_Factory.cpp:
        * orbsvcs/orbsvcs/PortableGroup/PG_Group_Guard.h:
        * orbsvcs/orbsvcs/PortableGroup/PG_Group_Guard.cpp:
        * orbsvcs/orbsvcs/PortableGroup/PG_Location_Equal_To.h:
        * orbsvcs/orbsvcs/PortableGroup/PG_Location_Hash.h:
        * orbsvcs/orbsvcs/PortableGroup/PG_Location_Map.h:
        * orbsvcs/orbsvcs/PortableGroup/PG_MemberInfo.h:
        * orbsvcs/orbsvcs/PortableGroup/PG_Null_Property_Validator.h:
        * orbsvcs/orbsvcs/PortableGroup/PG_ObjectGroupManager.h:
        * orbsvcs/orbsvcs/PortableGroup/PG_ObjectGroupManager.cpp:
        * orbsvcs/orbsvcs/PortableGroup/PG_ObjectGroup_Map.h:
        * orbsvcs/orbsvcs/PortableGroup/PG_ObjectGroup_Map.cpp:
        * orbsvcs/orbsvcs/PortableGroup/PG_Object_Group.h:
        * orbsvcs/orbsvcs/PortableGroup/PG_Object_Group.cpp:
        * orbsvcs/orbsvcs/PortableGroup/PG_Object_Group_Manipulator.h:
        * orbsvcs/orbsvcs/PortableGroup/PG_Object_Group_Manipulator.cpp:
        * orbsvcs/orbsvcs/PortableGroup/PG_Operators.h:
        * orbsvcs/orbsvcs/PortableGroup/PG_Properties_Encoder.h:
        * orbsvcs/orbsvcs/PortableGroup/PG_Properties_Encoder.cpp:
        * orbsvcs/orbsvcs/PortableGroup/PG_Properties_Support.h:
        * orbsvcs/orbsvcs/PortableGroup/PG_Properties_Support.cpp:
        * orbsvcs/orbsvcs/PortableGroup/PG_PropertyManager.h:
        * orbsvcs/orbsvcs/PortableGroup/PG_PropertyManager.cpp:
        * orbsvcs/orbsvcs/PortableGroup/PG_Property_Set.h:
        * orbsvcs/orbsvcs/PortableGroup/PG_Property_Set.cpp:
        * orbsvcs/orbsvcs/PortableGroup/PG_Property_Set_Find.h:
        * orbsvcs/orbsvcs/PortableGroup/PG_Property_Utils.h:
        * orbsvcs/orbsvcs/PortableGroup/PG_Property_Utils.cpp:
        * orbsvcs/orbsvcs/PortableGroup/PG_Utils.h:
        * orbsvcs/orbsvcs/PortableGroup/PG_Utils.cpp:
        * orbsvcs/orbsvcs/PortableGroup/PG_conf.h:
        * orbsvcs/orbsvcs/PortableGroup/POA_Hooks.h:
        * orbsvcs/orbsvcs/PortableGroup/PortableGroup_Acceptor_Registry.h:
        * orbsvcs/orbsvcs/PortableGroup/PortableGroup_Loader.h:
        * orbsvcs/orbsvcs/PortableGroup/PortableGroup_ORBInitializer.h:
        * orbsvcs/orbsvcs/PortableGroup/PortableGroup_Request_Dispatcher.h:
        * orbsvcs/orbsvcs/PortableGroup/Portable_Group_Map.h:
        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Acceptor.h:
        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Acceptor.cpp:
        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Connection_Handler.cpp:
        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Profile.cpp:
        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Transport.h:
        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Transport.cpp:
        * orbsvcs/orbsvcs/PortableGroup/miopconf.h:
        * orbsvcs/tests/FT_App/.cvsignore:
        * orbsvcs/tests/FT_App/FTAPP_Analyzer_Main.cpp:
        * orbsvcs/tests/FT_App/FTAPP_FactoryRegistry_Main.cpp:
        * orbsvcs/tests/FT_App/FTAPP_FaultConsumer_Main.cpp:
        * orbsvcs/tests/FT_App/FTAPP_Notifier_Main.cpp:
        * orbsvcs/tests/FT_App/FT_App.mpc:
        * orbsvcs/tests/FT_App/FT_Client.cpp:
        * orbsvcs/tests/FT_App/FT_Creator.h:
        * orbsvcs/tests/FT_App/FT_Creator.cpp:
        * orbsvcs/tests/FT_App/FT_Replica.cpp:
        * orbsvcs/tests/FT_App/FT_ReplicaFactory_i.h:
        * orbsvcs/tests/FT_App/FT_ReplicaFactory_i.cpp:
        * orbsvcs/tests/FT_App/FT_ReplicationManagerController.cpp:
        * orbsvcs/tests/FT_App/FT_TestReplica.idl:
        * orbsvcs/tests/FT_App/FT_TestReplica_i.h:
        * orbsvcs/tests/FT_App/FT_TestReplica_i.cpp:
        * orbsvcs/tests/FT_App/README:
        * orbsvcs/tests/FT_App/ReplicationManagerFaultConsumerAdapter.h:
        * orbsvcs/tests/FT_App/ReplicationManagerFaultConsumerAdapter.cpp:
        * orbsvcs/tests/FT_App/StubBatchConsumer.h:
        * orbsvcs/tests/FT_App/StubBatchConsumer.cpp:
        * orbsvcs/tests/FT_App/StubFaultAnalyzer.h:
        * orbsvcs/tests/FT_App/StubFaultAnalyzer.cpp:
        * orbsvcs/tests/FT_App/StubFaultConsumer.h:
        * orbsvcs/tests/FT_App/StubFaultConsumer.cpp:
        * orbsvcs/tests/FT_App/StubFaultNotifier.h:
        * orbsvcs/tests/FT_App/StubFaultNotifier.cpp:
        * orbsvcs/tests/FT_App/TAO_Object_Group_Creator.h:
        * orbsvcs/tests/FT_App/TAO_Object_Group_Creator.cpp:
        * orbsvcs/tests/FT_App/replica.cmd:
        * orbsvcs/tests/FT_App/run_test_basic.pl:
        * orbsvcs/tests/FT_App/run_test_demo.pl:
        * orbsvcs/tests/FT_App/run_test_detector.pl:
        * orbsvcs/tests/FT_App/run_test_fault_consumer.pl:
        * orbsvcs/tests/FT_App/run_test_notifier.pl:
        * orbsvcs/tests/FT_App/run_test_registry.pl:
        * orbsvcs/tests/FT_App/run_test_rmnotifier.pl:
        * orbsvcs/tests/FT_App/run_test_rmregistry.pl:
        * orbsvcs/tests/FT_App/testscript:
        * orbsvcs/tests/FaultTolerance/GroupRef_Manipulation/GroupRef_Manipulation.mpc:
        * orbsvcs/tests/FaultTolerance/GroupRef_Manipulation/Makefile:
        * orbsvcs/tests/FaultTolerance/GroupRef_Manipulation/server.cpp:
        * orbsvcs/tests/FaultTolerance/IOGR/FaultTolerance_IOGR.mpc:
        * orbsvcs/tests/FaultTolerance/IOGR/Makefile:
        * orbsvcs/tests/FaultTolerance/IOGR/Manager.cpp:
        * orbsvcs/tests/FaultTolerance/IOGRManipulation/FaultTolerance_IOGRManipulation.mpc:
        * orbsvcs/tests/FaultTolerance/IOGRManipulation/IOGRTest.cpp:
        * orbsvcs/tests/FaultTolerance/IOGRManipulation/Makefile:
        * tao/IORManipulation/IORManipulation.h:
        * tao/IORManipulation/IORManipulation.cpp:
        * tao/PortableInterceptor.pidl:
        * tao/PortableInterceptorC.h:
        * tao/PortableServer/Object_Adapter.cpp:
        * tao/PortableServer/ServerInterceptorAdapter.h:
        * tao/PortableServer/ServerInterceptorAdapter.cpp:
        * tao/TAO_Server_Request.h:
        * tao/TAO_Server_Request.i:
        * tao/TAO_Server_Request.cpp:
        * tao/Utils/Server_Main.h:
        * tao/Utils/Server_Main.cpp:
        * tao/Utils/Utils.mpc:
        * utils/catior/catior.cpp:

Sun Dec 21 09:43:12 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO_IDL/be/be_global.cpp:
          Removed not needed ; to fix Tru64 compiler warning

Sat Dec 20 23:08:29 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * orbsvcs/tests/Security/Crash_Test/server.ior:

          Removed this file from the repo.

Sat Dec 20 22:59:41 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * TAO_IDL/be/be_visitor_interface/interface_cs.cpp:

          For some reason we were generating
          ACE_TEMPLATE_CLASS_MEMBER_SPECIALIZATION  for CORBA::is_nil ()
          and CORBA::release () for abstract interfaces. Thanks to  David
          Smith <dts@prismtechnologies.com> for reporting that the above
          shows up as problem on HPUX builds.

Sat Dec 20 15:04:19 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Array_VarOut_T.h:
        * tao/BiDir_Adapter.h:
          Removed not needed ; after the c++ namespace closure to fix Tru64
          CC compiler warning.

Sat Dec 20 14:06:33 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/*.bor:
          Added missing Id tag to several Borland makefiles to fix fuzz errors

Sat Dec 20 13:32:13 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/*.bor:
          Added missing Id tag to several Borland makefiles to fix fuzz errors

Fri Dec 19 23:05:27 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * TAO_IDL/be/be_visitor_operation/operation_ss.cpp:

          Cosmetic change - removed an extra newline.

        * TAO_IDL/be/be_visitor_traits.cpp:

          Removed generation of semicolon at the closing brace of the TAO
          namespace that encloses the traits specialization
          declarations. Thanks to Johnny Willemsen <jwillemsen@remedy.nl>
          for pointing out that this trailing semicolon causes problems
          with TRU64, CC compiler.

Fri Dec 19 10:27:46 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * orbsvcs/Concurrency_Service/Makefile:
        * orbsvcs/Notify_Service/Makefile:
        * orbsvcs/Scheduling_Service/Makefile:
        * orbsvcs/Naming_Service/Makefile:

          Moved the checks for the status of the conditional variables in
          rules.tao.GNU, after the inclusion of rules.tao.GNU. Thanks to
          Thomas Lockhart for reporting this problem.

Fri Dec 19 11:25:13 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Abstract_Servant_Base.h:
        * tao/Any.h:
        * tao/Any_SystemException.h:
        * tao/Arg_Traits_T.h:
        * tao/Argument.h:
        * tao/Basic_Types.h:
        * tao/Collocation_Resolver.h:
        * tao/Dynamic_Adapter.h:
        * tao/Invocation_Utils.h:
        * tao/IORInterceptor_Adapter.h:
        * tao/Object.h:
        * tao/Object_Argument_T.h:
        * tao/Object_Loader.h:
        * tao/Objref_VarOut_T.h:
        * tao/Special_Basic_Arguments.h:
        * tao/Var_Size_Argument_T.h:
        * tao/PortableServer/POA.h:
        * tao/RTCORBA/RT_Endpoint_Utils.h:
        * tao/Valuetype/Value_VarOut_T.h:
        * tao/Valuetype/ValueBase.h:
          Removed not needed ; after the c++ namespace closure to fix Tru64
          CC compiler warning.

Thu Dec 18 09:54:36 2003  Balachandran  <bala@dre.vanderbilt.edu>

        * TAO version 1.3.6 released.

Wed Dec 17 12:13:51 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * orbsvcs/orbsvcs/IFRService/IFR_BaseS.cpp:
        * orbsvcs/orbsvcs/IFRService/IFR_BasicS.cpp:
        * orbsvcs/orbsvcs/IFRService/IFR_ComponentsS.cpp:
        * orbsvcs/orbsvcs/IFRService/IFR_ExtendedS.cpp:

          More fixes for the generated code.

Wed Dec 17 11:17:09 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tao/Domain/DomainS.cpp:
        * tao/Messaging/MessagingS.cpp:
        * tao/PortableServer/ImR_LocatorS.cpp:
        * tao/PortableServer/ImplRepoS.cpp:
        * tao/PortableServer/PolicyS.cpp:

          Fixed the generated code to fix the typo problem that was fixed.


Wed Dec 17 11:08:08 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * TAO_IDL/be/be_visitor_interface/interface_ss.cpp:

          Fixed a typo while generating repository id's for _is_a ()
          calls. Thanks to Terry Ware <terry.ware@dc.alphatech.com> for
          reporting the problem.

Wed Dec 17 09:26:14 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * orbsvcs/orbsvcs/FaultTolerance.mpc:

          Fixed a typo that prevented the library from building.

Tue Dec 16 07:52:43 2003  Douglas C. Schmidt  <schmidt@ace.cs.wustl.edu>

        * tao/default_resource.cpp (get_reactor): Changed

          if (ACE_LOG_MSG->errnum ())

          to

          if (!reactor->initialized ())

          since the latter is more robust.  Thanks to John Fletcher
          <john.fletcher@rd.bbc.co.uk> and Johnny Willemsen for motivating
          this.

Tue Dec 16 12:08:13 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Portable_Interceptors/Collocated/Dynamic/Portable_Interceptors_Dynamic.mpc:
          Corrected exe name to match run_test.pl and removed not needed libpaths

Mon Dec 15 19:46:30 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * orbsvcs/orbsvcs/Notify/Method_Request_Dispatch_T.inl:

          #include Consumer.h to get arounda compile error in aCC. Thanks
          to Pierre Pacchioni <pierre.pacchioni@avisto.com> for suggesting
          the fix.

Mon Dec 15 13:34:38 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tao/default_resource.cpp:

          Use errno, instead of using ACE_Log_Msg->errnum (). Thanks to
          John Fletcher <john.fletcher@rd.bbc.co.uk> for reporting a
          problem related to this.

Mon Dec 15 09:30:28 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * orbsvcs/tests/RTCosScheduling/RTCosScheduling.mpc:
        * performance-tests/RTCorba/Thread_Pool/Thread_Pool.mpc:
        * tests/RTCORBA/Priority_Inversion_With_Bands/Priority_Inversion_With_Bands.mpc:
          Do not build these tests when minimum_corba is enabled.

Mon Dec 15 09:24:12 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/POA/Forwarding/POA_Forwarding.mpc:
          The server doesn't need the Generic_Servant library. This fixes the
          linker warnings in the SunOS Forte8 build we see.

Sun Dec 14 10:09:02 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Transport.cpp:

          Another reversion from PMB changes.

Sun Dec 14 09:56:37 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tao/GIOP_Message_Base.cpp:
        * tao/GIOP_Message_Base.h:
        * tao/GIOP_Message_Base.i:
        * tao/GIOP_Message_Generator_Parser_Impl.inl:
        * tao/GIOP_Message_Lite.cpp:
        * tao/GIOP_Message_Lite.h:
        * tao/GIOP_Message_State.cpp:
        * tao/GIOP_Message_State.h:
        * tao/GIOP_Message_State.inl:
        * tao/IIOP_Transport.cpp:
        * tao/Incoming_Message_Queue.cpp:
        * tao/Incoming_Message_Queue.h:
        * tao/Incoming_Message_Queue.inl:
        * tao/Pluggable_Messaging.h:
        * tao/Transport.cpp:
        * tao/Transport.h:
        * tao/Strategies/DIOP_Transport.cpp:
        * tao/Strategies/SHMIOP_Transport.cpp:
        * tao/Strategies/SHMIOP_Transport.h:

          Reverting the change "Wed Dec 10 13:58:41 2003  Chris Cleeland
          <cleeland_c@ociweb.com>" for PMB fixes. The fixes were right,
          but it slowed down the ORB considerably due to the two
          allocations along the critical path. We will try to get these
          fixes in later once we have a way to get around the
          allocations.

Sun Dec 14 08:47:03 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tests/Bug_1639_Regression/test.mpc:

          This test should not be compiled if minimum_corba=1

Sun Dec 14 08:43:56 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tests/POA/MT_Servant_Locator/MT_Servant_Locator.mpc:
        * tests/RTCORBA/Diffserv/RTCORBA_Diffserv.mpc:
        * performance-tests//RTCorba/Oneways/Reliable/Reliable.mpc:
        * docs/tutorials/Quoter/Simple/ImprovedServer/Quoter_Simple_ImprovedServer.mpc:
          These tests should not be compiled with minimum_corba.

Sun Dec 14 08:35:05 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tests/OBV/Supports/Supports_Test.mpc:

          Prevent this test from compiling since the support for
          "supports" is broken.

Sat Dec 13 09:05:20 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * performance-tests/RTCorba/Multiple_Endpoints/Orb_Per_Priority/ORB_Per_Priority.mpc:
        * performance-tests/RTCorba/Multiple_Endpoints/Single_Endpoint/Single_Endpoint.mpc:

          Do not build when minimum_corba is enabled since they use some
          of the full POA features.

Sat Dec 13 08:50:46 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tests/RTScheduling/VoidData/Makefile:

          Updated dependencies.

Sat Dec 13 08:36:34 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tests/Portable_Interceptors/Bug_1559/Makefile:

          Updated Makefile dependencies.

Sat Dec 13 08:29:33 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * orbsvcs/orbsvcs/Log/Log_i.cpp:

          Reverted a change that was made accidentally with no ChangeLog
          entry. This should fix VC6.0 problems in the daily builds.

Sat Dec 13 08:05:50 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tests/OBV/Collocated/Makefile:

          Forgor to check this in yesterday :(!

Fri Dec 12 19:27:11 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tests/OBV/Makefile:
        * tests/Portable_Interceptors/Makefile:
        * tests/Portable_Interceptors/Collocated/Service_Context_Manipulation/Makefile:

          Added missing directories to the build.

        * tests/Portable_Interceptors/Collocated/Dynamic/run_test.pl:

          Changed the executable name for the test.

Fri Dec 12 19:10:53 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tests/OBV/Collocated/Forward/Makefile:

          Added a makefile for this test.

Fri Dec 12 14:15:04 2003  Balachandran Natarajan  <bala@cs.wustl.edu>

        * tao/Synch_Invocation.cpp:

          Some more cosmetic fixes.

Fri Dec 12 11:35:30 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * orbsvcs/IFR_Service/ifr_adding_visitor.cpp:
        * orbsvcs/orbsvcs/LoadBalancing/LB_LeastLoaded.h:
        * orbsvcs/orbsvcs/LoadBalancing/LB_Random.cpp:
        * orbsvcs/orbsvcs/Log/Log_i.cpp:

          Added some explicit casting to elininate warnings by MSVC 7.1.

        * tao/Typecode.cpp:

          Added memory leak fix overlooked in

          Sat Nov 29 11:42:48 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

          Thanks again to Harvinder Sawhney <harvinder_sawhney@agilent.com>
          for suggesting these fixes.

Fri Dec 12 08:38:14 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * orbsvcs/orbsvcs/LoadBalancing/LB_LeastLoaded.h:

          Used a simple cast during initializing a float from a double.

Fri Dec 12 08:37:04 2003  Chad Elliott  <elliott_c@ociweb.com>

        * orbsvcs/orbsvcs/PortableGroup/PG_Location_Hash.h:

          Added #include of portablegroup_export.h.

Fri Dec 12 09:46:33 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/RTScheduling/VoidData/VoidData.dsp:
          Added missing libpaths

Fri Dec 12 09:32:13 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/tests/Bug_1334_Regression/client.cpp:
          Made this test compiling with emulated exceptions

Thu Dec 11 23:10:14 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * examples/OBV/Typed_Events/Typed_Events.mpc
        * examples/POA/DSI/POA_DSI.mpc:
        * examples/POA/Generic_Servant/POA_Generic_Servant.mpc:
        * examples/POA/On_Demand_Loading/POA_On_Demand_Loading.mpc:
        * examples/POA/TIE/POA_TIE.mpc:
        * tests/POA/Excessive_Object_Deactivations/Excessive_Object_Deactivations.mpc:
        * tests/RTCORBA/Explicit_Binding/RTCORBA_Explicit_Binding.mpc:
        * tests/RTCORBA/Persistent_IOR/RTCORBA_Persistent_IOR.mpc:
        * tests/RTCORBA/Profile_And_Endpoint_Selection/Profile_And_Endpoint_Selection.mpc:
        * performance-tests/RTCorba/Multiple_Endpoints/Common/Common.mpc:
        * orbsvcs/examples/ORT/ORT.mpc:

          Do not compile the above tests when minimum_corba is disabled.

Thu Dec 11 22:22:36 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tests/RTScheduling/VoidData/Makefile:

          Added IDL compiler options.

        * tests/RTScheduling/VoidData/test.idl:

          Cosmetic fix.

        * examples/Kokyu_dsrt_schedulers/FP_Scheduling.idl:
        * examples/Kokyu_dsrt_schedulers/MIF_Scheduling.idl:
        * examples/Kokyu_dsrt_schedulers/MUF_Scheduling.idl:

          Added RTScheduler_include.idl instead of the regular file.

Thu Dec 11 17:04:57 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * orbsvcs/performance-tests/RTEvent/lib/Loopback_Consumer.cpp:
        * orbsvcs/performance-tests/RTEvent/lib/Loopback_Consumer.h:
        * orbsvcs/performance-tests/RTEvent/lib/Send_Task.cpp:
        * orbsvcs/performance-tests/RTEvent/lib/Send_Task.h:

          Used the $TAO_ROOT/tao/Utils Servant_Var instead of the one in
          the local directory.

        * orbsvcs/performance-tests/RTEvent/lib/Makefile:

          Updated dependencies.

Thu Dec 11 15:38:08 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * orbsvcs/orbscvcs/CosLoadBalancing.dsp:

          Added dependency of LB_ORT.idl on the IDL compiler executable,
          for the debug version of the project.

Thu Dec 11 14:03:16 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_visitor_interface/amh_ss.cpp:
        * TAO_IDL/be/be_visitor_interface/interface_ss.cpp:
        * TAO_IDL/be_include/be_visitor_interface/amh_ss.h:
        * TAO_IDL/be_include/be_visitor_interface/interface_ss.h:

          Added virtual method to the be_visitor_interface_ss visitor called
          genrerate_send_reply, which is a no-op, but when overridden
          in the be_visitor_amh_interface_ss visitor, generates an explicit
          send_reply call on _tao_server_request. This new method is then
          used in the generation of the _is_a_skel, _nonexistent_skel,
          _interface_skel, and _component_skel methods, and the explicit
          send_reply call gets generated for the AMH version of the
          interface. This addition was needed because the above generated
          methods need a reply to be sent right away, and this is not
          handled under the hood in asynchronous_upcall_dispatch() as it
          is in synchronous_upcall_dispatch(). This fix closes
          http://deuce.doc.wustl.edu/bugzilla/show_bug.cgi?id=1670. Thanks
          to Carlos O'Ryan <coryan@atdesk.com> for pointing out the
          problem and suggesting the fix.

Thu Dec 11 14:01:34 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * docs/tutorials/Quoter/Simple/ImprovedServer/Quoter_Simple_ImprovedServer.mpc:
        * examples/POA/DSI/POA_DSI.mpc:
        * orbsvcs/examples/Notify/ThreadPool/Notify_ThreadPool.mpc:
        * orbsvcs/performance-tests/RTEvent/lib/RTEC_Perf.mpc:
        * orbsvcs/tests/Notify/performance-tests/Filter/Filter.mpc:
        * orbsvcs/tests/Notify/performance-tests/Throughput/Throughput.mpc:
        * tao/DynamicInterface/DynamicInterface.mpc:
        * tests/RTScheduling/Scheduling_Interceptor/Scheduler_Interceptor.mpc:

          Added avoids += minimum_corba.

Thu Dec 11 19:30:33 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/RTScheduling/Makefile.bor:
          Don't install idl files

Thu Dec 11 13:50:41 2003  Chris Cleeland  <cleeland_c@ociweb.com>

        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Transport.cpp
          (handle_input):

          Corrected the class name on handle_input definition.  That'll
          teach me to blindly use merge tools.

Thu Dec 11 18:13:12 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/RTScheduling/RTScheduler_include.pidl:
        * tao/RTScheduling/RTScheduler_includeC.h:
        * tao/RTScheduling/RTSchedulerC.h:
          Added a new RTScheduler_include.pidl file, which
          just includes RTScheduler.idl. Users of RTScheduler should include
          this pidl file in their IDL file and include RTScheduler.h
          in their code instead of RTSchedulerC.h. Thanks to Bala for pointing
          me the correct direction.

        * tao/RTScheduling/Makefile.bor:
          Also install the pidl file

        * tests/RTScheduling/VoidData/test.idl:
        * tests/RTScheduling/VoidData/test.pidl:
          Removed test.pidl and added test.idl. This test now can compile
          the IDL file as normally. Include then RTScheduler_include.pidl
          instead of RTScheduler.idl.

        * tests/RTScheduling/VoidData/Makefile:
        * tests/RTScheduling/VoidData/VoidData.bor:
        * tests/RTScheduling/VoidData/VoidData.dsp:
        * tests/RTScheduling/VoidData/VoidData.mpc:
          Updated these files

        * tests/RTScheduling/VoidData/testC.cpp:
        * tests/RTScheduling/VoidData/testC.h:
        * tests/RTScheduling/VoidData/testC.i:
          Removed these generated file from the repo

Thu Dec 11 10:45:53 2003  Chris Cleeland  <cleeland_c@ociweb.com>

        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Transport.cpp
          (handle_input):

          Updated this to reflect the new APIs from the PMB changes.
          Thanks to Ossama Othman <ossama@dre.vanderbilt.edu> for pointing
          out my oversight.

Thu Dec 11 07:49:01 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tests/RTCORBA/Thread_Pool/RTCORBA_Thread_Pool.mpc:

          Fixed a typo.

Wed Dec 10 09:23:35 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * examples/POA/Adapter_Activator/POA_Adapter_Activator.mpc:
        * examples/POA/DSI/POA_DSI.mpc:
        * examples/POA/Default_Servant/POA_Default_Servant.mpc:
        * examples/POA/Explicit_Activation/POA_Explicit_Activation.mpc:
        * examples/POA/FindPOA/POA_FindPOA.mpc:
        * examples/POA/Forwarding/POA_Forwarding.mpc:
        * examples/POA/Generic_Servant/POA_Generic_Servant.mpc:
        * examples/POA/Loader/POA_Loader.mpc:
        * examples/POA/NewPOA/POA_NewPOA.mpc:
        * examples/POA/On_Demand_Activation/POA_On_Demand_Activation.mpc:
        * examples/POA/POA_BiDir/POA_BiDir.mpc:
        * examples/POA/TIE/POA_TIE.mpc:
        * orbsvcs/tests/Bug_1630_Regression/test.mpc:
        * tests/AMI_Buffering/client.cpp:
        * tests/Bug_1639_Regression/Makefile
        * tests/Bug_1639_Regression/Makefile.Bug_1639_testclient:
        * tests/POA/Identity/Identity.mpc
        * tests/RTCORBA/Linear_Priority/RTCORBA_Linear_Priority.mpc:
        * tests/RTCORBA/MT_Client_Protocol_Priority/RTCORBA_MT_Client_Protocol_Priority.mpc:
        * tests/RTCORBA/Policies/Policies.mpc:
        * tests/RTCORBA/Policy_Combinations/RTCORBA_Policy_Combinations.mpc:
        * tests/RTCORBA/Private_Connection/RTCORBA_Private_Connection.mpc:
        * tests/RTCORBA/Server_Protocol/RTCORBA_Server_Protocol.mpc:
        * tests/RTCORBA/Thread_Pool/RTCORBA_Thread_Pool.mpc:

Wed Dec 10 16:58:08 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * tao/GIOP_Message_State.cpp:

          Added #include of ace/OS_NS_string.h, and made style changes.

Wed Dec 10 16:39:25 2003  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * tao/Synch_Invocation.cpp (handle_system_exception):

          Corrected repository IDs for non-fatal system exceptions being
          detected (TRANSIENT, OBJ_ADAPTER, NO_RESPONSE).  The
          "IDL:omg.org/CORBA/" prefix and ":1.0" suffix were missing, thus
          preventing code that should have been run in the presence of
          these exceptions from being run.

          Attempt to try another profile in the non-fatal exception case.
          This fixes a problem where valid profiles were not retried when
          they should have been.

        * orbsvcs/orbsvcs/LoadBalancing/LB_LeastLoaded.h
          (LL_DEFAULT_LOAD_PERCENT_DIFF_CUTOFF):

          New constant used in thundering herd fix described below.

        * orbsvcs/orbsvcs/LoadBalancing/LB_LeastLoaded.cpp (get_location):

          Fixed problem where least loaded object group member was not
          always selected, thus reducing scalability.

          If two locations have loads that differ by a "small" amount
          (i.e. LL_DEFAULT_LOAD_PERCENT_DIFF_CUTOFF), choose one of them
          at random.  This helps alleviate a thundering herd phenomenon
          that could occur when an object group member becomes available
          for request handling.  Thanks to Carlos, Marina and Jody at ATD
          for coming up with this solution to this form of the thundering
          herd problem.

        * orbsvcs/orbsvcs/LoadBalancing/LB_ServerRequestInterceptor.cpp
          (receive_request_service_contexts):

          Always allow LoadMonitor and LoadAlert operations to proceed
          regardless of the alert condition.  Addresses a problem where it
          was not possible to disable alert states and query loads from a
          LoadMonitor collocated with a server once a load alert was
          enabled.

        * orbsvcs/performance-tests/LoadBalancing/ORBInitializer.h:

          Improved documentation of some class members.

        * orbsvcs/performance-tests/LoadBalancing/ORBInitializer.cpp:

          Cosmetic change.

        * orbsvcs/performance-tests/LoadBalancing/RPS_Monitor.cpp (loads):

          If the elapsed-time is zero, set the load to zero to prevent a
          division-by-zero error.

        * orbsvcs/performance-tests/LoadBalancing/Roundtrip.cpp
          (test_method):

          Commented out a bunch of code that should not be used when
          performing benchmarks.

Wed Dec 10 13:58:41 2003  Chris Cleeland  <cleeland_c@ociweb.com>

        * tao/default_client.cpp (parse_args): Corrected erroneous option
          name printed when -ORBConnectStrategy option parsing hits an
          error.

        * tao/IIOP_Transport.cpp (recv): Corrected method name printed in
          debug message.

        * tao/GIOP_Message_Base.cpp:
        * tao/GIOP_Message_Base.h:
        * tao/GIOP_Message_Base.i:
        * tao/GIOP_Message_Generator_Parser_Impl.inl:
        * tao/GIOP_Message_Lite.cpp:
        * tao/GIOP_Message_Lite.h:
        * tao/GIOP_Message_State.cpp:
        * tao/GIOP_Message_State.h:
        * tao/GIOP_Message_State.inl:
        * tao/Incoming_Message_Queue.cpp:
        * tao/Incoming_Message_Queue.h:
        * tao/Incoming_Message_Queue.inl:
        * tao/Pluggable_Messaging.h:
        * tao/Transport.cpp:
        * tao/Transport.h:
        * tao/orbconf.h:
        * tao/Strategies/DIOP_Transport.cpp
        * tao/Strategies/SHMIOP_Transport.cpp
        * tao/Strategies/SHMIOP_Transport.h

          Integrated aggregate fix to infamous Parse Magic Bytes (PMB)
          problem.  The fix was originally developed in OCI's repository
          and migrated here.  An overall description of the problem and
          solution follow, and a detailed changelog that follows the
          development of this solution follows this entry.

          The old way of handling input naively assumed that a header would
          never be broken across multiple read()s from the socket.  Back in
          the old days, this assumption was okay, because TAO performed a
          recv_n() specifically for the header, and thus insured that it
          wouldn't get less than a full header.  However, when it was
          changed to use a single read, that no longer worked.

          Further complicating matters was the incoming message queue, and
          the myriad of methods that manipulated elements on the message
          queue.

          The PMB changes rework things in the following ways:

          1. The incoming message queue now holds only completely-read
          GIOP messages awaiting processing.  Each GIOP message is held in
          a heap-allocated ACE_Message_Block.  When the message has been
          processed, the processing code is responsible for calling
          release on the queued message to return the memory to the heap.

          2. Since GIOP, by definition, assumes an ordered byte stream,
          there can be only one partially read, i.e., uncompleted, message;
          this is now held explicitly in TAO_Transport::uncompleted_message_
          as a pointer to a heap-allocated ACE_Message_Block of the exact
          correct size for the GIOP message.

          3. States for reading from the transport have been explicitly
          defined rather than implied from values of other data members.

          This change also correctly handles correct receipt of GIOP
          fragments:

          a. In the case of a GIOP 1.2 fragment, each fragment is a complete
          GIOP message.  It is, however, unable to be processed until all
          fragments have arrived.

          b. Unlike a TCP segment, a GIOP fragment is not stateless; all
          GIOP 1.2 fragments for a specific request must be sent in-order.
          However, with transport multiplexing, other messages--including
          fragments for other requests--may interleave these fragments.

          c. By design, there is no way to know the total number of payload
          bytes across all GIOP fragments until the final fragment is
          received.

----------------------------------------
Thu Mar 20 12:34:24 2003  Chris Cleeland  <cleeland_c@ociweb.com>

        * all: First merge back to OCI.

Thu Mar 20 12:17:23 2003  Chris Cleeland  <cleeland_c@ociweb.com>

        * tao/Strategies/DIOP_Transport.cpp (handle_input_i):
        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Transport.cpp
          (handle_input_i):

          Update to use new parsing and message processing methods
          consistent with PMB changes.

        * tao/Transport.cpp (process_queue_head): Corrected a possible memory
          leak where, if process_parsed_messages returned with an error,
          the TAO_Queued_Data instance wouldn't be released.

Tue Mar 18 14:57:07 2003  Chris Cleeland  <cleeland_c@ociweb.com>

        * VERSION:
        * ChangeLog:
        * tao/tao.mpc:
        * tao/Version.h:
        * tao/IIOP_Transport.cpp:
        * tao/MCAST_Parser.cpp:
        * tao/RTCORBA/Linear_Priority_Mapping.cpp:
        * tao/RTCORBA/RT_ORBInitializer.cpp:
        * tao/RTCORBA/RT_ORBInitializer.h:
        * tao/RTCORBA/RT_ORB_Loader.cpp:
        * tao/RTCORBA/RT_Protocols_Hooks.cpp:

          Merged in changes from TAO 1.3.1.  The actual tag for the merge
          was pmb_branch_mainline_mergeout_1.  The command was

          $ cvs update -jpmb_branch_start -jpmb_branch_mainline_mergeout_1

          after manually determining which files needed updates.

Mon Mar 17 11:09:00 2003  Chris Cleeland  <cleeland_c@ociweb.com>

        * tao/GIOP_Message_Base.cpp (check_for_valid_header): Optimized
          implementation.

        * tao/GIOP_Message_Base.* (header_length): Moved to inline for
          optimization.

        * tao/GIOP_Message_State.cpp (TAO_Debug_Msg_Emitter_Guard):
          Improved implementation so it didn't make copies of the message
          even when it was never going to output anything due to debug
          level being lower than the value that would cause debug output.

        * tao/GIOP_Message_State.cpp (take_values_from_message_block):
        * tao/GIOP_Message_State.cpp (set_version_info_from_buffer):
        * tao/GIOP_Message_State.cpp (set_byte_order_info_from_buffer):
        * tao/GIOP_Message_State.cpp (set_payload_size_from_buffer):

          Removed use of TAO_Debug_Msg_Emitter_Guard.

        * tao/GIOP_Message_State.inl (set_payload_size_from_buffer):

          Moved to inline file.

        * tao/Incoming_Message_Queue.h (TAO_Incoming_Message_Queue):
          Changed name of member 'queued_data_' to 'last_added_' to be
          more clear about what the pointer actually points to.

          Added documentation that describes the structure of the linked
          list so that hopefully future maintainers don't have to go
          through the same learning curve I did.

        * tao/Incoming_Message_Queue.*: Updates to reflect last_added_
          member name change.

        * tao/Incoming_Message_Queue.cpp (dequeue_head): Add check to not
          allow dequeuing when size is zero, plus we now zero-out the
          last_added_ pointer after we've dequeued the last item in the
          list.

        * tao/Incoming_Message_Queue.cpp (clone_mb_nocopy_size): Fix
          setting and copying of flags on the message and data blocks so
          that the DONT_DELETE flag specifically doesn't get copied.  This
          cured a HUGE memory leak that was causing substantial
          performance problems.

        * tao/Incoming_Message_Queue.cpp (make_uncompleted_message):
        * tao/Incoming_Message_Queue.cpp (make_completed_message):

          Cache values used over and over again within these methods such
          as header and message block lengths

        * tao/Transport.cpp (handle_input_i):

          Added flag noting that we enqueued a message.

          Changed how re-reading is performed; see entry for
          try_to_complete for information.

          Used ACE_CDR::grow to grow the uncompleted_message message block
          once the payload size is known.  This insures that the growth
          happens with proper alignment constraints.

        * tao/Transport.* (try_to_complete): Added this method which
          tries to complete whatever partial message is held in
          uncompleted_message_.  The difference between doing this and
          simply revisiting the top of handle_input_i is that this will
          only try to read enough to complete the message rather than also
          read another partial.

        * tao/Transport.cpp (process_queue_head): Added check to insure
          that we don't try to do any processing when there's nothing in
          the queue.  Also, removed old code leftover from when the
          incoming queue could have partial GIOP messages in it.  Finally,
          insured that the return value matched previous requirements.


Thu Mar  6 15:27:14 2003  Chris Cleeland  <cleeland_c@ociweb.com>

        * tao/Incoming_Message_Queue.cpp: Removed Shattering Encapsulation
          hack around ace/Message_Block.h inclusion to make this link
          properly on VC6.

        * tao/GIOP_Message_State.cpp: Moved initialization of
          TAO_Debug_Msg_Emitter_Guard::MAGIC_LENGTH outside the class
          declaration.

Wed Mar  5 13:08:37 2003  Chris Cleeland  <cleeland_c@ociweb.com>

        * tao/GIOP_Message_Generator_Parser_Impl.inl (check_revision):
          Modified to only explicitly allow versions of GIOP that TAO
          supports, and no others.  Note that this change means that
          whenever a new version of GIOP gets added to TAO, this function
          must be updated, too.  Hopefully that won't happen so often that
          this becomes horribly burdensome.  Thanks to Chad Elliott and
          Paul Calabrese for ideas in getting this right.

        * tao/Incoming_Message_Queue.* (make_uncompleted_message):

          This now behaves similar to make_completed_message, i.e., it
          allocates the message block held in TAO_Queued_Data and advnaced
          the rd_ptr past the bytes it consumes.

        * tao/Incoming_Message_Queue.cpp: Eliminated hacks on
          ACE_Message_Block and replaced with functions
          clone_mb_nocopy_size() and copy_mb_span() that utilize ONLY the
          public API.  make_completed_message() and
          make_uncompleted_message() now use these.

        * tao/Transport.cpp (handle_input_i): Enlarged the buffer size and
          replaced the magic number for the maximum number of re-read
          attempts with the manifest constant
          TAO_MAX_TRANSPORT_REREAD_ATTEMPTS, now defined in orbconf.h.

          Changed uses of make_uncompleted_message() to be consistent with
          changes outlined above.

          Corrected a bug where, upon re-reading after completely emptying
          the stack-allocated message block, I forgot to reset the
          rd_ptr/wr_ptr in the message block.

        * tao/orbconf.h: Added new manifest constant
          TAO_MAX_TRANSPORT_REREAD_ATTEMPTS.  Documentation is in the file.

Wed Feb 26 21:44:34 2003  Chris Cleeland  <cleeland_c@ociweb.com>

        * TAO/tao/GIOP_Message_Base.cpp:

          Eliminate parse_incoming_messages(), missing_data(),
          extract_next_message(), consolidate_node(),
          consolidate_fragments(), get_message_data(), make_queued_data().

          Add new methods set_queued_data_from_message_header() and
          check_for_valid_header().

        * TAO/tao/GIOP_Message_Base.h:

          Eliminate #if0 parse_incoming_messages(), missing_data(),
          extract_next_message(), consolidate_node(),
          consolidate_fragments(), get_message_data(), and
          make_queued_data() declarations.

          Add declarations for set_queued_data_from_message_header() and
          check_for_valid_header().

          Make message_type() static.

        * TAO/tao/GIOP_Message_Generator_Parser_Impl.inl:

          Reimplement check_revision() to be exact about which GIOP
          revisions are okay.  This is different from before where it
          loosely assumed that everything was valid unless it want higher
          than a particular range.

        * TAO/tao/GIOP_Message_Lite.cpp:

          Remove parse_incoming_messages() thru consolidate_fragments();
          remove make_queued_data().

          Add set_queued_data_from_message_header() and
          check_for_valid_header().

        * TAO/tao/GIOP_Message_Lite.h:

          Remove declarations for parse_incoming_messages() thru
          consolidate_fragments(); remove make_queued_data().

          Add declarations for set_queued_data_from_message_header() and
          check_for_valid_header().

        * TAO/tao/GIOP_Message_State.cpp:

          Add TAO_Debug_Message_Emitter_Guard class within the compilation
          unit.

          Change CTOR not to use the 2nd argument.

          Change CTOR not to initialize this->base_with the 2nd arg.

          Add take_values_from_message_block().

          Remove parse_magic_bytes(), parse_message_header_i(),
          parse_message_header().

          Rename get_version_info() to set_version_info_from_buffer();
          change argument type to 'const char*'.

          Rename get_byte_order_info() to set_byte_order_info_from_buffer();
          change argument type to 'const char*'.

          Rename get_payload_size() to set_payload_size_from_buffer();
          change argument type to 'const char*'.

          Change argument type for read_ulong() to 'const char*'.

        * TAO/tao/GIOP_Message_State.h:

          Add default value for CTOR arguments so we don't have to pass
          them.

          Add declaration for take_values_from_message_block().

          #if0 parse_message_header() declaration.

          Add documentation for byte_order().

          Add new GIOP information accessors: giop_version(),
          more_fragments(), and message_type().

          #if0 declaration for parse_message_header_i() and
          parse_magic_bytes().

          Rename delcarations for get_version_info(), get_byte_order_info(),
          and get_payload_size().

          #if0 base_ member variable.

        * TAO/tao/GIOP_Message_State.inl:

          Add definitions for giop_version(), more_fragments(), and
          message_type().

        * TAO/tao/Incoming_Message_Queue.cpp:

          Add #include for ace/Message_Block.h, but shatter encapsulation
          and effectively extend its interface so that we can clone spans of
          message blocks.

          Modify copy_tail() to use new TAO_Queued_Data member names.

        * TAO/tao/Incoming_Message_Queue.cpp (class TAO_Queued_Data):

          Update CTORs to initialize new this->current_state_ data member.

          Add new make_uncompleted_message(), ACE_Message_Block hack
          "extensions", make_completed_message().

          Rename get_queued_data() to make_queued_data().

        * TAO/tao/Incoming_Message_Queue.h:

          Changed #include <Pluggable_Messaging_Utils.h> to #include
          <Pluggable_Messaging.h>

          Documentation for is_tail_complete() and is_head_complete() and
          is_tail_fragmented().

          #if0 get_node().

        * TAO/tao/Incoming_Message_Queue.h (class TAO_Queued_Data):

          Make CTORs protected so creation can only go through new factory
          methods, i.e., make_completed_message() and
          make_uncompleted_message().

          Add new factory methods make_completed_message() and
          make_uncompleted_message().

          Add release() method [in addition to static of same name].

          Add explicit definition of various states and a member to hold the
          current state (this->current_state_).

          Rename this->missing_data_ flag/value with
          this->missing_data_bytes_ count.

          Documentation for this->byte_order_.

        * TAO/tao/Incoming_Message_Queue.inl:

          Replace uses of this->missing_data_ with
          this->missing_data_bytes_.

          #if0 get_node().

          Add release() method.

        * TAO/tao/Pluggable_Messaging.h:

          #if0 parse_incoming_messages() through consolidate_fragments().

          Add declarations for check_for_valid_header() and
          set_queued_data_from_message_header().

        * TAO/tao/Transport.cpp:

          Add #include <ace/Min_Max.h>

          Add uncompleted_message_ to initialization list.

          Modify what happens when reading in handle_input_i():

          - number_of_read_attempts is how many times we'll try to read
          again to complete a message before we give up.

          - read_from_the_connection label added

          - correct 1st argument to this->recv() to be wr_ptr() rather than
          rd_ptr().

          - lots of changes that are substantially documented in the code.

          #if0 parse_consolidate_messages(), parse_incoming_messages(),
          missing_data(), consolidate_message(), consolidate_fragments(),
          consolidate_message_queue(), consolidate_extra_messages(), and
          make_queued_data().

        * TAO/tao/Transport.h:

          #if0 declarations for parse_consolidate_messages(), parse_incoming_messages(),
          missing_data(), consolidate_message(), consolidate_fragments(),
          consolidate_message_queue(), consolidate_extra_messages(), and
          make_queued_data().

          Add this->uncompleted_message_ data member.

        * TAO/tao/Strategies/DIOP_Transport.cpp:

          Change 1st arg of this->recv() in handle_input_i() to wr_ptr()
          from rd_ptr().

        * TAO/tao/Strategies/SHMIOP_Transport.cpp:

          #if0 consolidate_message().

        * TAO/tao/Strategies/SHMIOP_Transport.h:

          #if0 declaration for consolidate_message().

        * TAO/tests/AMI/run_test.pl:

          Increase default number of iterations from 1 to 10000.  Earlier
          versions of the PMB changes succeeded just fine with low numbers
          of iterations, but began to fail miserably when the number of
          iterations climbed.

        * TAO/tests/BiDirectional/run_test.pl:

          Added level 10 debug.

        * TAO/tests/InterOp-Naming/INS_test_client.cpp:

          Changes that don't appear to be related in any way to PMB...

----------------------------------------
Wed Dec 10 15:12:34 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Smart_Proxies/Collocation/Smart_Proxy_Impl.cpp:
          Removed not used local variable

Wed Dec 10 07:08:30 2003  Chad Elliott  <elliott_c@ociweb.com>

        * orbsvcs/orbsvcs/DsNotifyLogAdmin.mpc:

          This project should inherit from dseventlogadmin instead of
          inheriting from dslogadmin and directly referencing the
          DsEventLogAdmin library and project.

Wed Dec 10 06:31:53 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * orbsvcs/tests/Bug_1630_Regression/Makefile.Bug_1630_testclient:

          Do not compile if minimum_corba is enabled.

          BTW, this test and the Makefiles needs cleaning up. Will get to
          that soon.

Wed Dec 10 06:12:26 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * orbsvcs/tests/Bug_1395_Regression/Makefile.Bug_1395_Client:
        * orbsvcs/tests/Bug_1395_Regression/Makefile.Bug_1395_Server:

          Fixed the link lines in the Makefiles.

Wed Dec 10 11:42:12 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Bug_1330_Regression/Bug_1330_Client.dsp:
          Fixed release configuration, this should be the last for the
          1.3.6 release

Wed Dec 10 10:25:43 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Collocation_Tests/Collocation_Tests.mpc:
          Fixed executable name to match with run_test.pl

Wed Dec 10 10:08:11 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/Logging/Logger.idl:
        * examples/Logging/Logger_i.cpp:
        * examples/Logging/Logger_i.h:
        * examples/Logging/Logging_Test_i.cpp:
          Changed log2 to log_twoway and logv2 to logv_twoway. On Cygwin
          log2 is a macro and using this macro name in IDL gives a lot
          of errors in the Cygwin build. Just renaming the methods is the
          way to fix this.

Wed Dec 10 09:41:41 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/tests/Makefile:
          Removed Bug_1393_Regrestion, Bug_1436_Regression and
          Bug_1437_Regression from these makefile, there are no GNU makefiles
          in those directories that work.

Wed Dec 10 09:26:13 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/CosEvent/CEC_TypedEventChannel.{h,cpp}:
          Fixed some method argument names which where exactly the same as
          the name of some members.

Wed Dec 10 09:13:13 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/OBV/TC_Alignment/client.dsp:
        * tests/OBV/TC_Alignment/server.dsp:
        * tests/Bug_1330_Regression/Bug_1330_Client.dsp:
        * tests/Bug_1330_Regression/Bug_1330_Server.dsp:
        * orbsvcs/tests/LoadBalancing/GenericFactory/Application_Controlled/client.dsp:
        * orbsvcs/tests/LoadBalancing/GenericFactory/Application_Controlled/server.dsp:
        * orbsvcs/tests/FaultTolerance/IOGR/Manager.dsp:
          Fixed release configuration

Tue Dec  9 22:15:55 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * tao/IFR_Client/IFR_ExtendedC.cpp:

          Removed more duplicate explicit template instantiations.

Tue Dec  9 18:25:27 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * orbsvcs/orbsvcs/FaultTolerance.mpc:

          Added a dependency on CosNaming.

Tue Dec  9 18:22:35 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * orbsvcs/tests/Makefile:

          Added a bunch of new tests into the Makefiles for compilation.

        * orbsvcs/tests/Bug_1630_Regression/testclient.cpp:

          Fixed a compilation error.

Tue Dec  9 15:17:47 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_visitor_valuetype/field_cs.cpp (visit_union):

          Fixed code generation for accessors/mutators to a union as a
          member of a valuetype. The previous, incorrect code assumed that
          the member is declared as a union_var, which is not the case.
          Thanks to Andy Bellafaire <Andy_M_Bellafaire@raytheon.com> for
          pointing out the problem.

Tue Dec  9 14:07:28 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_visitor_operation/operation.cpp (gen_stub_operation_body);

          Fixed calculation of operation name string length when the name has
          a '_cxx_' prefix due to a name class with a C++ keyword.

Tue Dec  9 13:42:00 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_visitor_typecode/typecode_defn.cpp (gen_nested_namespace_end):

          Fixed indentation problem in code generation.

        * tao/IFR_Client/IFR_BaseC.cpp:
        * tao/IFR_Client/IFR_BasicC.cpp:
        * tao/IFR_Client/IFR_ComponentsC.cpp:
        * tao/IFR_Client/IFR_ExtendedC.cpp:

          Regenerated IFR_ComponentsC.cpp, to get the correct indentation since
          the fix above, and from all files listed, removed duplicate explicit
          template instantiations of the argument template helper classes.

Tue Dec  9 18:38:12 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * orbsvcs/orbsvcs/Makefile.CosTime:
          Removed #include of wrapper_macros.GNU and rules.tao.GNU since
          they are included automagically by all_in_one.GNU.  Thanks to
          Johnny Willemsen <jwillemsen@remedy.nl> tracking this down.

Tue Dec  9 11:37:44 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tao/extra_core.mpb:

          For some reason there are so many places where we have hardcoded
          that  minimum_corba means no messaging. This is atrocious :-).

        * tests/Bug_1639_Regression/test.mpc:

          Cleaned the MPC file.

Tue Dec  9 17:24:01 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/performance-tests/RTEvent/Federated_Roundtrip/client.dsp:
        * orbsvcs/performance-tests/RTEvent/Federated_Roundtrip/server.dsp:
        * orbsvcs/performance-tests/RTEvent/RTCORBA_Baseline/client.dsp:
        * orbsvcs/performance-tests/RTEvent/RTCORBA_Baseline/server.dsp:
        * orbsvcs/performance-tests/RTEvent/Roundtrip/client.dsp:
        * orbsvcs/performance-tests/RTEvent/Roundtrip/server.dsp:
        * orbsvcs/performance-tests/RTEvent/lib/TAO_RTEC_Perf.dsp:
        * orbsvcs/examples/Security/Send_File/Send_File_Client.dsp:
        * orbsvcs/examples/Security/Send_File/Send_File_Server.dsp:
        * orbsvcs/examples/RtEC/MCast/MCast.dsp:
        * orbsvcs/examples/Notify/Filter/Filter.dsp:
        * orbsvcs/examples/Notify/Lanes/Consumer.dsp:
        * orbsvcs/examples/Notify/Lanes/Supplier.dsp:
        * orbsvcs/examples/Notify/Subscribe/Subscribe.dsp:
        * orbsvcs/examples/Notify/ThreadPool/Consumer.dsp:
        * orbsvcs/examples/Notify/ThreadPool/Supplier.dsp:
        * orbsvcs/examples/CosEC/Factory/FactoryClient.dsp:
        * orbsvcs/examples/CosEC/Factory/FactoryServer.dsp:
        * examples/Simple/bank/client.dsp:
        * examples/Logging/Logging_Service.dsp:
        * examples/Logging/Logging_Test.dsp:
        * docs/tutorials/Quoter/AMI/client.dsp:
        * orbsvcs/tests/Concurrency/CC_client.dsp:
          Fixed release configurations

Tue Dec  9 16:26:13 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/tests/Redundant_Naming/client.dsp:
        * orbsvcs/tests/Miop/McastHello/client.dsp:
        * orbsvcs/tests/Miop/McastHello/server.dsp:
        * orbsvcs/tests/LoadBalancing/GenericFactory/Infrastructure_Controlled/server.dsp:
        * orbsvcs/tests/Interoperable_Naming/client.dsp:
        * orbsvcs/tests/InterfaceRepo/Application_Test/Application_Test_client.dsp:
        * orbsvcs/tests/InterfaceRepo/Application_Test/Application_Test_server.dsp:
        * orbsvcs/tests/InterfaceRepo/IDL3_Test/IDL3_Test.dsp:
        * orbsvcs/tests/InterfaceRepo/IFR_Test/IFR_Test.dsp:
        * orbsvcs/tests/InterfaceRepo/Latency_Test/Latency_Test.dsp:
        * orbsvcs/tests/InterfaceRepo/Persistence_Test/Persistence_Test.dsp:
        * orbsvcs/tests/ImplRepo/airplane_client.dsp:
        * orbsvcs/tests/ImplRepo/airplane_server.dsp:
        * orbsvcs/tests/ImplRepo/nestea_client.dsp:
        * orbsvcs/tests/ImplRepo/nestea_server.dsp:
        * orbsvcs/tests/FaultTolerance/IOGR/Manager.dsp:
        * orbsvcs/tests/FaultTolerance/IOGR/server.dsp:
        * orbsvcs/tests/FaultTolerance/GroupRef_Manipulation/client.dsp:
        * orbsvcs/tests/FaultTolerance/GroupRef_Manipulation/server.dsp:
        * orbsvcs/tests/Event/*.dsp:
        * orbsvcs/tests/EC_MT_Mcast/MCast.dsp:
        * orbsvcs/tests/EC_Custom_Marshal/ECCM_Consumer.dsp:
        * orbsvcs/tests/EC_Custom_Marshal/ECCM_Supplier.dsp:
          Fixed release configurations, more follow later.

Tue Dec  9 09:41:26 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tests/Portable_Interceptors/Bug_1559/interceptors.cpp:

          Fixed a debug statement.

Tue Dec  9 09:21:38 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tao/Synch_Invocation.cpp (TAO):

          Cosmetic changes.

Tue Dec  9 07:40:12 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Bug_1482_Regression/test.mpc:
        * tests/Bug_1551_Regression/test.mpc:
          Fixed errors in these mpc files

Mon Dec  8 21:13:44 2003  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * orbsvcs/performance-tests/LoadBalancing/Roundtrip.cpp:

          Include "ace/ACE.h" to pull in ACE::is_prime() prototype.

        * orbsvcs/performance-tests/LoadBalancing/server.cpp:

          Include "ace/OS_NS_strings.h" to pull in ACE_OS::strcasecmp()
          prototype.

Mon Dec  8 19:44:04 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * rules.tao.GNU:
          Only set SOVERSION and SONAME if versioned_so=1 and they have
          not yet been set.  Thanks to Milan Cvetkovic
          <mcvetkovic@mpathix.com> for motivating this change.

Mon Dec  8 19:33:03 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tao/Synch_Invocation.cpp:

          Fixed a minor problem with reinvocation. We were not handling
          errors properly, more precisely the restart errors if they show
          up during wait_for_reply (). Thanks to Milan Cvetkovic for
          motivating this change.

        * tao/Messaging/Asynch_Invocation.cpp:

          Cosmetic change.

Mon Dec  8 18:50:58 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/ast/ast_decl.cpp:

          Cosmetic changes to source code.

        * TAO_IDL/be/be_visitor_operation/operation.cpp:

          In generating the operation string name passed to the
          TAO::Invocation_Adapter constructor in stub code, changed
          the call to get the operation node's local name from
          local_name() to original_local_name(). This call returns a
          string without the '_cxx_' prepended (if any) that would
          occur if the operation name clashes with a C++ keyword. The
          name string must be passed to the transport without the
          prefix so it can be language independent, and for this
          reason it will also be stored in the operation table on the
          skeleton side in the same way (without the prefix).

Mon Dec  8 12:49:52 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * orbsvcs/examples/PSS/PSS.mpc:

          Removed from the repository so that our daily builds will not
          run this to get a Makefile. We will not be supporting PSDL for
          TAO 1.4.

Mon Dec  8 18:30:43 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * performance-tests/POA/Implicit_Activation/client.dsp:
        * performance-tests/POA/Implicit_Activation/collocated.dsp:
        * performance-tests/POA/Implicit_Activation/server.dsp:
        * performance-tests/POA/Object_Creation_And_Registration/registration.dsp:
        * performance-tests/Pluggable/client.dsp:
        * performance-tests/Pluggable/server.dsp:
        * performance-tests/Latency/Thread_Pool/client.dsp:
        * performance-tests/Latency/Thread_Pool/server.dsp:
        * performance-tests/Latency/Thread_Per_Connection/client.dsp:
        * performance-tests/Latency/Thread_Per_Connection/server.dsp:
        * performance-tests/Latency/Single_Threaded/server.dsp:
        * performance-tests/Latency/Single_Threaded/client.dsp:
        * performance-tests/Latency/DSI/client.dsp:
        * performance-tests/Latency/DSI/server.dsp:
        * performance-tests/Latency/AMH/Single_Threaded/client.dsp:
        * performance-tests/Latency/AMH/Single_Threaded/server.dsp:
        * performance-tests/Callback/client.dsp:
        * performance-tests/Callback/server.dsp:
        * orbsvcs/tests/Simple_Naming/client.dsp:
        * orbsvcs/tests/Security/SecurityLevel1/client.dsp:
        * orbsvcs/tests/Security/SecurityLevel1/server.dsp:
        * orbsvcs/tests/Security/Secure_Invocation/client.dsp:
        * orbsvcs/tests/Security/Secure_Invocation/server.dsp:
        * orbsvcs/tests/Security/MT_SSLIOP/client.dsp:
        * orbsvcs/tests/Security/MT_SSLIOP/server.dsp:
        * orbsvcs/tests/Security/MT_IIOP_SSL/client.dsp:
        * orbsvcs/tests/Security/MT_IIOP_SSL/server.dsp:
        * orbsvcs/tests/Security/Crash_Test/Crash_Test_Client.dsp:
        * orbsvcs/tests/Security/Crash_Test/Crash_Test_Server.dsp:
        * orbsvcs/tests/Security/Callback/client.dsp:
        * orbsvcs/tests/Security/Callback/server.dsp:
        * orbsvcs/tests/Security/Big_Request/client.dsp:
        * orbsvcs/tests/Security/Big_Request/server.dsp:
        * orbsvcs/tests/Sched_Conf/Sched_Conf_Anomalies.dsp:
        * orbsvcs/tests/Sched_Conf/Sched_Conf_Runtime.dsp:
        * orbsvcs/tests/Redundant_Naming/client.dsp:
        * orbsvcs/tests/Notify/*.dsp:
          Enabled RTTI in all configurations.

Mon Dec  8 17:00:13 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/Fault_Tolerance.dsp:
          Fixed release configuration

Mon Dec  8 16:31:43 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Bug_1636_Regression/bug_1636_testclient.dsp:
          Fixed wrong path to TAO_IDL compiler, stupid mistake from me

Mon Dec  8 16:00:13 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Collocation_Tests/Collocation_Tests.mpc:
          Changed exename so that it matches the run_test.pl script

        * tests/Bug_1551_Regression/test.mpc:
        * tests/Bug_1482_Regression/test.mpc:
          Added these MPC files.

Mon Dec  8 10:06:12 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/tests/Time/Time.mpc:
          Changed name of project to fix msvc6 duplicate project error. Set
          exename to client to match the perl script.

Mon Dec  8 09:10:12 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/Naming/Naming_Utils.cpp:
          Fixed incorrect exception macro

Sun Dec  7 22:34:42 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tao/Messaging/Asynch_Reply_Dispatcher.cpp:

          Fix for a race condition that I dreamt up, but could
          happen. This is just a continuation to "Sat Dec  6 23:42:13 2003
          Balachandran Natarajan  <bala@dre.vanderbilt.edu>".

Sun Dec  7 20:36:49 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tests/CodeSets/libs/UCS4_UTF16/WUCS4_UTF16.h:
        * tests/CodeSets/libs/UCS4_UTF16/WUCS4_UTF16_Factory.h:
        * orbsvcs/orbsvcs/Naming/Naming_Utils.cpp:

          Fixed fuzz errors.

Sun Dec  7 18:44:01 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/Request_Context_Repository.cpp:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/Set_Update_Interceptor.cpp:

          Add needed #includes due to the split up in IOP_IOR.pidl

Sun Dec  7 18:32:47 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * examples/Kokyu_dsrt_schedulers/FP_Scheduler.cpp:
        * examples/Kokyu_dsrt_schedulers/MIF_Scheduler.cpp:
        * examples/Kokyu_dsrt_schedulers/MUF_Scheduler.cpp:

          Fixed a compile error due to the changes in IOP_IOR.pidl.

Sun Dec  7 12:26:43 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * orbsvcs/orbsvcs/RTCosScheduling/RTCosScheduling_ClientScheduler_i.cpp:

          Fixed a compile error due to the changes in IOP_IOR.pidl.

Sun Dec  7 17:59:12 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/AMH/Sink_Server/mt_server.dsp:
        * examples/Buffered_AMI/client.dsp:
        * examples/Buffered_AMI/server.dsp:
        * examples/Buffered_Oneways/client.dsp:
        * examples/Buffered_Oneways/server.dsp:
        * examples/Callback_Quoter/Consumer.dsp:
        * examples/Callback_Quoter/Notifier.dsp:
        * examples/Callback_Quoter/Supplier.dsp:
        * examples/Content_Server/AMI_Iterator/client.dsp:
        * examples/Content_Server/AMI_Iterator/server.dsp:
        * examples/Content_Server/AMI_Observer/client.dsp:
        * examples/Content_Server/AMI_Observer/server.dsp:
        * examples/Content_Server/SMI_Iterator/client.dsp:
        * examples/Content_Server/SMI_Iterator/server.dsp:
        * examples/Event_Comm/Consumer.dsp:
        * examples/Event_Comm/Notifier.dsp:
        * examples/Event_Comm/Supplier.dsp:
        * examples/Load_Balancing/client.dsp:
        * examples/Load_Balancing/server.dsp:
        * examples/Load_Balancing/service.dsp:
        * examples/Load_Balancing_persistent/client.dsp:
        * examples/Load_Balancing_persistent/server.dsp:
        * examples/Load_Balancing_persistent/service.dsp:
        * examples/OBV/Typed_Events/client.dsp:
        * examples/OBV/Typed_Events/server.dsp:
        * examples/Persistent_Grid/Persistent_Grid_Client_Files.dsp:
        * examples/Persistent_Grid/Persistent_Grid_Second_Client_Files.dsp:
        * examples/Persistent_Grid/Persistent_Grid_Server_Files.dsp:
        * examples/PluggableUDP/tests/Basic/client.dsp:
        * examples/PluggableUDP/tests/Basic/server.dsp:
        * examples/PluggableUDP/tests/Performance/client.dsp:
        * examples/PluggableUDP/tests/Performance/server.dsp:
        * examples/PluggableUDP/tests/SimplePerformance/client.dsp:
        * examples/PluggableUDP/tests/SimplePerformance/server.dsp:
        * examples/POA/Default_Servant/client.dsp:
        * examples/POA/Default_Servant/server.dsp:
        * examples/POA/DSI/client.dsp:
        * examples/POA/DSI/server.dsp:
        * examples/POA/FindPOA/FindPOA.dsp:
        * examples/POA/Forwarding/client.dsp:
        * examples/POA/Forwarding/server.dsp:
        * examples/POA/On_Demand_Loading/server.dsp:
        * examples/POA/TIE/client.dsp:
        * examples/POA/TIE/server.dsp:
        * examples/Quoter/client.dsp:
        * examples/Quoter/Factory_Finder.dsp:
        * examples/Quoter/Generic_Factory.dsp:
        * examples/Quoter/server.dsp:
        * examples/RTCORBA/Activity/activity.dsp:
        * examples/Simple/bank/client.dsp:
        * examples/Simple/bank/server.dsp:
        * examples/Simple/chat/client.dsp:
        * examples/Simple/chat/server.dsp:
        * examples/Simple/echo/client.dsp:
        * examples/Simple/echo/server.dsp:
        * examples/Simple/grid/client.dsp:
        * examples/Simple/grid/server.dsp:
        * examples/Simple/time/client.dsp:
        * examples/Simple/time/server.dsp:
        * examples/Simulator/Event_Supplier/DualEC_Sup.dsp:
        * examples/Simulator/Event_Supplier/Event_Sup.dsp:
        * examples/Simulator/Event_Supplier/Logging_Sup.dsp:
          Enabled RTTI in all configurations

Sun Dec  7 10:50:56 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * orbsvcs/orbsvcs/CosConcurrency.dsp:
        * orbsvcs/orbsvcs/Metrics.dsp:
        * orbsvcs/orbsvcs/RTCORBAEvent.dsp:
        * orbsvcs/orbsvcs/RTEvent.dsp:
        * orbsvcs/orbsvcs/RTEventLog.dsp:
        * orbsvcs/orbsvcs/RTOLDEvent.dsp:
        * orbsvcs/orbsvcs/RTSched.dsp:

          For the above projects that had RTTI turned on for some configurations,
          turned it on for all configurations.

Sun Dec  7 10:24:02 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tao/IOP_IORA.cpp:
        * tao/IOP_IORA.h:

          Regenerated code.

Sun Dec  7 16:02:59 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * performance-tests/Sequence_Latency/DII/client.dsp:
        * performance-tests/Sequence_Latency/DII/server.dsp:
        * performance-tests/Sequence_Latency/Deferred/client.dsp:
        * performance-tests/Sequence_Latency/Deferred/client.dsp:
        * performance-tests/Sequence_Latency/AMH/Single_Threaded/client.dsp:
        * performance-tests/Sequence_Latency/AMH/Single_Threaded/server.dsp:
        * performance-tests/Sequence_Latency/AMI/client.dsp:
        * performance-tests/Sequence_Latency/AMI/server.dsp:
        * performance-tests/RTCorba/Thread_Pool/client.dsp:
        * performance-tests/RTCorba/Thread_Pool/server.dsp:
        * performance-tests/RTCorba/Oneways/Reliable/client.dsp:
        * performance-tests/RTCorba/Oneways/Reliable/server.dsp:
        * performance-tests/RTCorba/Multiple_Endpoints/Single_Endpoint/Client.dsp:
        * performance-tests/RTCorba/Multiple_Endpoints/Single_Endpoint/Server.dsp:
        * performance-tests/RTCorba/Multiple_Endpoints/Orb_Per_Priority/Client.dsp:
        * performance-tests/RTCorba/Multiple_Endpoints/Orb_Per_Priority/Server.dsp:
          Fixed release configuration

Sun Dec  7 09:36:05 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tao/IOP_IOR.pidl:

          Do not use sequence<octet>, use CORBA::OctetSeq instead.

        * tao/IOP_IORC.cpp:
        * tao/IOP_IORC.h:
        * tao/IOP_IORC.i:

          Regenerated the code, since we had all the sequence<octet> code
          with has other implications in terms of footprint and
          compilation times.

        * tao/diffs/OctetSeq.diff:

          Religious update of the diff file, which is very minimal.

Sun Dec  7 08:49:47 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * examples/Kokyu_dsrt_schedulers/FP_SchedulingC.h.diff:
        * examples/Kokyu_dsrt_schedulers/Kokyu_qosC.h.diff:
        * examples/Kokyu_dsrt_schedulers/MIF_SchedulingC.h.diff:
        * examples/Kokyu_dsrt_schedulers/MUF_SchedulingC.h.diff:

          These diff files are not required anymore.

Sun Dec  7 14:29:13 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * performance-tests/Sequence_Latency/Single_Threaded/client.dsp:
        * performance-tests/Sequence_Latency/Single_Threaded/server.dsp:
        * performance-tests/Sequence_Latency/DSI/client.dsp:
        * performance-tests/Sequence_Latency/DSI/server.dsp:
          Fixed release configuration

        * performance-tests/Sequence_Latency/DSI/DSI_Latency.ncb:
        * performance-tests/Sequence_Latency/DSI/DSI_Latency.opt:
          Removed these files from the repo, they are MSVC6 generated and
          don't need to be in the repo

Sun Dec  7 14:24:06 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/AMH_Exceptions/server.dsp:
        * performance-tests/Throughput/client.dsp:
        * performance-tests/Throughput/server.dsp:
        * performance-tests/Sequence_Latency/Thread_Pool/client.dsp:
        * performance-tests/Sequence_Latency/Thread_Pool/server.dsp:
        * performance-tests/Sequence_Latency/Thread_Per_Connection/client.dsp:
        * performance-tests/Sequence_Latency/Thread_Per_Connection/server.dsp:
          Fixed release configuration

        * performance-tests/Sequence_Latency/Thread_Per_Connection/Thread_Per_Connection_Latency.ncb:
        * performance-tests/Sequence_Latency/Thread_Per_Connection/Thread_Per_Connection_Latency.opt:
          Removed these files from the repo, they are MSVC6 generated and
          don't need to be in the repo

Sun Dec  7 10:03:23 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/FTRT_Event_Service/Event_Service/FT_EventService.cpp:
          Changed the names of enum declarations "NONE" in this
          file. This was causing a clash with VxWORKS systems
          headers.

Sun Dec  7 09:49:13 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Asynch_Reply_Dispatcher_Base.h:
          Added TAO_Export to the ARDB_Refcount_Functor class to fix link
          errors with MSVC6

Sun Dec  7 00:53:38 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * orbsvcs/orbsvcs/Makefile.RTEvent:
        * orbsvcs/orbsvcs/Event/EC_Channel_Destroyer.h:
        * orbsvcs/orbsvcs/Event/EC_Proxy_Disconnector.h:

          Effects of Auto_Functor directory change.

Sun Dec  7 000:46:52 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_visitor_traits.cpp:

          Added #ifdef guard to declaration of Array_Traits<> specializations,
          similar to the ones already generated for Array_Traits<>
          specialization implementations in the *C.i file. These guards are
          composed from the flat name of the unaliased array element type
          and the dimension(s), eliminating redefinition errors that can
          occur when two arrays of the same element type and length (either
          both typedef'd or both anonymous) appear in the same translation
          unit.

Sun Dec  7 00:41:52 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tao/Asynch_Reply_Dispatcher_Base.cpp:
        * tao/Asynch_Reply_Dispatcher_Base.h:
        * tao/Asynch_Reply_Dispatcher_Base.i:
        * tao/DynamicInterface/DII_Reply_Dispatcher.cpp:
        * tao/DynamicInterface/DII_Reply_Dispatcher.h:
        * tao/Messaging/Asynch_Invocation_Adapter.cpp:
        * tao/Messaging/Asynch_Reply_Dispatcher.cpp:
        * tao/Messaging/Asynch_Reply_Dispatcher.h:

          Fixed a bunch of compile errors when compiled with exceptions=0.

Sat Dec  6 23:42:13 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        This checkin is a fix for the various race conditions in Asynch
        Invocation reported by Cyrille Chepelov. The various race
        conditions were

          - Race between threads trying to dispatch replies and timeouts
          - Race between threads propogating timeouts and propogating
            replies.

        The crux of the changes involved adding refcounts to the
        Asynch_Reply_Dispatcher and Asynch_Timeout_Handler. To handle
        these cleanly I have made some supplementary change like moving
        Auto_Functor to the TAO library from Utils library, since it is
        more useful for a bunch of things.

        * tao/Asynch_Reply_Dispatcher_Base.cpp
        * tao/Asynch_Reply_Dispatcher_Base.h:
        * tao/Asynch_Reply_Dispatcher_Base.i:

          Added refcounting to this class. Further added a Functor which
          can be used by Auto_Functor.

        * tao/Muxed_TMS.cpp:

          Fixed a duplicate debug statement in dispatch_reply ().

        * tao/Messaging/Asynch_Invocation.cpp:
        * tao/Messaging/Asynch_Invocation_Adapter.cpp:

          Use Auto_Functor instead of auto_ptr <> since the reply
          dispatcher cannot be deleted, but can only be refcounted.

        * tao/Messaging/Asynch_Reply_Dispatcher.cpp::
        * tao/Messaging/Asynch_Reply_Dispatcher.h:

          The reply dispatcher creates a timeout handler when
          schedule_timer is called and holds a refcount of the timeout
          handler. The calls close_connection (), dispatch_reply () and
          reply_timed_out () doesn't call delete this, but decrements the
          refcount.

        * tao/Messaging/Asynch_Timeout_Handler.cpp:

          Enable refcounting of the timeout handler. This object holds a
          refcounted reply dispatcher object. Will decrement the refcount
          of the reply dispatcher when the object is destroyed.

        * tao/Makefile.tao:
        * tao/Auto_Functor.{h,cpp,inl}:
          Moved the autofunctor class form the Utils library to the TAO
          library.

        * tao/DynamicInterface/DII_Invocation_Adapter.cpp:
        * tao/DynamicInterface/DII_Reply_Dispatcher.cpp:
        * tao/DynamicInterface/DII_Reply_Dispatcher.h:

          Replicated the changes made in the Asynch classes to DII
          classes.

        * tao/Utils/Implicit_Deactivator.h:
        * tao/Utils/ORB_Destroyer.h:

          Changed the include path for Auto_Functor.h

Sat Dec  6 20:35:28 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_visitor_traits.cpp:
        * TAO_IDL/be_include/be_visitor_traits.h:

          Renamed be_visit_struct() method be_visit_structure() so it
          overrides the base class method.

Sat Dec  6 13:26:55 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * examples/Advanced/README_DOCGROUP:

          A README file that explains why we cannot support the following
          examples anymore.

        * examples/Advanced/ch_12/Advanced_ch_12.mpc:
        * examples/Advanced/ch_18/Advanced_ch_18.mpc:
        * examples/Advanced/ch_21/Advanced_ch_21.mpc:

          Removed all these MPC files. These directories will not be
          henceforth compiled  in the daily builds. The reason is
          explained in the file above. The crux of the problem is the
          dependancy between the examples and old iostream
          library. Graduating them to the new iostream library introduces
          lots of changes and does break code with old iostream library. I
          don't think the doc_group will have any time in the near future
          to get these examples compiling reliably with older and new
          generation of compilers. If someone can give patches we will, as
          usual, integrate them.

Sat Dec  6 12:37:48 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/FTEC_Event_Channel.cpp:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/FTEC_Event_Channel.h:
        * orbsvcs/orbsvcs/Notify/Notify_Constraint_Visitors.cpp:
        * orbsvcs/orbsvcs/Notify/Notify_Constraint_Visitors.h:

          Changed the names of enum declarations "NONE" in these
          files. This was causing a clash with VxWORKS systems
          headers. Thanks to Thomas Lockhart for providing the patches.

Sat Dec  6 18:25:01 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * performance-tests/Latency/DII/client.dsp:
        * performance-tests/Latency/DII/server.dsp:
        * performance-tests/Latency/Deferred/client.dsp:
        * performance-tests/Latency/Deferred/server.dsp:
        * performance-tests/Latency/AMI/client.dsp:
        * performance-tests/Latency/AMI/server.dsp:
        * performance-tests/Latency/AMH/Single_Threaded/client.dsp:
        * performance-tests/Latency/AMH/Single_Threaded/server.dsp:
        * performance-tests/Latency/DSI/client.dsp:
        * performance-tests/Latency/DSI/server.dsp:
        * performance-tests/Latency/Single_Threaded/client.dsp:
        * performance-tests/Latency/Single_Threaded/server.dsp:
        * performance-tests/Cubit/TAO/MT_Cubit/client.dsp:
        * performance-tests/Cubit/TAO/MT_Cubit/server.dsp:
        * performance-tests/Cubit/TAO/IDL_Cubit/client.dsp:
        * performance-tests/Cubit/TAO/IDL_Cubit/collocation_test.dsp:
        * performance-tests/Cubit/TAO/IDL_Cubit/server.dsp:
          Another set of fixes in the release configuration.

Sat Dec  6 18:01:12 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/PortableServer/Object_Adapter.cpp:
          Fixed compile problem in the change of Doug.

Sat Dec  6 10:41:50 2003  Douglas C. Schmidt  <schmidt@ace.cs.wustl.edu>

        * tao/PortableServer/Object_Adapter.cpp: Replaced the use of
          operator== to compare to thread ids with ACE_OS::thr_equal().
          Thanks to Gary Maxey <gary.maxey@hp.com> for reporting this.
          This fixes bugid 1663.

Sat Dec  6 09:19:41 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tests/CodeSets/UCS4_UTF16/WUCS4_UTF16.cpp:

          #included OS_Memory.h to get the declaration of ACE_NEW_RETURN.

Sat Dec  6 13:52:34 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/RTEvent.dsp:
        * docs/tutorials/Quoter/RT_Event_Service/server.dsp:
        * docs/tutorials/Quoter/Simple/Impl-Repo/server.dsp:
        * docs/tutorials/Quoter/Simple/Server/server.dsp:
        * docs/tutorials/Quoter/AMI/server.dsp:
        * examples/AMH/Sink_Server/client.dsp:
        * examples/AMH/Sink_Server/server.dsp:
          Another set of project setting fixes

Sat Dec  6 13:27:13 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAOACE.dsw:
          SvcUtils is dependent on PortableServer.

Sat Dec  6 12:43:43 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Bug_1639_Regression/struct_client.cpp:
          Fixed warning

Fri Dec  5 14:10:01 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/DsEventLogAdmin.dsp:
        * orbsvcs/orbsvcs/DsNotifyLogAdmin.dsp:
        * orbsvcs/orbsvcs/RTSched.dsp:
        * orbsvcs/orbsvcs/RTEvent.dsp:
        * orbsvcs/orbsvcs/RTOLDEvent.dsp:
        * orbsvcs/orbsvcs/FTORB_Utils.dsp:
        * orbsvcs/ImplRepo_Service/ImR_Activator.dsp:
        * orbsvcs/ImplRepo_Service/implrepo.dsp:
        * orbsvcs/LoadBalancer/LoadManager.dsp:
        * orbsvcs/LoadBalancer/LoadMonitor.dsp:
        * orbsvcs/orbsvcs/Metrics.dsp:
        * orbsvcs/Naming_Service/NT_Naming_Service.dsp:
        * orbsvcs/Notify_Service/Notify_Service.dsp:
        * orbsvcs/orbsvcs/RTCORBAEvent.dsp:
        * orbsvcs/orbsvcs/RTEventLog.dsp:
        * orbsvcs/ImplRepo_Service/tao_imr.dsp:
        * performance-tests/RTCorba/Multiple_Endpoints/Common/RTCORBA_Common.dsp:
        * orbsvcs/performance-tests/RTEvent/lib/TAO_RTEC_Perf.dsp:
        * examples/Simple/time-date/Time_Date.dsp:
        * examples/POA/Generic_Servant/server.dsp:
        * tests/UNKNOWN_Exception/server.dsp:
        * tests/Stack_Recursion/server.dsp:
        * tests/RTCORBA/Client_Propagated/client.dsp:
        * tests/RTCORBA/Client_Propagated/server.dsp:
        * tests/Oneways_Invoking_Twoways/client.dsp:
        * tests/Nested_Upcall_Crash/client.dsp:
        * tests/Nested_Upcall_Crash/scavenger.dsp:
        * tests/Nested_Upcall_Crash/server.dsp:
        * tests/Muxing/server.dsp:
        * tests/Crashed_Callback/client.dsp:
        * tests/Bug_1627_Regression/Bug_1627_Client.dsp:
        * tests/Bug_1627_Regression/Bug_1627_Server.dsp:
        * tests/Bug_1330_Regression/Bug_1330_Client.dsp:
        * tests/Bug_1330_Regression/Bug_1330_Server.dsp:
          Fixed release configuration of these project files. Not
          completely finished yet, but this is a step in the right
          direction. When somebody resets also these I will help
          Bala :-).

Fri Dec  5 13:09:12 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/CosConcurrency.dsp:
        * orbsvcs/orbsvcs/CosLifeCycle.dsp:
        * orbsvcs/orbsvcs/PortableGroup.dsp:
        * orbsvcs/orbsvcs/CosLoadBalancing.dsp:
        * orbsvcs/orbsvcs/CosTime.dsp:
        * orbsvcs/orbsvcs/DsLogAdmin.dsp:

Fri Dec  5 10:30:19 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Bug_1639_Regression/struct_client.cpp:
          Removed non portable streaming of the exception to fix compile
          problem in our msvc6 build.

Thu Dec  4 14:15:51 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * tao/TypeCodeFactory/TypeCodeFactory_i.cpp (unique_label_values):

          Assigned a struct literal to a local struct variable instead
          of initializing each member individually. This enables
          TypeCodeFactory to build when ACE_LACKS_LONGLONG_T is defined,
          since the struct contains all the IDL basic types that are
          legal for union discriminators, including longlong. Thanks
          to Gary Maxey <gary.maxey@hp.com> for reporting the problem.
          This closes [BUGID:1664].

Thu Dec  4 18:37:13 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/tests/AVStreams/Component_Switching/receiver.cpp:
          Fixed incorrect method name in ACE_PRINT_EXCEPTION

        * orbsvcs/tests/AVStreams/Component_Switching/receiver.{h,cpp}:
          Fixed emulated exception build

Thu Dec  4 16:45:34 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/tests/Bug_1630_Regression/testclient.cpp:
          Fixed compile problem with emulated exceptions

Thu Dec  4 09:09:13 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/RTCORBA/RT_Mutex.h:
          In case TAO_HAS_NAMED_RT_MUTEXES is set to 1, include
          ace/SString.h to get ACE_CString.

Wed Dec  3 10:12:18 2003  Phil Mesnier  <mesnier_p@ociweb.com>

        * tests/CodeSets/libs/Makefile:
        * tests/CodeSets/UCS4_UTF16/CodeSets_libs_UCS4_UTF16.mpc:
        * tests/CodeSets/UCS4_UTF16/Makefile:
        * tests/CodeSets/UCS4_UTF16/WUCS4_UTF16.cpp:
        * tests/CodeSets/UCS4_UTF16/WUCS4_UTF16.h:
        * tests/CodeSets/UCS4_UTF16/WUCS4_UTF16_Factory.cpp:
        * tests/CodeSets/UCS4_UTF16/WUCS4_UTF16_Factory.h:
        * tests/CodeSets/UCS4_UTF16/WUCS4_UTF16_export.h:
        * tests/CodeSets/simple/README:
        * tests/CodeSets/simple/cs_test.conf:
        * tests/CodeSets/simple/wcs_test.conf:

          Added example codeset translator for wide characters. The new
          translator converts from native UCS-4, 4-bytes per codepoint, to
          a transmission codeset of UTF-16, aka unicode.

Wed Dec  3 16:05:12 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/UNKNOWN_Exception/UNKNOWN_Exception_Client.bor:
        * tests/UNKNOWN_Exception/UNKNOWN_Exception_Server.bor:
        * tests/Timeout/client.bor:
        * tests/Timeout/server.bor:
          Added missing Id tag

Wed Dec  3 09:41:59 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_visitor_traits.cpp:
        * TAO_IDL/be_include/be_visitor_traits.h:

          Added visit_union_branch() method to catch anonymous arrays
          as union members, which are not caught by visit_field(). Thanks
          to Johnny Willemsen <jwillemsen@remedy.nl> for reporting the
          problem.

        * TAO_IDL/be/be_visitor_array/array_ch.cpp:

          Replaced a call to ctx_->tdef() with the existing up-to-date
          local variable be_typedef *td.

Wed Dec  3 16:15:46 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/tests/FtRtEvent/PushConsumer.cpp:
          Added include of ace/OS_NS_sys_time.h to get ACE_OS::gettimeofday()

Wed Dec  3 16:01:01 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Bug_1636_Regression/test.mpc:
        * tests/Bug_1635_Regression/Bug_1635_Regression.mpc:
          Use the correct base projects. This will fix the link errors in the
          RH8 Minimum build

Wed Dec  3 12:18:13 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Bug_1636_Regression/client.cpp:
          Fixed exception macro usage

Wed Dec  3 10:54:39 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/tests/Security/Secure_Invocation/Foo_i.cpp:
        * orbsvcs/tests/Security/Secure_Invocation/server.cpp:
          Added missing includes to fix compile errors in the MSVC6 Release
          build.

Wed Dec  3 09:19:43 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/OBV/Supports/server.cpp:
          Fixed exception macro usage

Wed Dec  3 09:14:41 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Portable_Interceptors/Collocated/Dynamic/Client_Task.cpp:
        * tests/Portable_Interceptors/Collocated/Dynamic/Test_i.cpp:
          Fixed exception macro usage

Wed Dec  3 09:06:13 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Bug_1627_Regression/Test_i.cpp:
        * tests/Bug_1330_Regression/Test_i.cpp:
          Fixed exception macro usage

Wed Dec  3 08:56:47 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Collocation_Tests/Collocation_Tests.mpc:
          Added new MPC file

Wed Dec  3 08:49:13 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Portable_Interceptors/Dynamic/client.cpp:
        * tests/Portable_Interceptors/Dynamic/server.cpp:
        * tests/Portable_Interceptors/ForwardRequest/server.cpp:
        * tests/Portable_Interceptors/Collocated/Dynamic/Collocated_Test.cpp:
          Fixed compile errors when TAO_HAS_INTERCEPTORS has been set to 0

Wed Dec  3 08:33:01 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/Security/Security_Current.h:
          Added include of tao/LocalObject.h

Wed Dec  3 08:23:11 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/FTRT_Event_Service/Factory_Service/EventChannelFactory_i.cpp:
          Replaced NULL with 0 and initialised local variable with 0 to
          fix Solaris warning

Wed Dec  3 08:11:13 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/examples/ORT/ORT.mpc:
          Fixed this MPC file.

Tue Dec  2 17:31:34 2003  Huang-Ming Huang  <hh1@cse.wustl.edu>

        * orbsvcs/tests/FaultTolerance/IOGR/svc.conf.xml:
          Changed to use TAO_FT_ClientORB intead of TAO_FT_ORB due
          to the seperation of FT ORB framework.

Tue Dec  2 18:55:12 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/RTCosScheduling/RTCosScheduling_ClientScheduler_i.{i,cpp}:
          Fixed compile errors when TAO_HAS_INTERCEPTORS has been defined to 0

Tue Dec  2 11:04:21 2003  Huang-Ming Huang  <hh1@cse.wustl.edu>

        * orbsvcs/FTRT_Event_Service/Factory_Service/EventChannelFactory_i.cpp:
          Fixed incorrect usage of exception macros.

Tue Dec  2 10:42:31 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * orbsvcs/orbsvcs/Trader/Constraint_y.cpp:

          Added initialization of a register variable, which some
          newer compilers see as possibly being used before it is
          initialized. Thanks to Johnny Willemsen <jwillemsen@remedy.nl>
          for reporting the problem.

Tue Dec  2 16:41:12 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/RTCORBA/RT_ORB.h:
          Include ace/Null_Mutex.h when TAO_HAS_NAMED_RT_MUTEXES is defined
          as 1

Tue Dec  2 14:42:56 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * utils/NamingView/NamingViewer.cpp:
          Added include of ace/ACE.h to fix compile errors. Thanks to
          UV Wildner <djuv@gmx.net> for reporting this.

Tue Dec  2 13:43:12 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/examples/RtEC/IIOPGateway/Consumer.cpp:
        * orbsvcs/examples/RtEC/IIOPGateway/Supplier.cpp:
          Added include of ace/OS_NS_string.h to get ACE_OS::strcmp

Tue Dec  2 07:18:42 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tao/Object_KeyC.cpp (encode_string_to_sequence):

          Thanks to Cyrille Chepelov <cyrille@softek.fr> for catching a
          buffer overrun in the  for loop.

Tue Dec  2 08:17:43 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/tests/AVStreams/Pluggable_Flow_Protocol/sender.h:
          Fixed incorrect exception macro usage to fix emulated exception
          build.

Tue Dec  2 07:56:12 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/ESF/ESF_Worker.h:
          Added include ace/os_include/os_stddef.h to get size_t.

Mon Dec  1 12:20:11 2003  Huang-Ming Huang  <hh1@cse.wustl.edu>

        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/Fault_Detector_Loader.cpp:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/Replication_Service.cpp:
          Use ACE_AUTOP_PTR_RESET instead of auto_ptr.reset() to fix the
          problem in MSVC 6. Thanks to Alan l Batongbacal <alanlb@vt.edu>
          for reporting the problem.

        * orbsvcs/FTRT_Event_Service/Factory_Service/EventChannelFactory_i.cpp:
          Fixed warnings in SunForte8 build.

Mon Dec  1 18:13:43 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/CosNotification.mpc:
          Removed template files, they don't need to build on their own

Mon Dec  1 11:27:36 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * tests/RTScheduling/VoidData/test_client.cpp (main):

          Passed the address of the integer to the operation, instead
          of its value, so it can be appropriately converted to void*.

Mon Dec  1 17:18:33 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/POA/Explicit_Activation/Alt_Resources/Alt_Resource.mpc:
          Set correct dynamicflags and added gnu verbatim so that this
          example is not build with GNU because it uses the WFMO Reactor

Mon Dec  1 10:26:53 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/util/utl_global.cpp:

          Modified the logic of pragma prefix updates to eliminate the
          removal of the global scope prefix (if any), which should never
          happen. Thanks to Simon McQueen <sm@prismtechnologies.com>
          for reporting the bug.

Mon Dec 01 03:05:44 2003  Huang-Ming Huang  <hh1@cse.wustl.edu>

        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/FTEC_ProxySupplier.cpp:
          Fixed Anachronism warning in SunForte8 build.

Mon Dec 01 07:58:12 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/examples/RtEC/Simple/RtEC_Simple.mpc:
          This examples is using the Naming Service, so added this to the
          MPC file.

Sun Nov 30 15:53:49 2003  Huang-Ming Huang  <hh1@cse.wustl.edu>

        * orbsvcs/orbsvcs/FaultTolerance/FT_ClientORBInitializer.cpp:
          Removed registering policy factory for HEARTBEAT_ENABLED_POLICY
          which should be specific to FT server ORB.

Sun Nov 30 12:15:45 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * orbsvcs/performance-tests/RTEvent/RTCORBA_Baseline/client.cpp:

          Added missing include of ace/Barrier.h.

        * examples/Kokyu_dsrt_schedulers/Kokyu_DSRT_Schedulers.dsp:
        * orbsvcs/performance-tests/RTEvent/RTCORBA_Baseline/client.dsp:
        * orbsvcs/performance-tests/RTEvent/RTCORBA_Baseline/server.dsp:
        * orbsvcs/tests/FaultTolerance/GroupRef_Manipulation/client.dsp:
        * orbsvcs/tests/FaultTolerance/GroupRef_Manipulation/server.dsp:
        * orbsvcs/tests/Notify/Destroy/Notify_Test_Destroy.dsp:
        * orbsvcs/tests/Notify/lib/TAO_NotifyTests.dsp:
        * performance-tests/Callback/client.dsp:
        * performance-tests/Callback/server.dsp:
        * performance-tests/RTCorba/Oneways/Reliable/client.dsp:

          Added link libraries, corrected link library names, added
          link include paths, and added or corrected IDL compiler
          executable dependencies as needed.

        * orbsvcs/tests/Notify/Notify_Tests.dsw:

          Added project dependencies.

Sun Nov 30 10:44:41 2003  Huang-Ming Huang  <hh1@cse.wustl.edu>

        * tao/Fault_Tolerance_Service.cpp
          Fixed the problem for the seperation of FTORB libraries.
          FT_Service_Activate is changed to FT_ClientService_Activate.

Sat Nov 29 20:27:19 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_visitor_array/array_ch.cpp:

          Since the local variable that was supposed to be removed in

          Sat Nov 29 11:13:06 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

          has be put back in

          Sat Nov 29 19:40:45 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

          went the other way, and referenced the local variable later in
          the method, instead of calling the accessor again.

Sat Nov 29 19:40:45 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * TAO_IDL/be/be_visitor_array/array_ch.cpp:

          Fixed an unused variable warning.

Sat Nov 29 12:45:02 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAOACE.dsw:

          Changes to project dependencies. In particular, eliminated the
          dependency of Fault Tolerance on FT ORB, which no longer
          exists.

        * orbsvcs/orbsvcs/FTORB_Utils.dsp:

          Added dependency on IDL compiler executable so code will get
          regnerated whenever the IDL compiler itself is updated.

Sat Nov 29 11:42:48 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * tao/TypeCodeFactory/TypeCodeFactory_i.cpp:

          Plugged potential memory leak in handling datatypes
          servicing recursive typecodes, with a patch modified
          from one sent in by Harvinder Sawhney
          <harvinder_sawhney@agilent.com>.

Sat Nov 29 11:13:06 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_visitor_traits.cpp (visit_array):

          Added logic to insert an underscore prefix in the last
          component of the scoped array name and array slice name,
          if the array is fully anonymous, meaning not in the
          case where it is a typedef of an anonymous sequence member.

        * TAO_IDL/be/be_visitor_array/array_ch.cpp (visit_array):

          Eliminated an unnecessary temporary local variable.

        * tests/IDL_Test/anonymous.idl:

          Cosmetic change.

Sat Nov 29 09:43:09 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_visitor_traits.cpp (visit_field):

          Added check to skip code generation for any kind of field except
          an anonymous array. Traits specializations are generated for
          interfaces, valuetypes and arrays. When visiting the field members
          of a struct, union or exception, we want to generate traits
          specialiations only for anonymous arrays, since all the other
          cases are handled elsewhere, at the point of declaration.

Fri Nov 28 22:46:33 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tao/Messaging/Asynch_Invocation.cpp:

          When sending a AMI call, pass a oneway identifier so that the
          required infrastructure within the ORB for request buffering,
          non-blocking semantics with LF flushing strategy etc. fires.

Fri Nov 28 21:39:53 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_visitor_traits.cpp:
        * TAO_IDL/be_include/be_visitor_traits.h:

          - Added check in visit_array() to skip code generation if the node
            is imported.

          - Added methods visit_field, visit_exception, visit_structure and
            visit_union to the visitor class, to catch anonymous arrays
            declared inside IDL structs, unions and exceptions.

Fri Nov 28 17:21:28 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tao/ORB_Core.cpp:

          Cosmetic fix.

Fri Nov 28 12:53:48 2003  Huang-Ming Huang  <hh1@cse.wustl.edu>

        * docs/releasenotes/ftrt_ec.html:
          Added links to MPC to clarify what it means.

        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/AMI_Primary_Replication_Strategy.cpp:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/AMI_Primary_Replication_Strategy.h:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/FTEC_Event_Channel.cpp:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/FTEC_Event_Channel_Impl.cpp:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/FTEC_Event_Channel_Impl.h:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/FT_ProxyAdmin_T.cpp:
        * orbsvcs/FTRT_Event_Service/Factory_Service/EventChannelFactory_i.cpp:
          Fixed warnings in SunForte 8 build.

Fri Nov 28 15:44:31 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * performance-tests/Sequence_Latency/Deferred/client.bor:
          Added portableserver library

Fri Nov 28 15:30:42 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/AV.bor:
        * orbsvcs/orbsvcs/CosConcurrency.bor:
        * orbsvcs/orbsvcs/CosEvent.bor:
        * orbsvcs/orbsvcs/CosLifeCycle.bor:
        * orbsvcs/orbsvcs/CosNaming.bor:
        * orbsvcs/orbsvcs/CosProperty.bor:
        * orbsvcs/orbsvcs/CosTime.bor:
        * orbsvcs/orbsvcs/CosTrading.bor:
        * orbsvcs/orbsvcs/DsLogAdmin.bor:
        * orbsvcs/orbsvcs/ETCL.bor:
        * orbsvcs/orbsvcs/FaultTolerance.bor:
        * orbsvcs/orbsvcs/PortableGroup.bor:
        * orbsvcs/orbsvcs/RT_Notification.bor:
        * orbsvcs/orbsvcs/SSLIOP.bor:
        * orbsvcs/orbsvcs/Svc_Utils.bor:
          Added missing Id tag

Fri Nov 28 14:33:09 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/CosNotification.mpc:
          Removed template files from sources

Fri Nov 28 13:34:03 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * performance-tests/Sequence_Latency/Deferred/client.bor:
        * performance-tests/Sequence_Latency/DII/client.bor:
          Added missing libraries

Fri Nov 28 12:44:33 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/AV.mpc:
          Added missing md5c.c file

Fri Nov 28 11:22:12 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/Advanced/ch_12/Advanced_ch_12.mpc:
        * examples/Advanced/ch_18/Advanced_ch_18.mpc:
        * examples/Advanced/ch_21/Advanced_ch_21.mpc:
        * examples/Advanced/ch_3/Advanced_ch_3.mpc:
        * examples/Advanced/ch_8_and_10/Advanced_ch_8_and_10.mpc:
          These examples require native C++ exceptions

Fri Nov 28 09:56:01 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/Kokyu_dsrt_schedulers/FP_Scheduling.idl:
        * examples/Kokyu_dsrt_schedulers/Kokyu_qos.idl:
        * examples/Kokyu_dsrt_schedulers/MIF_Scheduling.idl:
        * examples/Kokyu_dsrt_schedulers/MUF_Scheduling.idl:
          Fixed fuzz errors

Fri Nov 28 09:20:12 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/tests/AVStreams/Asynch_Three_Stage/distributer.bor:
        * orbsvcs/tests/AVStreams/Asynch_Three_Stage/receiver.bor:
        * orbsvcs/tests/AVStreams/Asynch_Three_Stage/sender.bor:
        * orbsvcs/tests/AVStreams/Component_Switching/distributer.bor:
        * orbsvcs/tests/AVStreams/Component_Switching/receiver.bor:
        * orbsvcs/tests/AVStreams/Component_Switching/sender.bor:
        * orbsvcs/tests/AVStreams/Full_Profile/server.bor:
        * orbsvcs/tests/AVStreams/Multicast/ftp.bor:
        * orbsvcs/tests/AVStreams/Multicast/server.bor:
        * orbsvcs/tests/AVStreams/Multicast_Full_Profile/ftp.bor:
        * orbsvcs/tests/AVStreams/Multicast_Full_Profile/server.bor:
        * orbsvcs/tests/AVStreams/Pluggable/ftp.bor:
        * orbsvcs/tests/AVStreams/Pluggable/server.bor:
        * orbsvcs/tests/AVStreams/Simple_Three_Stage/distributer.bor:
        * orbsvcs/tests/AVStreams/Simple_Three_Stage/receiver.bor:
        * orbsvcs/tests/AVStreams/Simple_Three_Stage/sender.bor:
        * orbsvcs/tests/AVStreams/Simple_Two_Stage/receiver.bor:
        * orbsvcs/tests/AVStreams/Simple_Two_Stage/sender.bor:
        * orbsvcs/tests/AVStreams/Simple_Two_Stage_With_QoS/receiver.bor:
        * orbsvcs/tests/AVStreams/Simple_Two_Stage_With_QoS/sender.bor:
          Added Messaging library

Thu Nov 27 20:51:47 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tao/ORB_Core.cpp:

          Fixed a problem with this checkin "Thu Nov 27 18:07:15 2003
          Balachandran Natarajan  <bala@dre.vanderbilt.edu>". The above
          checkin was deadlocking the ORB.

Thu Nov 27 18:33:09 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * orbsvcs/orbsvcs/Notify/Container_T.cpp:

          Re-ordered includes to prevent compile errors. This shoudl
          prevent compilel errors in static_core build.

Thu Nov 27 18:07:15 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tao/ORB_Core.cpp (root_poa):

          Added a double-checked-locking in the implementation of
          root_poa. Thanks to Sebastien Lalonde for pointing this
          out. Looks like the intial authors thought that users wouldn't
          call resolve_initial_references () from multiple threads.

Thu Nov 27 17:41:21 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * orbsvcs/ImplRepo_Service/implrepo.dsp:
        * orbsvcs/ImplRepo_Service/tao_imr.dsp:
        * orbsvcs/tests/Notify/Basic/AdminProperties.dsp:
        * orbsvcs/tests/Notify/Basic/Filter.dsp:
        * orbsvcs/tests/Notify/Basic/MultiTypes.dsp:
        * orbsvcs/tests/Notify/Basic/Updates.dsp:
        * orbsvcs/tests/Notify/Blocking/Structured_Consumer.dsp:
        * orbsvcs/tests/Notify/Blocking/Structured_Supplier.dsp:
        * orbsvcs/tests/Notify/Discarding/Sequence_Consumer.dsp:
        * orbsvcs/tests/Notify/Discarding/Sequence_Supplier.dsp:
        * orbsvcs/tests/Notify/Discarding/Structured_Consumer.dsp:
        * orbsvcs/tests/Notify/Discarding/Structured_Supplier.dsp:
        * orbsvcs/tests/Notify/Driver/Driver.dsp:
        * orbsvcs/tests/Notify/MT_Dispatching/Structured_Consumer.dsp:
        * orbsvcs/tests/Notify/MT_Dispatching/Structured_Supplier.dsp:
        * orbsvcs/tests/Notify/Ordering/Sequence_Consumer.dsp:
        * orbsvcs/tests/Notify/Ordering/Sequence_Supplier.dsp:
        * orbsvcs/tests/Notify/Ordering/Structured_Consumer.dsp:
        * orbsvcs/tests/Notify/Ordering/Structured_Supplier.dsp:
        * orbsvcs/tests/Notify/RT_lib/TAO_RT_NotifyTests.dsp:
        * orbsvcs/tests/Notify/Sequence_Multi_ETCL_Filter/Sequence_Consumer.dsp:
        * orbsvcs/tests/Notify/Sequence_Multi_ETCL_Filter/Sequence_Supplier.dsp:
        * orbsvcs/tests/Notify/Sequence_Multi_Filter/Sequence_Consumer.dsp:
        * orbsvcs/tests/Notify/Sequence_Multi_Filter/Sequence_Supplier.dsp:
        * orbsvcs/tests/Notify/Structured_Filter/Structured_Filter_Consumer.dsp:
        * orbsvcs/tests/Notify/Structured_Filter/Structured_Filter_Supplier.dsp:
        * orbsvcs/tests/Notify/Structured_Multi_Filter/Structured_Multi_Filter_Consumer.dsp:
        * orbsvcs/tests/Notify/Structured_Multi_Filter/Structured_Multi_Filter_Supplier.dsp:
        * orbsvcs/tests/Notify/lib/TAO_NotifyTests.dsp:
        * orbsvcs/tests/Notify/performance-tests/Filter/Sequence_Consumer.dsp:
        * orbsvcs/tests/Notify/performance-tests/Filter/Sequence_Supplier.dsp:
        * orbsvcs/tests/Notify/performance-tests/Filter/Structured_Consumer.dsp:
        * orbsvcs/tests/Notify/performance-tests/Filter/Structured_Supplier.dsp:
        * orbsvcs/tests/Notify/performance-tests/RedGreen/RedGreen.dsp:
        * orbsvcs/tests/Sched_Conf/Sched_Conf.dsp:
        * orbsvcs/tests/Sched_Conf/Sched_Conf_Anomalies.dsp:
        * orbsvcs/tests/Sched_Conf/Sched_Conf_Runtime.cpp
        * orbsvcs/tests/Sched_Conf/Sched_Conf_Runtime.dsp:
        * orbsvcs/tests/Security/Big_Request/client.cpp
        * orbsvcs/tests/Security/Big_Request/server.cpp
        * orbsvcs/tests/Security/Crash_Test/Crash_Test_Client.dsp:
        * orbsvcs/tests/Security/Crash_Test/Crash_Test_Server.dsp:
        * orbsvcs/tests/Security/Crash_Test/client.cpp
        * orbsvcs/tests/Security/Crash_Test/server.cpp
        * orbsvcs/tests/Security/MT_SSLIOP/client.dsp:
        * orbsvcs/tests/Security/MT_SSLIOP/server.dsp:

          Another set of fixes for the dsp files.

        * orbsvcs/tests/Security/MT_SSLIOP/test_i.cpp:
        * orbsvcs/tests/Security/SecurityLevel1/SLevel1_Test_i.cpp:
        * orbsvcs/tests/Security/SecurityLevel1/server.cpp:

          Additional includes needed to get it compiling on Win32.

Thu Nov 27 16:12:32 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * orbsvcs/ImplRepo_Service/implrepo.dsp:
        * orbsvcs/ImplRepo_Service/tao_imr.dsp:
        * orbsvcs/tests/Notify/Basic/AdminProperties.dsp:
        * orbsvcs/tests/Notify/Basic/ConnectDisconnect.dsp:
        * orbsvcs/tests/Notify/Basic/Events.dsp:
        * orbsvcs/tests/Notify/Basic/Filter.dsp:
        * orbsvcs/tests/Notify/Basic/IdAssignment.dsp:
        * orbsvcs/tests/Notify/Basic/LifeCycle.dsp:
        * orbsvcs/tests/Notify/Basic/MultiTypes.dsp:
        * orbsvcs/tests/Notify/Basic/Sequence.dsp:
        * orbsvcs/tests/Notify/Basic/Simple.dsp:
        * orbsvcs/tests/Notify/Basic/Updates.dsp:
        * orbsvcs/tests/Notify/Blocking/Structured_Consumer.dsp:
        * orbsvcs/tests/Notify/Blocking/Structured_Supplier.dsp:
        * orbsvcs/tests/Notify/Destroy/Notify_Test_Destroy.dsp:
        * orbsvcs/tests/Notify/Discarding/Sequence_Consumer.dsp:

          Some more fixes.

Thu Nov 27 13:10:48 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * orbsvcs/ImplRepo_Service/implrepo.dsp:
        * orbsvcs/ImplRepo_Service/tao_imr.dsp:
        * orbsvcs/tests/FaultTolerance/GroupRef_Manipulation/client.dsp:
        * orbsvcs/tests/FaultTolerance/GroupRef_Manipulation/server.dsp:
        * orbsvcs/tests/FaultTolerance/IOGR/Manager.dsp:
        * orbsvcs/tests/FaultTolerance/IOGR/server.dsp:
        * orbsvcs/tests/FaultTolerance/IOGRManipulation/IOGRTest.dsp:
        * orbsvcs/tests/ImplRepo/airplane_client.dsp:
        * orbsvcs/tests/ImplRepo/airplane_server.dsp:
        * orbsvcs/tests/ImplRepo/nestea_client.dsp:
        * orbsvcs/tests/ImplRepo/nestea_server.dsp:

          Another set of dsp fixes. If these get reset again by someone,
          I may have to use the lead pipe that I have stacked in the
          corner of my room and pay a visit to those friends :-)!

          BTW, there are a lot more remaining.

Thu Nov 27 12:35:22 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * orbsvcs/tests/Concurrency/CC_client.dsp:
        * orbsvcs/tests/EC_Mcast/EC_Mcast.dsp:
        * orbsvcs/tests/EC_Multiple/EC_Multiple.dsp:
        * orbsvcs/tests/EC_Throughput/ECT_Consumer.dsp:
        * orbsvcs/tests/EC_Throughput/ECT_Supplier.dsp:
        * orbsvcs/tests/EC_Throughput/ECT_Throughput.dsp:
        * orbsvcs/tests/Event/Performance/Connect.dsp:
        * orbsvcs/tests/Event/Performance/Latency.dsp:
        * orbsvcs/tests/Event/Performance/Latency_Server.dsp:

          Not sure how the list of libraries and paths got whacked
          out. Reset all of them. Let us see how the builds go.

Thu Nov 27 17:52:13 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/tests/FaultTolerance/GroupRef_Manipulation/client.bor:
          Added FT_ORBUtils

        * orbsvcs/tests/IOR_MCast/server.bor:
        * orbsvcs/tests/Property/client.bor:
        * orbsvcs/tests/Property/server.bor:
        * orbsvcs/tests/Time/client.bor:
        * orbsvcs/tests/Redundant_Naming/makefile.bor:
        * orbsvcs/tests/Simple_Naming/makefile.bor:
        * orbsvcs/tests/Concurrency/CC_client.bor:
          Added Messaging library

Thu Nov 27 10:55:48 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * examples/Kokyu_dsrt_schedulers/Kokyu_DSRT_Schedulers.dsp:
        * orbsvcs/examples/Security/Send_File/server.cpp
        * orbsvcs/performance-tests/RTEvent/Federated_Roundtrip/client.dsp:
        * orbsvcs/performance-tests/RTEvent/Federated_Roundtrip/server.dsp:
        * orbsvcs/performance-tests/RTEvent/Roundtrip/client.dsp:
        * orbsvcs/performance-tests/RTEvent/Roundtrip/server.dsp:
        * orbsvcs/performance-tests/RTEvent/lib/TAO_RTEC_Perf.dsp:
        * orbsvcs/tests/Bug_1334_Regression/Bug_1334_client.dsp:
        * orbsvcs/tests/Bug_1334_Regression/client.cpp:
        * tests/ICMG_Any_Bug/client.dsp:
        * tests/ICMG_Any_Bug/server.dsp:
        * tests/Nested_Upcall_Crash/client.dsp:
        * tests/Nested_Upcall_Crash/scavenger.dsp:
        * tests/Nested_Upcall_Crash/server.dsp:
        * tests/Portable_Interceptors/IORInterceptor/server.dsp:

          Fixed linking errors in Win32 builds.

Thu Nov 27 16:22:51 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/RTScheduling/MIF_Scheduler/MIF_Scheduler_Starter.bor:
        * examples/RTScheduling/MIF_Scheduler/MIF_Scheduler_Test.bor:
          Added Messaging library

        * performance-tests/Latency/DII/client.bor:
          Added ValueType lib

        * performance-tests/Latency/Deferred/client.bor:
          Added Messaging and PortableServer library

Thu Nov 27 16:03:01 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/FTEC_Event_Channel_Impl.cpp:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/FT_ProxyAdmin_T.cpp:
          Added missing const qualifiers to fix errors in the SunForte 8 build

Thu Nov 27 15:44:12 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO_IDL/be/be_tmplinst.cpp:
          Added fix for compilation on AIX. Thanks to Chris Sontag
          <sontag@stsci.edu> for reporting this and testing this fix.

Thu Nov 27 08:55:48 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tests/AMI/client.cpp:
        * tests/AMI/simple_client.cpp:

          Fixed compile errors with g++.

Thu Nov 27 10:51:00 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * tao/RTPortableServer/Makefile:
          Moved -lTAO -lACE to after the other libs in ACE_SHLIBS.

Wed Nov 26 21:54:59 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_visitor_traits.cpp (visit_array):

          Added missing code to mark node as visited to prevent
          repeated code generation, for example if the array is
          typedef'd, we want to prevent the underlying type from
          generating the same code when it is visited again.

Wed Nov 26 19:15:11 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * orbsvcs/orbsvcs/Fault_Tolerance.dsp:

          Added missing libraries for linking.

Wed Nov 26 17:26:24 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * tests/AMI/ami_test.idl:
        * tests/AMI/ami_test_i.cpp:
        * tests/AMI/ami_test_i.h:

          Added an operation to the IDL file, and to the implementation
          class, that contains an INOUT parameter. No call is made to
          this operation by the client, it is there to catch a
          possible recurrence of a bug recently fixed, in which
          incorrect code was generated for INOUT args in sendc-*
          operations.

Wed Nov 26 16:29:13 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_visitor_interface/interface_cs.cpp:

          Cosmetic changes.

        * TAO_IDL/be/be_visitor_traits.cpp:
        * TAO_IDL/be/be_visitor_array/array_ci.cpp:
        * TAO_IDL/be_include/be_visitor_traits.h:

          Added code generation for a declaration of the TAO::Array_Traits
          template specialization implemented in the *C.i file. This
          is apparently required by BCB6 when inlining is turned off,
          since the memory management methods in the traits class are
          needed by the *S.cpp file, and *C.i is not included in *C.h.
          Thanks to Johnny Willemsen <jwillemsen@remedy.nl> for
          reporting the problem.

Wed Nov 26 14:15:20 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_visitor_operation/ami_cs.cpp:
        * TAO_IDL/be/be_visitor_operation/operation.cpp:

          Fixed code generation for AMI operations with INOUT parameters.
          Thanks to Cyrille ChÃ©pÃ©lov <cyrille@softek.fr> for
          reporting the problem.

Wed Nov 26 18:09:12 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * docs/tutorials/Quoter/Simple/Client/Quoter_Simple_Client.mpc:
        * docs/tutorials/Quoter/Simple/Impl-Repo/Quoter_Simple_Impl_Repo.mpc:
        * docs/tutorials/Quoter/Simple/ImprovedServer/Quoter_Simple_ImprovedServer.mpc:
        * docs/tutorials/Quoter/Simple/Persistent/Quoter_Simple_Persistent.mpc:
        * docs/tutorials/Quoter/Simple/Server/Quoter_Simple_Server.mpc:
          It should be libs instead of lib, stupid typo made which I now correct

Wed Nov 26 12:04:11 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * examples/Content_Server/SMI_Iterator/Makefile:
        * examples/Logging/Makefile:
        * examples/ior_corbaloc/Makefile:

          Do not build them if CosNaming is not built.

Wed Nov 26 11:48:25 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * orbsvcs/Scheduling_Service/Makefile:
        * orbsvcs/Dump_Schedule/Makefile:

          Check for RTSched instead of Sched before going ahead to build.

        * orbsvcs/tests/ImplRepo/NameService/Makefile:
        * orbsvcs/tests/Notify/Blocking/Makefile:
        * orbsvcs/tests/Notify/Discarding/Makefile:
        * orbsvcs/tests/Notify/MT_Dispatching/Makefile
        * orbsvcs/tests/Notify/Ordering/Makefile:
        * orbsvcs/tests/Notify/Sequence_Multi_Filter/Makefile:
        * orbsvcs/tests/Notify/Structured_Filter/Makefile:
        * orbsvcs/tests/Notify/Structured_Multi_Filter/Makefile:
        * orbsvcs/tests/Sched/Makefile:
        * orbsvcs/tests/ior_corbaname/Makefile:

          Do not build any of them if their service level libraries are
          not buit For example, if Notify is not built do not build any of
          the executables in the above tests.

Wed Nov 26 17:46:33 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/FT_ORB.bor:
          Removed this file from the archive, it has been replaced by the three
          new BCB makefiles below.

        * orbsvcs/orbsvcs/FT_ClientORB.bor:
        * orbsvcs/orbsvcs/FT_ServerORB.bor:
        * orbsvcs/orbsvcs/FTORB_Utils.bor:
          Added new BCB makefiles for FT

        * orbsvcs/orbsvcs/Makefile.bor:
          Updated this makefile with the changes above

        * orbsvcs/tests/FaultTolerance/GroupRef_Manipulation/client.bor:
        * orbsvcs/tests/FaultTolerance/GroupRef_Manipulation/server.bor:
        * orbsvcs/tests/FaultTolerance/IOGR/Manager.bor:
        * orbsvcs/tests/FaultTolerance/IOGRManipulation/Makefile.bor:
          Updated these makefiles because of the changes above

Wed Nov 26 11:00:03 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * performance-tests/RtCorba/Multiple_Endpoints/Single_Endpoint/Makefile:
          Reordered the libraries to get it linking. Static linking needs
          proper ordering of libraries.

Wed Nov 26 10:20:51 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tests/Servant_To_Reference_Test/server.cpp:

          Fixed a warning in g++ builds.

Wed Nov 26 15:20:12 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAOACE.dsw:
          Messaging needs PortableServer so added dependency

Wed Nov 26 14:32:33 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * docs/tutorials/Quoter/Simple/Client/Quoter_Simple_Client.mpc:
        * docs/tutorials/Quoter/Simple/Impl-Repo/Quoter_Simple_Impl_Repo.mpc:
        * docs/tutorials/Quoter/Simple/ImprovedServer/Quoter_Simple_ImprovedServer.mpc:
        * docs/tutorials/Quoter/Simple/Persistent/Quoter_Simple_Persistent.mpc:
        * docs/tutorials/Quoter/Simple/Server/Quoter_Simple_Server.mpc:
          Add missing lib to fix link errors in our SunForte 8 build.

Wed Nov 26 14:21:11 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/Event_Comm/Event_Comm_i.cpp:
          If ACE_HAS_REGEX is defined include ace/OS_NS_regex.h to fix compile
          errors in Solaris Forte8 build.

Wed Nov 26 14:13:22 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/FtRtEvent/Utils/activate_with_id.h:
          Added missing const qualifier

Wed Nov 26 14:05:12 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/Naming_Service/Naming_Service.bor:
        * orbsvcs/Naming_Service/NT_Naming_Service.bor:
        * orbsvcs/Time_Service/Time_Service_Clerk.bor:
        * orbsvcs/Time_Service/Time_Service_Server.bor:
        * include/makeinclude/build_example.bor:
        * examples/Quoter/Factory_finder.bor:
        * examples/Quoter/Generic_factory.bor:
        * examples/Quoter/Server.bor:
        * examples/RTScheduling/Fixed_Priority_Scheduler/Fixed_Priority_Scheduler_Starter.bor:
        * examples/RTScheduling/Fixed_Priority_Scheduler/Fixed_Priority_Scheduler_Test.bor:
        * tests/InterOp-Naming/server.bor:
          Add Messaging library to fix link errors in BCB6 Static Build.

Wed Nov 26 10:47:12 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/PSS/PSDL_Scope.cpp:
          Removed generation of include of non-existent files

Tue Nov 25 21:17:58 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_sunsoft.cpp:

          Changed code generation for the literal on the rhs of an
          unsigned long long constant to be more portable, using
          ACE_UINT64_LITERAL instead of a letter suffix. Thanks to
          Malcolm McRoberts <mmcroberts@ideorlando.org> for the
          suggestion.

Tue Nov 25 20:11:28 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * orbsvcs/orbsvcs/Makefile.CosEvent:
        * orbsvcs/orbsvcs/Makefile.CosLoadBalancing:
        * orbsvcs/orbsvcs/Makefile.CosNotification:
        * orbsvcs/orbsvcs/Makefile.RT_Notification:
        * orbsvcs/orbsvcs/Makefile.SSLIOP:
        * orbsvcs/orbsvcs/Makefile.Security:
        * orbsvcs/orbsvcs/Makefile.av:

          Updated dependencies just for the above files.

Tue Nov 25 20:01:39 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * orbsvcs/orbsvcs/Makefile:

          Lots of libraries depend on CosNaming. CosNaming depends on
          corba_messaging. This means that most of the orbsvcs cannot be
          built without corba_messaging.

Tue Nov 25 18:17:55 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * examples/Simulator/Event_Supplier/Makefile:

          Do not build this in parallel This seems to create lots of
          problems.

2003-11-25  Douglas C. Schmidt  <schmidt@deuce.doc.wustl.edu>

        * utils/wxNamingViewer/wxBindNewContext.cpp: Updated this file to
          fix the following problems:

          - wxBindNewContext.cpp:110, add a # in front of endif

          - wxBindNewContext.cpp: 113 - 119, remove duplicate definition of
            WxBindNewContext constructor.

          Thanks to Charles Frasch for reporting this!

Tue Nov 25 16:21:59 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tests/Servant_To_Reference_Test/server.cpp (svc):

          Reduced the number of iterations so that they have any chance of
          completing on slower machines.

        * tests/Servant_To_Reference_Test/run_test.pl:

          Scripts for daily builds

Tue Nov 25 15:52:03 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tao/PortableServer/POA.cpp:
        * tao/PortableServer/POA.h:
        * tao/PortableServer/POA.i:

          Calling servant_to_reference () from multiple threads from an
          application could lead to race conditions. This checkin prevents
          this race condition by adding a lock. We have also added a
          method servant_to_reference_i () which does the bulk of the
          work. Thanks to Milan Cvetkovic <mcvetkovic@mpathix.com> for
          proposing this fix.

        * tests/Servant_To_Reference_Test:

          A new test to check for race conditions.

        * tests/Makefile:

          Added Servant_To_Reference_Test into the daily builds.

Tue Nov 25 14:03:48 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * orbsvcs/orbsvcs/CosNaming.mpc:

          Added naming_export.h to the project creator.

Tue Nov 25 13:51:02 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_decl.cpp (compute_full_name):
        * TAO_IDL/be/be_visitor_interface/amh_si.cpp (gen_skel_helper):

          Fixed long-standing problems with code that was hanging on
          to memory owned by ACE_CStrings. These problems show themselves
          only intermittently, which is why they weren't fixed long ago.
          Thanks to Malcolm McRoberts <mmcroberts@ideorlando.org> for
          reporting the problem and providing helpful feedback, since it
          was so hard to reproduce.

Tue Nov 25 09:56:58 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tests/DLL_ORB/Makefile.Test_Client_Module:

          No need to compile and link in the skeleton files into the
          library. This is counter productive since the skeleton files
          bring in some symbols that are not completly resolved during
          loading time.

          This is just part of the problem that prevents the test from
          running in the daily builds.

Tue Nov 25 09:15:19 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tests/Xt_Stopwatch/Makefile:
        * tests/Xt_Stopwatch/Xt_Stopwatch.mpc:

          Do not build if xt_reactor is set to zero.

Tue Nov 25 14:13:24 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * examples/Kokyu_dsrt_schedulers/FP_SchedulingC.cpp:
        * examples/Kokyu_dsrt_schedulers/FP_SchedulingC.h:
        * examples/Kokyu_dsrt_schedulers/FP_SchedulingC.i:
        * examples/Kokyu_dsrt_schedulers/Kokyu_qosC.cpp:
        * examples/Kokyu_dsrt_schedulers/Kokyu_qosC.h:
        * examples/Kokyu_dsrt_schedulers/Kokyu_qosC.i:
        * examples/Kokyu_dsrt_schedulers/MIF_SchedulingC.cpp:
        * examples/Kokyu_dsrt_schedulers/MIF_SchedulingC.h:
        * examples/Kokyu_dsrt_schedulers/MIF_SchedulingC.i:
        * examples/Kokyu_dsrt_schedulers/MUF_SchedulingC.cpp:
        * examples/Kokyu_dsrt_schedulers/MUF_SchedulingC.h:
        * examples/Kokyu_dsrt_schedulers/MUF_SchedulingC.i:
          Removed these files from repo--they are automatically generated.

Tue Nov 25 07:16:43 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * orbsvcs/Naming_Service/Makefile:

          Fixed a small typo that caused the Makefile not to build any of
          the executables. This should fix the strange errors that were
          caused when Naming_Service wasn't built.

Tue Nov 25 10:55:12 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/tests/Event/Mcast/Two_Way/application.cpp:
          Added #include of ace/os_include/os_netdb.h to get MAXHOSTNAMELEN

Tue Nov 25 08:00:13 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Valuetype/Makefile.bor:
          When doing a install also install the *_T.cpp files. Thanks to
          Cyrille Chepelov <cyrille@softek.fr> for reporting this

Tue Nov 25 05:25:58 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * orbsvcs/orbsvcs/Makefile:
          Added missing dependency target for CosNaming to cause Svc_Util
          to be built.  This should fix a build error occurring when only
          CosNaming is Specified in TAO_ORBSVCS.  Also, fixed a typo in
          one of the dependency lists and added comments on how it how all
          works.

Mon Nov 24 20:02:44 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * orbsvcs/tests/Trading/ttest_export.h:

          New file containing export macro definitions for Trading_Lib_Test.

        * orbsvcs/tests/Trading/Offer_Exporter.h:
        * orbsvcs/tests/Trading/Offer_Importer.h:
        * orbsvcs/tests/Trading/Service_Type_Exporter.h:
        * orbsvcs/tests/Trading/TT_Info.h:

          Added include of the new export header file above.

        * orbsvcs/tests/Trading/Trading.mpc:

          Updated to generate and use the export macro.

Mon Nov 24 20:05:33 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * examples/Kokyu_dsrt_schedulers/Makefile.Kokyu_DSRT_Schedulers:

          Provided the path to the included header files.

Mon Nov 24 19:57:53 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * orbsvcs/orbsvcs/Makefile:

          The last fix was bogus. Added a new target 'all'. Thanks to Don
          for pointing it out.

Mon Nov 24 17:57:03 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * orbsvcs/examples/Notify/Lanes/Makefile:
        * orbsvcs/examples/Notify/Lanes/Notify_Lanes.mpc:
        * orbsvcs/examples/Notify/ThreadPool/Makefile:
        * orbsvcs/orbsvcs/FaultTolerance/fault_tol_export.h:
        * orbsvcs/tests/Notify/RT_lib/Makefile:

          These tests don't build in a minimum_corba build.

Mon Nov 24 15:24:44 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * orbsvcs/IFR_Service/IFR_Service.dsp:
        * orbsvcs/orbsvcs/Security.dsp:

          Set the RTTI options on for these project files.

Mon Nov 24 14:31:45 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * orbsvcs/orbsvcs/FTORB_Utils.dsp:
        * orbsvcs/orbsvcs/FT_ClientORB.dsp:
        * orbsvcs/orbsvcs/FT_ServerORB.dsp:

          Fixed output directory settings.

Mon Nov 24 14:27:19 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * orbsvcs/tests/Security/Secure_invocation/Makefile:

          Added the required libraries for linking withou any problems.

Mon Nov 24 12:33:49 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * orbsvcs/orbsvcs/Makefile:

          Add ORBSVCS_COMPONENTS to he standard_targets. This will force
          the make to spit the file with the components that were built.

Mon Nov 24 17:29:30 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * rules.tao.GNU:
          Uncommented out the dependency on $(TAO_IDL_DEP) for the %C.h
          target, and instead added a $(TAO_IDL_DEP) target to
          $(ACE_ROOT)/include/makeinclude/rules.local.GNU that emits an
          error if the $(TAO_IDL_DEP) doesn't exist.  Thanks to Carlos for
          motivating this and suggesting the use of /bin/false to force
          make to see the error.

Mon Nov 24 11:31:55 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * orbsvcs/orbsvcs/Makefile:
          Reorganized in order to support parallel builds by removing
          .NOTPARALLEL target and code that called this Makefile
          recursively.  Instead, I've added a pattern target that invokes
          the submakefiles in parallel, and a set of targets to handle the
          inter-library dependencies.

        * orbsvcs/orbsvcs/Makefile.IFRService:
        * orbsvcs/orbsvcs/Makefile.RTKokyuEvent:
        * orbsvcs/orbsvcs/Makefile.RT_Notification:
          Reordered library lists.

Sun Nov 23 23:22:14 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * orbsvcs/tests/EC_Mcast/EC_Mcast.cpp:

          Modified the test to use the CRC check.

Sun Nov 23 23:16:48 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * orbsvcs/orbsvcs/Event/ECG_CDR_Message_Receiver.cpp:

          In  TAO_ECG_CDR_Message_Receiver::handle_input (), use the
          modified iov.iov_len before calculating the CRC. Thanks to
          Keith Nicewarner for providing this patch.

Sun Nov 23 22:53:58 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tao/RTCORBA/RTCORBA_includeC.h:

          Removed the inclusion of the inlined files since they are are
          not required. Thanks to Don for catching the problem.

Mon Nov 24 02:38:58 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * rules.tao.GNU:
          Removed $(IDL_EXT) from SUFFIXES, and set SUFFIXES to null,
          which turns off all the implicit rules--we only want our
          explicit rules to fire.  Added the IDL generated files to
          .PRECIOUS:, since this seems to be done all over in individual
          Makefiles.  This means that these files won't be deleted if make
          is interrupted--but since they are cheap, maybe they should be.
          Commented out the $(TAO_IDL_DEP) dependency from rule that
          invokes the tao_idl compiler.  If the compiler either hasn't
          been built or can't be found, this dependency produces a cryptic
          errors like: "no rule to build xC.h needed by xC.cpp," instead
          of the more useful, "tao_idl not found."

        * examples/Simple/time-date/Makefile:
          Removed $(SHLIB) from the dependency list for the server
          target.  It isn't needed and wouldn't work like this anyway, if
          you want a library, add it to LDLIBS.  Removed the empty BIN:
          target.

        * examples/Simulator/Event_Supplier/Makefile:
          Changed IDL_FILES from NavWeap to ../NavWeap so it could be
          found, and removed unneeded IDL variables.  Removed include
          rules.bin.GNU since we aren't define our own targets, as well as
          the realclean and .NOTPARALLEL targets (parallelism works now),
          and the NavWeapC.h: target that invoke the tao_idl compiler.  Also,
          added link lines to each of the targets since the BIN rule no
          longer adds all the dependencies as objects via the $^
          variable--which is what made it impossible to have BIN targets
          depend on LIB or IDL targets and broke parallelism.  BIN no
          longer does that, see the ACE ChangeLog entry with the same tag
          for an explaination.

        * orbsvcs/tests/Trading/Makefile:
          Added -lTTest to LDLIBS and removed the BIN target dependencies
          that are no longer needed.

        * tests/Object_Loader/Makefile:
          Added -lTest_DLL to LDLIBS.

        * examples/Kokyu_dsrt_schedulers/FP_SchedulingC.h:
        * examples/Kokyu_dsrt_schedulers/Kokyu_qosC.h:
        * examples/Kokyu_dsrt_schedulers/MIF_SchedulingC.h:
        * examples/Kokyu_dsrt_schedulers/MUF_SchedulingC.h:
          Changed the directory seperator from '\' to '/' so non-Windows
          platforms will be happy.

Sun Nov 23 21:52:19 2003  Huang-Ming Huang  <hh1@cse.wustl.edu>

        * orbsvcs/orbsvcs/FtRtecEventComm.idl:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/FTEC_Event_Channel.cpp:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/FTEC_Event_Channel_Impl.cpp:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/FTEC_Event_Channel_Impl.h:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/FTEC_ProxyConsumer.cpp:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/FTEC_ProxyConsumer.h:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/FTEC_ProxySupplier.cpp:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/FTEC_ProxySupplier.h:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/FT_ProxyAdmin_Base.cpp:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/FT_ProxyAdmin_Base.h:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/FT_ProxyAdmin_T.cpp:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/Identification_Service.cpp:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/Identification_Service.h:
        * orbsvcs/orbsvcs/FtRtEvent/Utils/FTEC_Gateway.cpp:
        * orbsvcs/orbsvcs/FtRtEvent/Utils/activate_with_id.h:

        Changed FtRtecEventComm::ObjectId from a typedef to CORBA::ObjectSeq
        to sequence<octet>. Most references to PortableServer::ObjectId use
        FtRtecEventComm::ObjectId instead.

Sun Nov 23 21:28:48 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAOACE.dsw:

          Added project dependencies that had gone missing.

        * orbsvcs/orbsvcs/FTORB_Utils.dsp:
        * orbsvcs/orbsvcs/FT_ClientORB.dsp:
        * orbsvcs/orbsvcs/FT_ServerORB.dsp:

          Fixed link lib paths and build output directories.

        * orbsvcs/orbsvcs/SSLIOP.dsp:

          Turned on RTTI.

Sun Nov 23 20:43:52 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Connection_Handler.cpp:
        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Connector.cpp:

          #included "ace/os_include/os_netdb.h" to pacify Win32 VC6
          builds.

Sun Nov 23 20:09:53 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * tao/RTCORBA/RTCORBA_include.pidl:
        * tao/RTCORBA/RTCORBA_includeC.h:

          New files, a .pidl which only includes RTCORBA.pidl, and the
          stub header file generated from it, hand-crafted to include
          RTCORBA.h instead of RTCORBAC.h. This pair of files allows
          applications to include RTCORBA.pidl in their IDL files by
          including RTCORBA_include.pidl instead and let the IDL compiler
          automatically include  RTCORBA_includeC.h in the associated
          generated file, thus avoiding the error of including RTCORBAC.h
          directly.

        * tao/RTCORBA/RTCORBA.mpc:

          Added RTCORBA_includeC.h to the header file list.

        * examples/Kokyu_dsrt_schedulers/FP_Scheduling.idl:
        * examples/Kokyu_dsrt_schedulers/Kokyu_qos.idl:
        * examples/Kokyu_dsrt_schedulers/MIF_Scheduling.idl:
        * examples/Kokyu_dsrt_schedulers/MUF_Scheduling.idl:

          Replaced include of RTCORBA.pidl in these files with
          RTCORBA_include.pidl.

        * examples/Kokyu_dsrt_schedulers/Kokyu_DSRT_Schedulers.mpc:

          Reverted change to idlflags in

          Sat Nov 22 17:20:13 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

          since changes above now make it unnecessary.

Sun Nov 23 17:48:09 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_decl.cpp (compute_full_name):

          Added a copy operation to the char* return value since it
          is owned by a locally created ACE_CString. Even though
          this copy operation is necessary, its omission does not always
          show up as a problem. Thanks to Malcolm McRoberts
          <mmcroberts@ideorlando.org> for pointing out a case and a
          platform where it does.

Sun Nov 23 14:31:46 UTC 2003  Johnny Willemsen  <jwillemsen@remedy.nl>

        * docs/tutorials/Quoter/Simple/Client/Quoter_Simple_Client.mpc:
        * docs/tutorials/Quoter/Simple/Impl-Repo/Quoter_Simple_Impl_Repo.mpc:
        * docs/tutorials/Quoter/Simple/ImprovedServer/Quoter_Simple_ImprovedServer.mpc:
        * docs/tutorials/Quoter/Simple/Persistent/Quoter_Simple_Persistent.mpc:
        * docs/tutorials/Quoter/Simple/Server/Quoter_Simple_Server.mpc:
        * docs/tutorials/Quoter/idl/Quoter_idl.mpc:
        * docs/tutorials/Quoter/AMI/Quoter_AMI.mpc:
        * docs/tutorials/Quoter/Event_Service/Quoter_Event_Service.mpc:
        * docs/tutorials/Quoter/Naming_Service/Quoter_Naming_Service.mpc:
        * docs/tutorials/Quoter/On_Demand_Activation/Quoter_On_Demand_Activation.mpc:
          Updated these MPC files, exceptions are needed for all at this moment and
          the Quoter_idl file must be build before the Simple ones.

Sun Nov 23 08:20:44 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tao/OctetSeq.pidl:
        * tao/OctetSeqC.h:
        * tao/OctetSeqC.i:

          Thanks to Johnny for reporting a small problem with generated
          code that caused the Borland builds to freak out.

Sat Nov 22 20:44:19 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * examples/Simple/grid/Makefile:

          Added TAO_Messaging to the link line.

Sat Nov 22 20:39:59 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tests/ORT/ORT.mpc:

          Changed teh project name in the above file so that they don't
          clash with projects in orbsvcs/examples.

Sat Nov 22 20:35:45 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * examples/Kokyu_dsrt_schedulers/Kokyu_DSRT_Schedulers.mpc:

          Fixed a typo in the mpc file.

Sat Nov 22 17:20:13 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * examples/Advanced/ch_12/client.cpp:
        * examples/Advanced/ch_12/icp.cpp:
        * examples/Advanced/ch_12/server.cpp:
        * examples/Advanced/ch_12/server.h:
        * examples/Advanced/ch_18/client.cpp:
        * examples/Advanced/ch_18/icp.cpp:
        * examples/Advanced/ch_18/server.cpp:
        * examples/Advanced/ch_18/server.h:
        * examples/Advanced/ch_21/client.cpp:
        * examples/Advanced/ch_21/icp.cpp:
        * examples/Advanced/ch_21/server.cpp:
        * examples/Advanced/ch_21/server.h:
        * examples/Advanced/ch_3/client.cpp:
        * examples/Advanced/ch_3/server.cpp:
        * examples/Advanced/ch_8_and_10/client.cpp:
        * examples/Advanced/ch_8_and_10/icp.cpp:
        * examples/Advanced/ch_8_and_10/server.h:

          Added missing #includes, also added 'u' to some
          integer literals used as sequence indices.

        * examples/Kokyu_dsrt_schedulers/FP_SchedulingC.cpp:
        * examples/Kokyu_dsrt_schedulers/FP_SchedulingC.h:
        * examples/Kokyu_dsrt_schedulers/FP_SchedulingC.i:
        * examples/Kokyu_dsrt_schedulers/Kokyu_qosC.cpp:
        * examples/Kokyu_dsrt_schedulers/Kokyu_qosC.h:
        * examples/Kokyu_dsrt_schedulers/Kokyu_qosC.i:
        * examples/Kokyu_dsrt_schedulers/MIF_SchedulingC.cpp:
        * examples/Kokyu_dsrt_schedulers/MIF_SchedulingC.h:
        * examples/Kokyu_dsrt_schedulers/MIF_SchedulingC.i:
        * examples/Kokyu_dsrt_schedulers/MUF_SchedulingC.cpp:
        * examples/Kokyu_dsrt_schedulers/MUF_SchedulingC.h:
        * examples/Kokyu_dsrt_schedulers/MUF_SchedulingC.i:
        * examples/Kokyu_dsrt_schedulers/utils.h:
        * examples/Kokyu_dsrt_schedulers/Kokyu_DSRT_Schedulers.mpc:

          Modified MPC file and added #includes of RTCORBA.h to
          allow the project to build automatically, without
          needing a separate step for code generation.

        * examples/Kokyu_dsrt_schedulers/FP_Scheduling.idl:
        * examples/Kokyu_dsrt_schedulers/Kokyu_qos.idl:
        * examples/Kokyu_dsrt_schedulers/MIF_Scheduling.idl:
        * examples/Kokyu_dsrt_schedulers/MUF_Scheduling.idl:

          New files renamed from the ones below.

        * examples/Kokyu_dsrt_schedulers/FP_Scheduling.pidl:
        * examples/Kokyu_dsrt_schedulers/Kokyu_qos.pidl:
        * examples/Kokyu_dsrt_schedulers/MIF_Scheduling.pidl:
        * examples/Kokyu_dsrt_schedulers/MUF_Scheduling.pidl:

          Removed files, renamed to the ones above.

Sat Nov 22 11:32:30 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * tests/Bug_1330_Regression/server.cpp:
        * tests/Bug_1627_Regression/server.cpp:
        * tests/Bug_1635_Regression/client.cpp:
        * tests/Bug_1636_Regression/client.cpp:
        * tests/Bug_1639_Regression/struct_client.cpp:
        * tests/ICMG_Any_Bug/HelloWorld.h:
        * tests/IORManipulation/IORTest.cpp:
        * tests/Portable_Interceptors/Bug_1559/server.cpp:
        * tests/Portable_Interceptors/Collocated/Dynamic/Echo_Collocated_ORBInitializer.cpp:
        * tests/Portable_Interceptors/Collocated/Dynamic/interceptors.cpp:
        * tests/RTCORBA/Diffserv/Custom_Network_Priority_Mapping.cpp:
        * tests/RTCORBA/Diffserv/Custom_Network_Priority_Mapping.h:
        * tests/RTCORBA/Diffserv/server.cpp:

          Added missing #includes and removed #includes of corba.h
          and corbafwd.h.

        * tests/Smart_Proxies/Collocation/Smart_Proxies_Collocation.mpc:

          Made the IDL command line options of stub and skeleton
          projects the same (both sets of export macro and include
          directives in both projects) so the 2nd execution of the
          IDL compiler won't change anything in files generated
          from the 1st execution.

Sat Nov 22 10:12:37 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * rules.tao.GNU:

          If messaging is set to zero, set RTCORBA to zero.

        * tests/RTCORBA/Linear_Priority/Makefile:
        * tests/RTCORBA/Persistent_IOR/Makefile:
        * tests/RTCORBA/Policy_Combinations/Makefile:
        * tests/RTCORBA/Priority_Inversion_With_Bands/Makefile:
        * tests/RTCORBA/Profile_And_Endpoint_Selection/Makefile:
        * tests/RTCORBA/Thread_Pool/Makefile:

          Fixed what I broke before. The makefiles also need to ensure
          that RTCORBA is available in addition to minimum_corba being set
          to zero.

Sat Nov 22 08:34:57 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * orbsvcs/examples/CosEC/RtEC_Based/tests/Multiple/Makefile:
        * orbsvcs/examples/Notify/Lanes/Makefile:
        * orbsvcs/examples/Notify/ThreadPool/Makefile:
        * examples/Callback_Quoter/Makefile:
        * examples/Event_Comm/Makefile:
        * examples/Logging/Makefile:
        * examples/Simple/bank/Makefile:
        * examples/Simple/echo/Makefile:
        * examples/Simple/time/Makefile:
        * examples/Simple/time-date/Makefile:
        * performance-tests/POA/Demux/Makefile:

          Fixed the above Makefiles to link in the messaging
          library. Fallout due to the change from Simon.

        * orbsvcs/tests/Notify/RT_lib/RT_Notify_lib.mpc:

          Do not build if minimum_corba is enabled.

Sat Nov 22 07:42:04 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tests/Smart_Proxies/On_Demand/Makefile:

          Fix the static build linking errors. Thanks to Don Hinton for
          the patches.

Fri Nov 21 22:19:39 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tests/Bug_1636_Regression/client.cpp:

          Fixed compilation errors in builds where exceptions are turned
          off.

        * tests/Bug_1639_Regression/Makefile:
        * tests/Bug_1639_Regression/Makefile.Bug_1639_testclient:
        * tests/Bug_1639_Regression/test.mpc:

          Made this test compilable only when exceptions are turned
          on. The right way would be to use ACE_EXCEPTION macros. But
          Simon has to be doing that. Till then, let me  get the builds
          clean.

Fri Nov 21 21:48:27 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * orbsvcs/orbsvcs/AV.mpc:

          Added SCT_SEQ.cpp coditionally in makefiles only when sctp is
          enabled.

        * orbsvcs/orbsvcs/CosEvent/CEC_TypedProxyPushConsumer.cpp:
        * orbsvcs/orbsvcs/ESF/ESF_Shutdown_Proxy.cpp:

          Fixed compile error that showed up in MPC builds. They needed a
          couple of inclusions.

Fri Nov 21 21:05:32 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * orbsvcs/FTRT_Event_Service/Gateway_Service/FTRTEC_Gateway_Service.cpp:
        * orbsvcs/orbsvcs/CosEvent/CEC_TypedProxyPushConsumer.cpp:
        * orbsvcs/orbsvcs/Event/ECG_Mcast_Gateway.cpp:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/Fault_Detector_Loader.cpp:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/Fault_Detector_T.cpp:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/ForwardCtrlServerInterceptor.cpp:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/Replication_Service.cpp:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/Request_Context_Repository.cpp:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/SCTP_Fault_Detector.cpp:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/SCTP_Fault_Detector.h:
        * orbsvcs/orbsvcs/Log/PersistStore.cpp:

          Added missing file includes, and made the RTFT Event Channel build
          work when TAO_HAS_SCIOP is not defined.

        * orbsvcs/orbsvcs/FtRtEvent.mpc:

          Added missing export header file.

        * tao/tao.mpc:

          Added missing file OctetSeqA.cpp.

        * tao/Utils/tao_Utils.mpc:

          Added missing TAO_UTILS_BUILD_DLL preprocessor directive.

Fri Nov 21 20:48:18 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * TAO_IDL/be/be_typedef.cpp:

          Fixed a warning in the daily builds.

Fri Nov 21 14:57:06 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_visitor_interface/amh_si.cpp:
        * TAO_IDL/be_include/be_visitor_interface/amh_si.h:

          New files containing a visitor that generates calls to
          base skeleton methods for base classes in AMH. These
          methods were not getting generated before.

        * TAO_IDL/be/be_interface.cpp:
        * TAO_IDL/be/be_visitor_interface.cpp:
        * TAO_IDL/be/be_visitor_interface/amh_ss.cpp:
        * TAO_IDL/be/be_visitor_interface/interface_si.cpp:
        * TAO_IDL/be_include/be_interface.h:
        * TAO_IDL/be_include/be_visitor_interface.h:
        * TAO_IDL/be_include/be_visitor_interface/amh_sh.h:
        * TAO_IDL/be_include/be_visitor_interface/interface_si.h:

          Changes related to the bug fix above. Thanks to Malcolm
          McRoberts <mmcroberts@ideorlando.org> for pointing out
          the problem. This closes {BUGID:1568]

Fri Nov 21 11:16:50 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * tao/DynamicAny/DynSequence_i.cpp (equal):

          Added check for equal sequence length before doing the
          member-wise comparison. Thanks to David Kinder
          <david.kinder@sophos.com> for reporting the bug. This
          closes [BUGID:1654].

Fri Nov 21 10:31:38 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/ast/ast_decl.cpp:
        * TAO_IDL/be/be_typedef.cpp:
        * TAO_IDL/include/ast_decl.h:

          Fixed error in logic of determining whether a sequence
          is anonymous or typedef'd.

Fri Nov 21 08:55:16 2003 Charlie Frasch  <cfrasch@atdesk.com>

        * utils/wxNamingViewer/Makefile:
        * utils/wxNamingViewer/README:
        * utils/wxNamingViewer/mondrian.xpm:
        * utils/wxNamingViewer/wxAddNameServerDlg.cpp:
        * utils/wxNamingViewer/wxBindDialog.cpp:
        * utils/wxNamingViewer/wxBindDialog.h:
        * utils/wxNamingViewer/wxBindNewContext.cpp:
        * utils/wxNamingViewer/wxNamingObject.cpp:
        * utils/wxNamingViewer/wxNamingTree.cpp:
        * utils/wxNamingViewer/wxNamingViewer.cpp:
        * utils/wxNamingViewer/wxNamingViewerFrame.cpp:
        * utils/wxNamingViewer/wxSelectNSDialog.cpp:
        * utils/wxNamingViewer/wxViewIORDialog.cpp:
          Updated for linux, gcc, latest ACE/TAO and wxWindows 2.4.2. For
          linux, the wxNamingViewer.wxr file is no longer used, and the
          dialog components are created  inline. A future change should
          incorporate wxWindow's new XML-based resource system.

Fri Nov 21 02:57:35 UTC 2003  Don Hinton  <dhinton@dresystems.com>

        * rules.tao.GNU:
          Added IDL_SRC and IDL_OBJ variables.  If you define IDL_SRC in
          your Makefile to be the name of an IDL file (without .idl),
          these variables will automatically contain a list of
          corresponding *.C.h and *S.h, and *C.o and *S.o files
          respectively.  In a related ACE ChangeLog entry with the same
          ChangeLogTag, $(IDL_SRC) was added as a target dependant on the
          IDL_FILES, so if these files are modified, the IDL_SRC will be
          automatically regenerated.  Also, the same ChangeLog entry
          mentioned that $(IDL_SRC) is now alway listed as the first
          dependency in the BUILD variable, so it will alway be generated
          first an no longer constitute a problem for parallel builds.
          Makefiles need do no more than define IDL_FILES and use IDL_SRC
          and IDL_OBJS for this to work.

        * docs/tutorials/Quoter/AMI/Makefile:
        * docs/tutorials/Quoter/Event_Service/Makefile:
        * docs/tutorials/Quoter/On_Demand_Activation/Makefile:
        * docs/tutorials/Quoter/idl/Makefile:
        * examples/AMH/Sink_Server/Makefile:
        * examples/POA/Generic_Servant/Makefile.client:
        * examples/POA/Generic_Servant/Makefile.generic_servant:
        * examples/ior_corbaloc/Makefile:
        * orbsvcs/tests/EC_Custom_Marshal/Makefile:
        * orbsvcs/tests/FaultTolerance/IOGR/Makefile:
        * orbsvcs/tests/IOR_MCast/Makefile:
        * orbsvcs/tests/Notify/Structured_Filter/Makefile:
        * orbsvcs/tests/Notify/Structured_Multi_Filter/Makefile:
        * orbsvcs/tests/ior_corbaname/Makefile:
        * performance-tests/RTCorba/Multiple_Endpoints/Common/Makefile:
        * tests/AMH_Exceptions/Makefile:
        * tests/AMI_Buffering/Makefile:
        * tests/Codec/Makefile:
        * tests/Collocation/Makefile.impl:
        * tests/Collocation/Makefile.stub:
        * tests/Collocation/Makefile.test:
        * tests/DLL_ORB/Makefile.Test_Client_Module:
        * tests/DLL_ORB/Makefile.Test_Server_Module:
        * tests/Portable_Interceptors/Bug_1559/Makefile:
        * tests/Smart_Proxies/On_Demand/Makefile:
          Removed IDL_SRC and adjusted other variables in accordance with
          the above changes.  Also removed the realclean and .PRECIOUS
          targets as they are no longer needed.  These instances of
          IDL_SRC did not include the .cpp extention.  All other instances
          in TAO include the .cpp extention.

        * orbsvcs/Makefile.CosConcurrency:
        * orbsvcs/orbsvcs/Makefile.CosEvent:
        * orbsvcs/orbsvcs/Makefile.CosLifeCycle:
        * orbsvcs/orbsvcs/Makefile.CosLoadBalancing:
        * orbsvcs/orbsvcs/Makefile.CosNaming:
        * orbsvcs/orbsvcs/Makefile.CosNotification:
        * orbsvcs/orbsvcs/Makefile.CosProperty:
        * orbsvcs/orbsvcs/Makefile.CosTime:
        * orbsvcs/orbsvcs/Makefile.CosTrading:
        * orbsvcs/orbsvcs/Makefile.DsEventLogAdmin:
        * orbsvcs/orbsvcs/Makefile.DsLogAdmin:
        * orbsvcs/orbsvcs/Makefile.DsNotifyLogAdmin:
        * orbsvcs/orbsvcs/Makefile.ESF:
        * orbsvcs/orbsvcs/Makefile.ETCL:
        * orbsvcs/orbsvcs/Makefile.FTORB:
        * orbsvcs/orbsvcs/Makefile.FaultTolerance:
        * orbsvcs/orbsvcs/Makefile.IFRService:
        * orbsvcs/orbsvcs/Makefile.Metrics:
        * orbsvcs/orbsvcs/Makefile.PortableGroup:
        * orbsvcs/orbsvcs/Makefile.RTCORBAEvent:
        * orbsvcs/orbsvcs/Makefile.RTCosScheduling:
        * orbsvcs/orbsvcs/Makefile.RTEvent:
        * orbsvcs/orbsvcs/Makefile.RTEventLogAdmin:
        * orbsvcs/orbsvcs/Makefile.RTKokyuEvent:
        * orbsvcs/orbsvcs/Makefile.RTOLDEvent:
        * orbsvcs/orbsvcs/Makefile.RTSched:
        * orbsvcs/orbsvcs/Makefile.RTSchedEvent:
        * orbsvcs/orbsvcs/Makefile.RT_Notification:
        * orbsvcs/orbsvcs/Makefile.SSLIOP:
        * orbsvcs/orbsvcs/Makefile.Security:
        * orbsvcs/orbsvcs/Makefile.Svc_Utils:
        * orbsvcs/orbsvcs/Makefile.av:
          Modified these makefiles to use the new all_in_one.GNU file
          which simplifies Makefiles by only requiring them to include a
          single file and automatically handles conditional compiles based
          on requirements list passed as a list assigned to
          REQUIRED_COMPONENTS.  Updated dependencies.

Thu Nov 20 21:02:43 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * orbsvcs/orbsvcs/CosEvent/CEC_DynamicImplementation.cpp:
        * orbsvcs/orbsvcs/CosEvent/CEC_Event_Loader.cpp:
        * orbsvcs/orbsvcs/CosEvent/CEC_TypedEvent.h:
        * orbsvcs/orbsvcs/CosEvent/CEC_TypedEventChannel.cpp:
        * orbsvcs/orbsvcs/Notify/Method_Request_Dispatch_T.inl:

          Added missing includes to get them compiling on VC7.1

Thu Nov 20 20:25:35 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * tests/UNKNOWN_Exception/server.dsp:

          Added missing link to TAO_Valuetype*.lib.

Thu Nov 20 20:24:29 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tao/VarOut_T.h:

          Moved a header file inclusion from below the pragma directive to
          the top of the file.

Thu Nov 20 20:12:37 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_visitor_sequence/sequence_ch.cpp:
        * TAO_IDL/be/be_visitor_sequence/sequence_cs.cpp:

          Removed generation of _tao_any_destructor for anonymous sequences.

        * TAO_IDL/be/be_visitor_tmplinst/tmplinst_cs.cpp:

          Removed generation of explicit template instantiation of
          sequence base class for anonymous sequences of typedef'd
          basic types. Also removed generation of explicit template
          instantiation of Any impl class for anonymous sequences.

        * orbsvcs/performance-tests/RTEvent/lib/RIR_Narrow.cpp:
        * orbsvcs/performance-tests/RTEvent/lib/RT_Class.cpp:
        * orbsvcs/performance-tests/RTEvent/lib/Send_Task.cpp:
        * tests/Smart_Proxies/Collocation/Smart_Proxy_Impl.cpp:

          Added missing ACE file includes.

Thu Nov 20 19:16:28 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tao/DomainC.cpp:
        * tao/DomainC.h:
        * tao/DomainC.i:
        * tao/ServicesC.cpp:
        * tao/ServicesC.h:
        * tao/ServicesC.i:

          Regenerated the code and removed the duplicate explicit template
          instantations.

        * tao/Tagged_Components.cpp:
        * tao/Typecode.cpp:

          Removed duplicate explicit template instantiations.

        * tao/diffs/Domain.diff

          Updated the diff files.

Thu Nov 20 18:28:58 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tao/IFR_Client_Adapter.h:
        * tao/IFR_Client/IFR_Client_Adapter_Impl.cpp:
        * tao/IFR_Client/IFR_Client_Adapter_Impl.h:

          Added TAO_HAS_MINIMUM_CORBA around create_operation_list.

        * tao/orbconf.h:
        * rules.tao.GNU:

          Nowhere in the CORBA spec does it say that messaging and
          RTCORBA needs to disabled when minimum corba is enabled. It has
          been a TAO artifact from legacy code. This prevented users from
          using RTCORBA in minimum_corba mode, which IMHO is insane to say
          the least. I am sure Bill Beckwith would support my argument:-)

          Just enabled RTCORBA and messaging in minimum_corba builds.

        * tao/RTCORBA/RTCORBA.cpp:
        * tao/RTCORBA/RTCORBA.h:

          Set the #defined  properly.

        * tests/RTCORBA/Linear_Priority/Makefile:
        * tests/RTCORBA/Persistent_IOR/Makefile:
        * tests/RTCORBA/Policy_Combinations/Makefile:
        * tests/RTCORBA/Priority_Inversion_With_Bands/Makefile:
        * tests/RTCORBA/Profile_And_Endpoint_Selection/Makefile:
        * tests/RTCORBA/Thread_Pool/Makefile:

          These tests specifically use the minimum_poa features. So
          prevented these tests from compiling in minimum_corba builds.

Thu Nov 20 18:05:05 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * tao/Valuetype/AbstractBase.cpp:
        * tao/Valuetype/AbstractBase.h:
        * tao/Valuetype/AbstractBase.inl:
        * tao/Valuetype/AbstractBase_T.cpp (unchecked_narrow):

          Removed _downcast() and _unchecked_narrow() methods. The
          second has been removed from TAO entirely, replace with
          dynamic_cast<>, while the first was added to the original
          implementation of abstract interfaces but, in hindsight
          seems not to be need. Thanks to George Edwards
          <edwardsgt@vanderbilt.edu> for his advice on this last item.

        * tao/Valuetype/TAO_Valuetype.dsp:

          Added missing files AbstractBase_T.h and AbstractBase_T.cpp
          to the project.

        * tao/Valuetype/ValueBase.h:

          Removed no-op inline remanat of _tao_obv_narrow(), that was
          only waiting for regeration of code within the TAO libraries
          to be removed.

        * TAO_IDL/be/be_visitor_component/component_ch.cpp:

          Removed overlooked code generation of _unchecked_narrow()
          and _tao_class_id, both of which have been already removed
          from interface code generation.

        * TAO_IDL/be/be_visitor_constant/constant_ch.cpp:

          Added missing 'static' qualifier to code generation for a
          constant inside an interface or a valuetype.

        * TAO_IDL/be/be_visitor_valuetype/valuetype_cs.cpp:

          Cosmetic changes to comments in source code.

        * TAO_IDL/be/be_visitor_interface/interface_ch.cpp:
        * TAO_IDL/be/be_visitor_interface/interface_cs.cpp:
        * TAO_IDL/be_include/be_visitor_interface/interface_cs.h:

          Removed code generation for _downcast() and _tao_obv_narrow()
          for abstract interfaces. Also removed methods (no longer used)
          that generated _unchecked_narrow() for concrete and abstract
          interfaces.

Thu Nov 20 13:05:00 2003  Justin mIchel <michel_j@ociweb.com>

        * tao/PortableServer/ImR_LocatorC.cpp:
        * tao/PortableServer/ImR_Locator.pidl:

          Removed redundant explicit template instantiations. This should
          be a temporary workaround. Eventually, the generated file will
          work as is.

Thu Nov 20 11:04:09 2003  Dale Wilson  <wilson_d@>

        * orbsvcs/orbsvcs/FT_ORB.dsp:
          Remove this and replace it with the following three libraries.

        * orbsvcs/orbsvcs/FTORB_Utils.dsp:
        * orbsvcs/orbsvcs/FT_ClientORB.dsp:
        * orbsvcs/orbsvcs/FT_ServerORB.dsp:
          New shared libraries.

        * TAOACE.dsw:
          Include above changes in dsw
          Working on VC6 build errors in scoreboard.


Thu Nov 20 15:39:44 2003  Simon McQueen  <sm@prismtechnologies.com>

        * TAOACE.dsw:

          Added dependency on Messaging to CosNaming to hopefully fix new
          errors in VC++ XP build on scoreboard.

Thu Nov 20 08:20:18 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * examples/RTScheduling/Fixed_Priority_Scheduler/Makefile:
        * examples/RTScheduling/MIF_Scheduler/Makefile:

          Added TAO_Messaging to the link line.

Wed Nov 19 21:38:59 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * tao/Any.cpp:
        * tao/Typecode.cpp:

          Fixed typos in explicit template instantiations.

Wed Nov 19 20:09:17 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * orbsvcs/Concurrency_Service/Makefile:
        * orbsvcs/Naming_Service/Makefile:
        * orbsvcs/Time_Service/Makefile
        * orbsvcs/tests/AVStreams/Asynch_Three_Stage/Makefile:
        * orbsvcs/tests/AVStreams/Bidirectional_Flows/Makefile:
        * orbsvcs/tests/AVStreams/Component_Switching/Makefile
        * orbsvcs/tests/AVStreams/Full_Profile/Makefile:
        * orbsvcs/tests/AVStreams/Multicast/Makefile:
        * orbsvcs/tests/AVStreams/Multicast_Full_Profile/Makefile:
        * orbsvcs/tests/AVStreams/Pluggable/Makefile:
        * orbsvcs/tests/AVStreams/Simple_Three_Stage/Makefile:
        * orbsvcs/tests/AVStreams/Simple_Two_Stage/Makefile:
        * orbsvcs/tests/Concurrency/Makefile:
        * orbsvcs/tests/Property/Makefile:
        * orbsvcs/tests/Sched_Conf/Makefile:
        * orbsvcs/tests/Simple_Naming/Makefile:
        * orbsvcs/tests/Time/Makefile:

          Added TAO_Messaging to the link line. Further made sure that we
          don't build these when messaging is disabled.

Wed Nov 19 19:43:15 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * tao/DomainC.cpp:

          Cosmetic changes, to keep line lengths under 80 characters.

        * tao/ORB.cpp:

          Changed the exception thrown by create_operation_list() to
          INTF_REPOS, since we are call IFR_Client in this function.
          Also added .inout() to a couple uses of String_var.

        * tao/IFR_Client/IFR_Client_Adapter_Impl.cpp (create_operation_list):

          Plugged memory leak, made changes to conform to the ACE style
          guidelines, and several other changes to clean up the code.

Wed Nov 19 19:24:50 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tao/ORB.cpp:

          Fixed a warning. Probably this would be millionth time in the
          history of ACE+TAO that we fix a warning, which is basically
          a .in () for a _var.

Wed Nov 19 17:39:56 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_global.cpp:
        * TAO_IDL/driver/drv_args.cpp:

          Changed generated code for constants defined in a module to be
          inlined by default, and added command line option -Guc to
          uninline such generated code, for use with compiler that have
          a problem with such things when using pre-compiled headers.
          Also updated usage message to reflect the command line option
          change. Removed the option -Gic to make the generated code
          inline, since it is now redundant.

        * docs/compiler.html:
        * docs/releasenotes/index.html:

          Updated the IDL compiler options table and the releasenotes
          with the changes above.

Wed Nov 19 13:51:18 2003  Jeff Parsons <j.parsons@vanderbilt.edu>

        * tao/Any_Special_Impl_T.cpp (insert):

          Eliminated a memory leak (TypeCode copy not released) when
          inserting a string into an Any.

        * tao/DynamicAny/DynAny_i.cpp:
        * tao/DynamicAny/DynArray_i.cpp:
        * tao/DynamicAny/DynCommon.cpp:
        * tao/DynamicAny/DynEnum_i.cpp:
        * tao/DynamicAny/DynSequence_i.cpp:
        * tao/DynamicAny/DynStruct_i.cpp:
        * tao/DynamicAny/DynUnion_i.cpp:

          Eliminated memory leaks (ACE_Message_Block copy not released) that
          occur when an Any of known type is used to create or assign to a
          Dynamic Any. Such Anys do not contain their value encoded in a
          CDR stream as Anys of unknown type do. However, all of TAO's
          interpretive (de)marshaling code assumes the latter so, if the
          Any's type is known, it must be marshaled into a CDR stream
          before it can be processed by Dynamic Any code. In taking this
          step, we were leaving an extra copy of a message block lying
          around. Thanks to Harvinder Sawhney <harvinder_sawhney@agilent.com>
          for pointing out the leaks. Also made cosmetic changes to keep
          line lengths under 80 characters.

Tue Nov 18 23:17:24 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * orbsvcs/Concurrency_Service/Makefile:
        * orbsvcs/Time_Service/Makefile:

          Added messaging library. This is not sufficient. We need to make
          a check whether messaging is on or not. I just wanted to fix
          this before I went to bed.

        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_TargetCredentials.cpp:

          Fixed an unused variable warning.

Tue Nov 18 22:49:33 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * orbsvcs/Naming_Service/Makefile:

          Added messaging library.

Tue Nov 18 22:32:48 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * orbsvcs/orbsvcs/CosNaming.mpc:

          Naming service now uses the messaging library.

Tue Nov 18 22:26:41 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tao/ORB.cpp:

          Cosmetic fixes.

Tue Nov 18 12:11:32 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * orbsvcs/LoadBalancer/Makefile.LoadManager:
        * orbsvcs/LoadBalancer/Makefile.LoadMonitor:

          Fixed brain damaged way of doing things. Checks for whether
          certain options have been turned on or off made sure that they
          would never be built.

Tue Nov 18 12:03:11 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * orbsvcs/orbsvcs/Makefile.CosNotification:

          Updated dependencies.

Tue Nov 18 11:29:30 2003  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * tao/IFR_Client_Adapter.h:
        * tao/ORB.cpp:
        * tao/IFR_Client/IFR_Client_Adapter_Impl.h:

          Fixed compile errors that were caused due to improper macro
          usage.

Tue Nov 18 13:59:11 2003  Simon McQueen  <sm@prismtechnologies.com>

        * tao/ORB.cpp (resolve_service):

          Remove the check for an environment property defining the IOR of one
          of the four 'known' services.

          (resolve_initial_references):

          Check instead for an environment property in the form <name>IOR after
          checking the IOR table (where name is any name). This fixes bug
          #1334.

          (create_operation_list):
          Added this method. Delegates to TAO_IFR_Client_Adapter (see below).

        * tao/CORBA_methods.h:
        * tao/ORB.h (create_operation_list):
        * tao/IFR_Client_Adapter.h (create_operation_list):
        * tao/IFR_Client/IFR_ClientAdapterImpl.h (create_operation_list):
        * tao/IFR_Client/IFR_ClientAdapterImpl.cpp (create_operation_list):

          Implemented create_operation_list. This fixes bug #1630.

        * orbsvcs/IFR_Service/ifr_removing_visitor.cpp:
        * orbsvcs/IFR_Service/ifr_removing_visitor.h:

          Added visit_root method. This fixes bug #1331.

        * tao/DynamicAny/DynUnion_i.cpp (to_any):

          Check if union is empty, i.e. check if it has an active member,
          before adding member_ to the CDR Stream. This fixes bug #1636.

          (set_from_any):

          Strip alias from type code. This fixes bug #1639.

        * utils/nslist/nsadd.cpp:
        * utils/nslist/nslist.cpp:
        * utils/nslist/README:

          Add the ability to list the IORs of subcontexts within a naming
          graph. This fixes bug #1624.

        * tao/Valuetype/ValueBase.cpp (_tao_unmarshal_pre):

          If no type information is given in the CDR encoding, as indicated
          by the <value-tag>, then use the repository id parameter instead.
          This fixes bug #1629.

        * TAO_IDL/be/be_visitor_typedef/typedef_ci.cpp (visit_array):

          Fix check for definition in another file. This fixes bug #1628.

        * utils/catior/catior.cpp (main):

          Removed -n option. It doesn't do anything. Fixes bug #1332.

        * tao/Acceptor_Registry.cpp (open):

          Allow additional -ORBEndpoint value(s) to be specified as the
          environment property TAO_ORBENDPOINT. This fixes bug #1627.

        * orbsvcs/orbsvcs/CosNaming.bor:
        * orbsvcs/orbsvcs/CosNaming.dsp:
        * orbsvcs/orbsvcs/CosNaming.mpc:
        * orbsvcs/orbsvcs/Makefile.CosNaming:

          Added dependency on TAO_Messaging. See below.

        * orbsvcs/orbsvcs/Naming/Hash_Naming_Context.cpp:
        * orbsvcs/orbsvcs/Naming/Naming_Utils.cpp:
        * orbsvcs/orbsvcs/Naming/Naming_Utils.h:

          Set relative round trip timeout on Orb in response to value
          of new '-z' command line NameService parameter. This fixes
          bug #1634.

        * orbsvcs/Naming_Service/README:

          Documented the -z option.

        * orbsvcs/tests/Bug_1334_Regression/Bug_1334_client.dsp:
        * orbsvcs/tests/Bug_1334_Regression/Bug_1334_client.dsw:
        * orbsvcs/tests/Bug_1334_Regression/Bug_1334_Regression.dsw:
        * orbsvcs/tests/Bug_1334_Regression/client.cpp:
        * orbsvcs/tests/Bug_1334_Regression/Makefile:
        * orbsvcs/tests/Bug_1334_Regression/Makefile.Bug_1334_client:
        * orbsvcs/tests/Bug_1334_Regression/README:
        * orbsvcs/tests/Bug_1334_Regression/run_test.pl:
        * orbsvcs/tests/Bug_1334_Regression/test.mpc:
        * orbsvcs/tests/Bug_1630_Regression/Bug_1630_Regression.dsw:
        * orbsvcs/tests/Bug_1630_Regression/Bug_1630_testclient.dsp:
        * orbsvcs/tests/Bug_1630_Regression/Makefile:
